searchNodes=[{"doc":"","ref":"GitHub.html","title":"GitHub","type":"module"},{"doc":"Run a client operation and return the raw Operation or Error Normal client operation calls return only the response body. This function can be useful when the caller needs additional information, such as data from the response headers. The args passed to this function should not include the opts argument usually available on client operations. Instead, any such options should be passed as the final argument to raw/4 . Example iex&gt; GitHub . raw ( GitHub.Users , :get_authenticated , [ ] ) { :ok , % GitHub.Operation { } }","ref":"GitHub.html#raw/4","title":"GitHub.raw/4","type":"function"},{"doc":"Protocol for extracting API authentication tokens from application structs Credentials can be passed to operations using the auth option as strings (for tokens) or 2-tuples (for client ID / secret or username / password). Sometimes, it's more convenient to pass a struct — like as a user struct — and extract the auth token from that. By implementing this protocol, the client can extract an auth token from the given struct without additional work by the caller. Example defimpl GitHub.Auth , for : MyApp.User do def to_auth ( % MyApp.User { github_token : token } ) , do : token end","ref":"GitHub.Auth.html","title":"GitHub.Auth","type":"protocol"},{"doc":"Extract an auth token from the given struct The returned data should be in the form of a string (for a Bearer token) or a 2-tuple (for a Basic Auth user/password pair).","ref":"GitHub.Auth.html#to_auth/1","title":"GitHub.Auth.to_auth/1","type":"function"},{"doc":"Auth token accepted by the client","ref":"GitHub.Auth.html#t:auth/0","title":"GitHub.Auth.auth/0","type":"type"},{"doc":"","ref":"GitHub.Auth.html#t:t/0","title":"GitHub.Auth.t/0","type":"type"},{"doc":"Configuration for the API client and plugins Note Functions in this module is unlikely to be used directly by applications. Instead, they are useful for plugins. See GitHub.Plugin for more information. Callers of API operation functions can pass in some configuration directly using the final argument. Configuration passed in this way always takes precedence over global configuration. # Local options: GitHub.Repos . get ( &quot;aj-foster&quot; , &quot;open-api-github&quot; , server : &quot;https://gh.example.com&quot; ) # Application environment (ex. config/config.exs): config :oapi_github , server : &quot;https://gh.example.com&quot; Options The following configuration is available using local options : server (URL): API server to use. Useful if the client would like to target a GitHub Enterprise installation. Defaults to https://api.github.com . stack (list of plugins): Plugins to control the execution of client requests. See GitHub.Plugin for more information. Defaults to the default stack below. version (string): API version to use. Setting this option is not recommended, as the default value is the version of the API used to generate this client's code. Overriding it risks the client raising an error. To see the default value, open .api-version in the root of this project. wrap (boolean): Whether to wrap the results of the API call in a tagged tuple. When true , the response body will be wrapped as {:ok, response} on success or {:error, error} otherwise. When false, the Operation or Error is returned directly. Defaults to true . Note : Unwrapped responses violate the type specifications provided for each client operation. To avoid Dialyzer errors, consider using GitHub.raw/4 instead. The following configuration is available using the application environment : app_name (string): Name of the application using this client, used for User Agent and logging purposes. default_auth ( GitHub.Auth.auth/0 ): Default API authentication credentials to use when authentication was not provided for a request. OAuth applications can provide their client ID and secret to increase their unauthenticated rate limit. server (URL): API server to use. Useful if the client would like to target a GitHub Enterprise installation. Defaults to https://api.github.com . stack (list of plugins): Plugins to control the execution of client requests. See GitHub.Plugin for more information. Defaults to the default stack below. Plugins Client requests are implemented using a series of plugins. Each plugin accepts a GitHub.Operation struct and returns either a modified operation or an error. The collection of plugins configured for a request form a stack . The default stack uses Jason as a serializer/deserializer and HTTPoison as an HTTP client: [ { GitHub.Plugin.JasonSerializer , :encode_body , [ ] } , { GitHub.Plugin.HTTPoisonClient , :request , [ ] } , { GitHub.Plugin.JasonSerializer , :decode_body , [ ] } , { GitHub.Plugin.TypedDecoder , :decode_response , [ ] } , { GitHub.Plugin.TypedDecoder , :normalize_errors , [ ] } ] In general, plugins can be defined as 2- or 3-tuples specifying the module and function name and any options to pass to the function. For example: { MyPlugin , :my_function } #=&gt; MyPlugin.my_function(operation) { MyPlugin , :my_function , some : :option } #=&gt; MyPlugin.my_function(operation, some: :option) By modifying the stack, applications can easily use a different HTTP client library or serializer. Warning Stack entries without options, like {GitHub.Plugin.TestClient, :request} , look like keyword list items. If you have stacks configured in multiple Mix environments that all use this 2-tuple format, Elixir will try to merge them as keyword lists. Adding an empty options element to any stack item will prevent this behaviour.","ref":"GitHub.Config.html","title":"GitHub.Config","type":"module"},{"doc":"Get the configured app name Example iex&gt; Config . app_name ( ) &quot;Test App&quot;","ref":"GitHub.Config.html#app_name/0","title":"GitHub.Config.app_name/0","type":"function"},{"doc":"Get the configured default auth credentials Example iex&gt; Config . default_auth ( ) { &quot;client_one&quot; , &quot;abc123&quot; }","ref":"GitHub.Config.html#default_auth/0","title":"GitHub.Config.default_auth/0","type":"function"},{"doc":"Get configuration namespaced with a plugin module Plugins can provide a keyword list of options (such as a pre-merged keyword list of the plugin options argument and the operation's options) to be used if the given key is present. Otherwise, the response will fall back to the application environment given with the following form: config :oapi_github , MyPlugin , some : :option Where MyPlugin is the plugin module given as the second argument. See plugin_config!/3 for a variant that raises if the configuration is not found.","ref":"GitHub.Config.html#plugin_config/4","title":"GitHub.Config.plugin_config/4","type":"function"},{"doc":"Get configuration namespaced with a plugin module, or raise if not present Plugins can provide a keyword list of options (such as a pre-merged keyword list of the plugin options argument and the operation's options) to be used if the given key is present. Otherwise, the response will fall back to the application environment given with the following form: config :oapi_github , MyPlugin , some : :option Where MyPlugin is the plugin module given as the second argument. See plugin_config/4 for a variant that accepts a default value.","ref":"GitHub.Config.html#plugin_config!/3","title":"GitHub.Config.plugin_config!/3","type":"function"},{"doc":"Get the configured default API server, or https://api.github.com by default Example iex&gt; Config . server ( [ ] ) &quot;https://api.github.com&quot; iex&gt; Config . server ( server : &quot;https://gh.example.com&quot; ) &quot;https://gh.example.com&quot;","ref":"GitHub.Config.html#server/1","title":"GitHub.Config.server/1","type":"function"},{"doc":"Get the configured plugin stack Example iex&gt; Config . stack ( [ ] ) [ { GitHub.Plugin.JasonSerializer , :encode_body } , # ... ] Default The following stack is the default if none is configured or passed as an option: [ { GitHub.Plugin.JasonSerializer , :encode_body , [ ] } , { GitHub.Plugin.HTTPoisonClient , :request , [ ] } , { GitHub.Plugin.JasonSerializer , :decode_body , [ ] } , { GitHub.Plugin.TypedDecoder , :decode_response , [ ] } , { GitHub.Plugin.TypedDecoder , :normalize_errors , [ ] } ]","ref":"GitHub.Config.html#stack/1","title":"GitHub.Config.stack/1","type":"function"},{"doc":"Get the configured API version, or 2022-11-28 by default Example iex&gt; Config . version ( [ ] ) &quot;2022-11-28&quot; iex&gt; Config . version ( version : &quot;2020-01-01&quot; ) &quot;2020-01-01&quot;","ref":"GitHub.Config.html#version/1","title":"GitHub.Config.version/1","type":"function"},{"doc":"Whether to wrap the result Passing wrap: false to a client call can be useful if you need additional information about the response, such as response headers. Example iex&gt; Config . wrap ( [ ] ) true iex&gt; Config . wrap ( wrap : false ) false","ref":"GitHub.Config.html#wrap/1","title":"GitHub.Config.wrap/1","type":"function"},{"doc":"Plugin definition Plugins are defined in the stack using module and function tuples with an optional keyword list. Options, if provided, will be passed as the second argument.","ref":"GitHub.Config.html#t:plugin/0","title":"GitHub.Config.plugin/0","type":"type"},{"doc":"Exception struct used for communicating errors from the client Note Functions in this module is unlikely to be used directly by applications. Instead, they are useful for plugins. See GitHub.Plugin for more information. This error covers errors generated by the client (for example, HTTP connection errors) as well as errors returned from the GitHub API (for example, Not Found errors). Fields code (integer): Status code of the API response, if a response was received. message (string): Human-readable message describing the error. Defaults to a generic &quot;Unknown Error&quot; . operation ( t:Operation.t/0 ): Operation at the time of the error. reason (atom): Easily-matched atom for common errors, like :not_found . Defaults to a generic :error . See Error Reasons below for a list of possible values. source (term): Cause of the error. This could be an operation, an API error response, or something else. stacktrace ( Exception.stacktrace/0 ): Stacktrace from the time of the error. Defaults to a stack that terminates with the calling function, but can be overridden (for example, if a __STACKTRACE__ is available in a rescue block). step (plugin): Plugin active at the time of the error (expressed as a tuple containing the module and function). Users of the library can match on the information in the code and source fields to extract additional information. Error Reasons Although plugins may use any atom for the reason field, the following have predetermined meanings: :invalid_auth : The credential ( :auth option) provided is invalid. :invalid_version : The version ( :version option) provided is invalid. :not_found : A resource or route was not found. Note that GitHub may return this kind of response when authentication is required to see a resource. :oauth_restricted : The OAuth credentials are valid, but the requested resource is owned by an organization that requires admin approval for OAuth apps. :rate_limited : The client has exceeded a primary or secondary rate limit. Secondary rate limits have a distinct message field with further information. :requires_auth : The requested endpoint requires an authenticated user, and no auth credentials were given. :unauthorized : Valid authentication credentials were given, but the current user does not have permission to perform this action.","ref":"GitHub.Error.html","title":"GitHub.Error","type":"exception"},{"doc":"Create a new error struct with the given fields The current stacktrace is automatically filled in to the resulting error. Callers should specify the status code (if available), a message , the original operation , the source of the error, and which step or plugin is currently active.","ref":"GitHub.Error.html#new/1","title":"GitHub.Error.new/1","type":"function"},{"doc":"GitHub API client error","ref":"GitHub.Error.html#t:t/0","title":"GitHub.Error.t/0","type":"type"},{"doc":"Defines a struct that tracks client requests Note This module is unlikely to be used directly by applications. Instead, functions in this module are useful for plugins. See GitHub.Plugin for more information. Fields private (map): This field is useful for plugins that need to store information. Plugins should be careful to namespace their data to avoid overlap. By default, this map will include an __auth__ key with the auth credentials used for the request, __info__ containing the information that originated the request, and __opts__ containing all of the options passed in to the original operation function. request_body (term): For requests that support request bodies, this key will hold the data to be included in an outgoing request. Depending on the plugins involved, this key may have Elixir terms (like a map) or strings (such as a JSON-encoded string). request_headers (list of headers): HTTP headers to be included in the outgoing request. These are specified as tuples with the name of the header and its value. request_method (atom): HTTP verb of the outgoing request. request_params (keyword): URL-based query parameters for the outgoing request. request_server (string): URL scheme and hostname of the API server for the request. request_types (list of types): OpenAPI type specifications for the request body. These are specified as tuples with the Content-Type and the type specification. request_url (string): URL path of the outgoing request. response_body (term): For responses that include response bodies, this key will hold the data from the response. Depending on the plugins involved, this key may have raw response data (such as a JSON-encoded string) or Elixir terms (like a map). response_code (integer): Response status code. response_headers (list of headers): HTTP headers from the response. These are specified as tuples with the name of the header and its value. response_types (list of types): OpenAPI type specifications for the response body. These are specified as tuples with the status code and the type specification.","ref":"GitHub.Operation.html","title":"GitHub.Operation","type":"module"},{"doc":"Get the client's calling function and original arguments This level of introspection is meant for testing purposes, although other plugins can take advantage of it as necessary.","ref":"GitHub.Operation.html#get_caller/1","title":"GitHub.Operation.get_caller/1","type":"function"},{"doc":"Get the options passed to the client request Examples iex&gt; operation = % Operation { private : %{ __opts__ : [ server : &quot;https://api.github.com&quot; ] } } iex&gt; Operation . get_options ( operation ) [ server : &quot;https://api.github.com&quot; ]","ref":"GitHub.Operation.html#get_options/1","title":"GitHub.Operation.get_options/1","type":"function"},{"doc":"Get the value of a response header If response headers have not been filled in — or the response did not have the given header — then nil will be returned. Examples iex&gt; operation = % Operation { response_headers : [ { &quot;Content-Type&quot; , &quot;application/json&quot; } ] } iex&gt; Operation . get_response_header ( operation , &quot;Content-Type&quot; ) &quot;application/json&quot; iex&gt; operation = % Operation { response_headers : [ ] } iex&gt; Operation . get_response_header ( operation , &quot;ETag&quot; ) nil","ref":"GitHub.Operation.html#get_response_header/2","title":"GitHub.Operation.get_response_header/2","type":"function"},{"doc":"Put information in the operation's private data store Existing data with the same key will be overridden. Example iex&gt; operation = % Operation { private : %{ } } iex&gt; operation = Operation . put_private ( operation , :my_plugin_data , &quot;abc123&quot; ) % Operation { private : %{ my_plugin_data : &quot;abc123&quot; } } = operation","ref":"GitHub.Operation.html#put_private/3","title":"GitHub.Operation.put_private/3","type":"function"},{"doc":"Add a request header to an outgoing operation This function makes no effort to deduplicate headers. Example iex&gt; operation = % Operation { request_headers : [ ] } iex&gt; operation = Operation . put_request_header ( operation , &quot;Content-Type&quot; , &quot;application/json&quot; ) % Operation { request_headers : [ { &quot;Content-Type&quot; , &quot;application/json&quot; } ] } = operation","ref":"GitHub.Operation.html#put_request_header/3","title":"GitHub.Operation.put_request_header/3","type":"function"},{"doc":"","ref":"GitHub.Operation.html#t:auth/0","title":"GitHub.Operation.auth/0","type":"type"},{"doc":"","ref":"GitHub.Operation.html#t:header/0","title":"GitHub.Operation.header/0","type":"type"},{"doc":"","ref":"GitHub.Operation.html#t:headers/0","title":"GitHub.Operation.headers/0","type":"type"},{"doc":"","ref":"GitHub.Operation.html#t:method/0","title":"GitHub.Operation.method/0","type":"type"},{"doc":"","ref":"GitHub.Operation.html#t:request_type/0","title":"GitHub.Operation.request_type/0","type":"type"},{"doc":"","ref":"GitHub.Operation.html#t:request_types/0","title":"GitHub.Operation.request_types/0","type":"type"},{"doc":"","ref":"GitHub.Operation.html#t:response_type/0","title":"GitHub.Operation.response_type/0","type":"type"},{"doc":"","ref":"GitHub.Operation.html#t:response_types/0","title":"GitHub.Operation.response_types/0","type":"type"},{"doc":"Operation struct for tracking client requests from start to finish","ref":"GitHub.Operation.html#t:t/0","title":"GitHub.Operation.t/0","type":"type"},{"doc":"Type annotation produced by OpenAPI","ref":"GitHub.Operation.html#t:type/0","title":"GitHub.Operation.type/0","type":"type"},{"doc":"Local client used for testing purposes For more information on the testing facilities available in this library, see GitHub.Testing .","ref":"GitHub.Plugin.TestClient.html","title":"GitHub.Plugin.TestClient","type":"module"},{"doc":"Perform a client operation using mocks, and record the call for later assertions","ref":"GitHub.Plugin.TestClient.html#request/2","title":"GitHub.Plugin.TestClient.request/2","type":"function"},{"doc":"Support for interacting with the client in a test environment Note The current method of tracking and mocking API calls uses the process dictionary for storage. This means that tests can be run async (calls from one process will not affect calls from another). However, it also means that calls from an async task will not be tracked by the test process. If this affects you, please open an issue to discuss possible solutions. Usage The testing facility provided by this library has two parts: this module, which provides helpful functions for generating data and asserting that API calls are made, and GitHub.Plugin.TestClient , which provides a basic mock and support for the test assertions. In your test environment, you likely want to use the test client plugin as the only item in the client stack: # config/test.exs config :oapi_github , stack : [ { GitHub.Plugin.TestClient , :request , [ ] } ] The stack can also be configured at runtime by passing the :stack option to any operation. Warning Stack entries without options, like {GitHub.Plugin.TestClient, :request} , look like keyword list items. If you have stacks configured in multiple Mix environments that all use this 2-tuple format, Elixir will try to merge them as keyword lists. Adding an empty options element to any stack item will prevent this behaviour. Then, in your test file, use this module and make use of the available assertions: defmodule MyApp.MyTest do use ExUnit.Case use GitHub.Testing test &quot;something&quot; do my_function ( ) assert_gh_called &amp; GitHub.Repos . get / 2 end end The use macro also imports mock_gh/3 and generate_gh/2 for use in tests.","ref":"GitHub.Testing.html","title":"GitHub.Testing","type":"module"},{"doc":"Assert the number of times an API endpoint was called The API endpoint can be passed as a function call or using function capture syntax. If passed as a function call, the arguments must match exactly or use the special value :_ to match any value. If passed using function capture syntax, only the arity will be matched. The options argument is not considered during these checks. Examples assert_gh_called GitHub.Repos . get ( &quot;owner&quot; , &quot;repo&quot; ) assert_gh_called GitHub.Repos . get ( &quot;owner&quot; , :_ ) , times : 2 assert_gh_called GitHub.Repos . get ( owner , &quot;repo&quot; ) , min : 2 , max : 3 assert_gh_called &amp; GitHub.Repos . get / 2 , times : 0 Options max : Non-negative integer representing the maximum number of times a matching call should have occurred. If unspecified, there is no upper limit on the acceptable number of calls. If none of times , min , or max are specified, the default is to assert at least one matching call. min : Non-negative integer representing the minimum number of times a matching call should have occurred. If unspecified, there is no lower limit on the acceptable number of calls. If none of times , min , or max are specified, the default is to assert at least one matching call. times : Non-negative integer number of times a matching call should have occurred. Passing zero will assert the endpoint has not been called. This option has precedence over min and max . If none of times , min , or max are specified, the default is to assert at least one matching call.","ref":"GitHub.Testing.html#assert_gh_called/2","title":"GitHub.Testing.assert_gh_called/2","type":"macro"},{"doc":"Generate random data for use in a test response This function uses randomness to help avoid collisions in tests. It also supports special cases based on the context of the generated data (the schema and/or key). Examples can be found in the Special Cases section below. Special Cases :id fields with type :integer will have unique positive integers rather than the limited range of integers returned by a typical :integer field. :string fields with keys that end with _at will have ISO 8601 datetime strings from a random time within the past day. :string fields with keys named :url or that end with _url will have random URL strings. Additional special cases can be added to make the generated data more typical of real responses. For example, returning a name-like string for user names, and limiting the allowed characters for usernames. Note If you see an opportunity to improve the generated data for a particular field, please include the description of the field from GitHub's OpenAPI specification in your pull request. Examples iex&gt; GitHub.Testing . generate ( nil , nil , { GitHub.Repository , :full } ) % GitHub.Repository { ... } iex&gt; GitHub.Testing . generate ( GitHub.Repository , :id , :integer ) 226194162","ref":"GitHub.Testing.html#generate/3","title":"GitHub.Testing.generate/3","type":"function"},{"doc":"Generate a struct for use in a test response The first argument is the module / schema you would like to generate. If there are multiple types available in the module, then the second argument can distinguish which to use (for example, :full for the type GitHub.PullRequest.full() ). It is also possible to override the generated fields with custom data. This function uses randomness to help avoid collisions in tests. For more information, see generate/3 . Examples iex&gt; GitHub.Testing . generate ( GitHub.PullRequest ) % GitHub.PullRequest { } iex&gt; GitHub.Testing . generate ( GitHub.User , :private ) % GitHub.User { } iex&gt; GitHub.Testing . generate ( GitHub.User , bio : &quot;This is a custom bio&quot; ) % GitHub.User { bio : &quot;This is a custom bio&quot; } iex&gt; GitHub.Testing . generate ( GitHub.User , :private , bio : &quot;This is a custom bio&quot; ) % GitHub.User { bio : &quot;This is a custom bio&quot; }","ref":"GitHub.Testing.html#generate_gh/3","title":"GitHub.Testing.generate_gh/3","type":"function"},{"doc":"Mock a response for an API endpoint API Endpoint The API endpoint can be passed as a function call or using function capture syntax. If passed as a function call, the arguments must match exactly or use the special value :_ to match any value. If passed using function capture syntax, only the arity will be matched. The options argument is not considered during these checks. Return Value As a return value for a mock, you can set a plain value or pass one of several function forms: A zero-arity function will be evaluated a call time. Use this to perform lazy evaluation of the mock or encapsulate a generator. A function with the same number of arguments as the original client operation ( not including the final opts argument) will be called with the same arguments. Use this to perform assertions on the arguments or return a different value depending on the call. A function with the same number of arguments as the original client operation (including the final opts argument) will be called with the same arguments and options. Use this to perform assertions on the arguments and options or return a different value depending on the call. In each case, the plain value — or the value returned from the function — should have one of the following forms: { :ok , data } { :ok , data , opts } { :error , error } { :error , error , opts } Where data is the response body and error is the error to return, and opts modifies the response. The available options are: code (integer): Status code to include with the response. In addition, the following pre-defined error responses are available: {:error, :not_found} will return an error matching GitHub's standard &quot;Not Found&quot; response. {:error, :rate_limited} with return an error matching a GitHub API rate limited response. {:error, :unauthorized} will return an error matching GitHub's unauthorized response. Examples mock_gh GitHub.Repos . get ( &quot;owner&quot; , &quot;repo&quot; ) , { :ok , % GitHub.Repository { } } mock_gh GitHub.Repos . get ( &quot;owner&quot; , &quot;repo-2&quot; ) , { :ok , % GitHub.Repository { } , code : 201 } mock_gh GitHub.Repos . get ( &quot;friend&quot; , &quot;repo&quot; ) , { :error , :not_found } mock_gh GitHub.Repos . get ( &quot;friend&quot; , &quot;repo-2&quot; ) , { :error , % GitHub.Error { } , code : 403 } mock_gh &amp; GitHub.Repos . get / 2 , fn -&gt; { :ok , % GitHub.Repository { } } end mock_gh &amp; GitHub.Repos . get / 2 , fn owner , name -&gt; assert String . starts_with? ( name , &quot;oapi_&quot; ) { :ok , % GitHub.Repository { owner : owner , name : name } } end mock_gh &amp; GitHub.Repos . get / 2 , fn owner , name , opts -&gt; assert opts [ :auth ] == &quot;gho_token&quot; { :ok , % GitHub.Repository { owner : owner , name : name } } end","ref":"GitHub.Testing.html#mock_gh/3","title":"GitHub.Testing.mock_gh/3","type":"macro"},{"doc":"Internal representation of a mocked API call","ref":"GitHub.Testing.Mock.html","title":"GitHub.Testing.Mock","type":"module"},{"doc":"Specification of arguments Each set of arguments can be given as a list of elements to match or a total arity. When given as a list, each element can be any Erlang term or the special value :_ to match any value. Specifications given as a list will have higher precedence depending on the number of arguments that match exactly.","ref":"GitHub.Testing.Mock.html#t:args/0","title":"GitHub.Testing.Mock.args/0","type":"type"},{"doc":"Limit to the number of times a mock can be used The special value :infinity can be used to place no limit.","ref":"GitHub.Testing.Mock.html#t:limit/0","title":"GitHub.Testing.Mock.limit/0","type":"type"},{"doc":"Return value from a mocked API call Return values are tagged tuples with optional additional information. For example: { :ok , % GitHub.Repository { } } { :ok , % GitHub.Repository { } , code : 200 } { :error , % GitHub.Error { } } { :error , % GitHub.Error { } , code : 404 } For more on the possible values, see GitHub.Testing .","ref":"GitHub.Testing.Mock.html#t:return/0","title":"GitHub.Testing.Mock.return/0","type":"type"},{"doc":"Return value or generator of a mocked API call This may be a constant (value) or a zero-arity function returning a constant (generator).","ref":"GitHub.Testing.Mock.html#t:return_fun/0","title":"GitHub.Testing.Mock.return_fun/0","type":"type"},{"doc":"Mocked API call","ref":"GitHub.Testing.Mock.html#t:t/0","title":"GitHub.Testing.Mock.t/0","type":"type"},{"doc":"Plugins provide functionality for the API client Note This module is unlikely to be used directly by applications. The documentation contained here is useful for developers who would like to implement new functionality for the client. This library has no opinions on how to complete API requests. Instead of requiring a particular HTTP client or JSON serializer, requests are completed using a series of plugins called a stack . To modify the behavior of the client, applications can add or modify plugins. Plugins are functions that accept a GitHub.Operation struct — and any options — and return either an :ok or an :error tuple: alias GitHub . { Error , Operation } @spec my_plugin ( Operation . t ( ) , keyword ) :: { :ok , Operation . t ( ) } | { :error , Error . t ( ) } def my_plugin ( operation , opts ) do # ... end An :error tuple will immediately stop the stack and return the error. An :ok tuple will continue running the stack with the modified operation struct. If the stack concludes with a successful operation, the response_body is returned. Options Plugins may accept options that modify their behavior. It is recommended that they consider options from three sources: Options passed to the operation function (available in the __opts__ key of the operation struct's private field). This is likely to include options not relevant to the plugin. Options passed to the plugin definition (available as the second argument of the plugin function). Options defined globally using the application environment. This hierarchy can be accomplished by calling Keyword.merge/2 on the plugin options argument and the operation's options (order matters!), then calling GitHub.Config.plugin_config/4 to incorporate the application environment as a fallback. (For required options, the sibling function GitHub.Config.plugin_config!/3 is also available.) In this way, plugins can be configured at all levels of the code: # Highest precedence: options from the caller GitHub.Repos . get ( &quot;aj-foster&quot; , &quot;open-api-github&quot; , some : :option ) # Medium precedence: options in the plugin definition { MyPlugin , :my_function , some : :option } # Lowest precedence: global configuration config :oapi_github , MyPlugin , some : :option Plugins should take care to document their available options and avoid naming collisions.","ref":"GitHub.Plugin.html","title":"GitHub.Plugin","type":"module"},{"doc":"","ref":"GitHub.Plugin.HTTPoisonClient.html","title":"GitHub.Plugin.HTTPoisonClient","type":"module"},{"doc":"","ref":"GitHub.Plugin.HTTPoisonClient.html#request/2","title":"GitHub.Plugin.HTTPoisonClient.request/2","type":"function"},{"doc":"","ref":"GitHub.Plugin.JasonSerializer.html","title":"GitHub.Plugin.JasonSerializer","type":"module"},{"doc":"","ref":"GitHub.Plugin.JasonSerializer.html#decode_body/2","title":"GitHub.Plugin.JasonSerializer.decode_body/2","type":"function"},{"doc":"","ref":"GitHub.Plugin.JasonSerializer.html#encode_body/2","title":"GitHub.Plugin.JasonSerializer.encode_body/2","type":"function"},{"doc":"Use Redis to cache full API responses and perform conditional requests Warning This plugin caches full API responses. This may include sensitive data, and it may use a lot of memory. Memory usage can be controlled using the expiration configuration. GitHub's API uses Conditional Requests to provide fast responses when the client already has the latest information. Furthermore, apps with heavy API usage benefit from the fact that 304 responses don't count against rate limits. This module provides two plugins: check_cache/2 and use_cache/2 . When run before an API request, check_cache/2 will check the configured Redis server for a cached response matching the request's URL and auth information. If found, the cached response's ETag will be added to the request headers as an If-None-Match header. If the API returns a 304 Not Modified response, then use_cache/2 will fill in the cached response body and reset the status to 200 . Otherwise, if the API returns a 200 response with new data, that response will be placed in the cache. In addition to the response body, the cache will also fill in the Content-Length , Content-Type , X-Accepted-OAuth-Scopes , and X-OAuth-Scopes headers, if available. Configuration server : Required global name of a Redis server, as found in the name option of Redix.start_link/2 . This library is not responsible for starting the Redix app or connecting to the server. This can be a single connection name or a list of connections in a pool. If a list is provided, a random server will be chosen for each interaction. cache_prefix : Prefix to use for all Redis cache keys. Defaults to &quot;oapi_github&quot; . expiration : Time, in seconds, before cached data should expire. Defaults to 30 days. These options may be passed via the plugin definition or by global configuration: config :oapi_github , stack : [ { GitHub.Plugin.RedixFullResponseCache , :check_cache , server : :redix_server_1 } , # ... ] config :oapi_github , GitHub.Plugin.RedixFullResponseCache , server : :redix_server_1 Cache Keys Cache keys used by this module have the following parts (separated by colons): A standard prefix (see prefix configuration), The server for the request (ex. api.github.com ), The path of the request (ex. /repos/aj-foster ), URL-encoded parameters (ex. page=1 ), and A SHA-256 hash of the auth token used. By including the hashed auth token in the key, we can be reasonably sure that cached data will not be returned to a user that does not have access to the original data.","ref":"GitHub.Plugin.RedixFullResponseCache.html","title":"GitHub.Plugin.RedixFullResponseCache","type":"module"},{"doc":"Check Redis for cached responses for the current request This plugin only affects GET requests. If a cached response is found, the corresponding ETag will be included in the HTTP request as an If-None-Match header. This allows the API to respond with a 304 Not Modified response that does not count against rate limits. Use the use_cache/2 plugin to capture 304 responses and replace the body with the cached response. Configuration This plugin requires the server configuration, and uses the cache_prefix configuration. See Configuration above for more information.","ref":"GitHub.Plugin.RedixFullResponseCache.html#check_cache/2","title":"GitHub.Plugin.RedixFullResponseCache.check_cache/2","type":"function"},{"doc":"Replace 304 responses with cached data, and cache new data This plugin only affects GET requests. In the event of a 304 Not Modified response (presumably because check_cache/2 provided an If-None-Match header), this plugin will replace the empty response body with cached data and reset the status code to 200. In the event of a 200 response, the new data will be added to the cache.","ref":"GitHub.Plugin.RedixFullResponseCache.html#use_cache/2","title":"GitHub.Plugin.RedixFullResponseCache.use_cache/2","type":"function"},{"doc":"Use Redis to cache redirect locations to avoid unexpected rate limits Warning This plugin caches information about the names and locations of private repositories, potentially disclosing information if not used carefully. GitHub's API uses Conditional Requests to provide fast responses when the client already has the latest information. Furthermore, apps with heavy API usage benefit from the fact that 304 responses don't count against rate limits. However , it may not be obvious to API users that redirect responses always count against your rate limit, even if the ultimate location returns a 304 response. This module provides two plugins: check_cache/2 and update_cache/2 . When run before an API request, check_cache/2 will check the configured Redis server for a known final location for the intended request. If found, it will modify the request to use the new URL instead. If the API returns a successful or unmodified response, and the final location differs from the original location (meaning a redirect took place), then is will store the new location in in the cache. Limitations This plugin requires the client plugin to modify the Operation when a redirection takes place. Otherwise, it will not know that the final location has changed. This plugin cannot know the exact HTTP status code that accompanied the redirect. As a result, there is a risk that it will cache temporary redirects as well as permanent ones. Configuration server : Required global name of a Redis server, as found in the name option of Redix.start_link/2 . This library is not responsible for starting the Redix app or connecting to the server. This can be a single connection name or a list of connections in a pool. If a list is provided, a random server will be chosen for each interaction. cache_prefix : Prefix to use for all Redis cache keys. Defaults to &quot;oapi_github&quot; . expiration : Time, in seconds, before cached data should expire. Defaults to 30 days. These options may be passed via the plugin definition or by global configuration: config :oapi_github , stack : [ { GitHub.Plugin.RedixRedirectCache , :check_cache , server : :redix_server_1 } , # ... ] config :oapi_github , GitHub.Plugin.RedixRedirectCache , server : :redix_server_1 Cache Keys Cache keys used by this module have the following parts (separated by colons): A standard prefix (see prefix configuration), The server for the request (ex. api.github.com ), The path of the request (ex. /repos/aj-foster ), A SHA-256 hash of the auth token used. By including the hashed auth token in the key, we can be reasonably sure that cached data will not be returned to a user that does not have access to the original data. While this may seem trivial for location data, remember that GitHub deliberately returns 404 responses for private repositories rather than 403 responses.","ref":"GitHub.Plugin.RedixRedirectCache.html","title":"GitHub.Plugin.RedixRedirectCache","type":"module"},{"doc":"Check Redis for cached location changes for the current request This plugin only affects GET requests. If a cached location is found, the URL of the operation will change to match the known final destination. Configuration This plugin requires the server configuration, and uses the cache_prefix configuration. See Configuration above for more information.","ref":"GitHub.Plugin.RedixRedirectCache.html#check_cache/2","title":"GitHub.Plugin.RedixRedirectCache.check_cache/2","type":"function"},{"doc":"Cache redirect locations This plugin only affects GET requests. In the event of a successful (200) or unmodified (304) response, this will check whether the original URL matches the final URL for the request. If they differ, then it will store the updated location. If they do not differ because the location was updated in check_cache/2 , then the expiration of the cached location will be extended.","ref":"GitHub.Plugin.RedixRedirectCache.html#update_cache/2","title":"GitHub.Plugin.RedixRedirectCache.update_cache/2","type":"function"},{"doc":"Transform map responses into well-typed structs In a normal client stack, the HTTP request is followed by a JSON decoder such as GitHub.Plugin.JasonSerializer . If the JSON library/plugin does not support decoding typed structs, then a separate step is necessary to transform the map responses into structs like GitHub.Repository . This module provides a two plugins: decode_response/2 and normalize_errors/2 , that accept no configuration. decode_response/2 uses the type information available in the operation and each module's __fields__/1 functions to decode the data. normalize_errors/2 changes API error responses into standard GitHub.Error results. It is recommended to run these plugins towards the end of the stack, after decoding JSON responses. The normalized errors will be GitHub.Error structs with relevant reason fields where possible. Special Cases There are a few special cases where the decoder must make an inference about which type to use. If you find that you are unable to decode something, please open an issue with information about the operation and types involved. Union types often require this kind of inference. This module handles them on a case-by-case basis using required keys to determine the correct type. Some of these are done on a &quot;best guess&quot; basis due to a lack of official documentation.","ref":"GitHub.Plugin.TypedDecoder.html","title":"GitHub.Plugin.TypedDecoder","type":"module"},{"doc":"Decode a response body based on type information from the operation and schemas","ref":"GitHub.Plugin.TypedDecoder.html#decode_response/2","title":"GitHub.Plugin.TypedDecoder.decode_response/2","type":"function"},{"doc":"Change API error responses into GitHub.Error results","ref":"GitHub.Plugin.TypedDecoder.html#normalize_errors/2","title":"GitHub.Plugin.TypedDecoder.normalize_errors/2","type":"function"},{"doc":"Provides API endpoints related to actions","ref":"GitHub.Actions.html","title":"GitHub.Actions","type":"module"},{"doc":"Add custom labels to a self-hosted runner for an organization Resources API method documentation","ref":"GitHub.Actions.html#add_custom_labels_to_self_hosted_runner_for_org/4","title":"GitHub.Actions.add_custom_labels_to_self_hosted_runner_for_org/4","type":"function"},{"doc":"Add custom labels to a self-hosted runner for a repository Resources API method documentation","ref":"GitHub.Actions.html#add_custom_labels_to_self_hosted_runner_for_repo/5","title":"GitHub.Actions.add_custom_labels_to_self_hosted_runner_for_repo/5","type":"function"},{"doc":"Add selected repository to an organization secret Resources API method documentation","ref":"GitHub.Actions.html#add_selected_repo_to_org_secret/4","title":"GitHub.Actions.add_selected_repo_to_org_secret/4","type":"function"},{"doc":"Add selected repository to an organization variable Resources API method documentation","ref":"GitHub.Actions.html#add_selected_repo_to_org_variable/4","title":"GitHub.Actions.add_selected_repo_to_org_variable/4","type":"function"},{"doc":"Approve a workflow run for a fork pull request Resources API method documentation","ref":"GitHub.Actions.html#approve_workflow_run/4","title":"GitHub.Actions.approve_workflow_run/4","type":"function"},{"doc":"Cancel a workflow run Resources API method documentation","ref":"GitHub.Actions.html#cancel_workflow_run/4","title":"GitHub.Actions.cancel_workflow_run/4","type":"function"},{"doc":"Create an environment variable Resources API method documentation","ref":"GitHub.Actions.html#create_environment_variable/4","title":"GitHub.Actions.create_environment_variable/4","type":"function"},{"doc":"Create or update an environment secret Resources API method documentation","ref":"GitHub.Actions.html#create_or_update_environment_secret/5","title":"GitHub.Actions.create_or_update_environment_secret/5","type":"function"},{"doc":"Create or update an organization secret Resources API method documentation","ref":"GitHub.Actions.html#create_or_update_org_secret/4","title":"GitHub.Actions.create_or_update_org_secret/4","type":"function"},{"doc":"Create or update a repository secret Resources API method documentation","ref":"GitHub.Actions.html#create_or_update_repo_secret/5","title":"GitHub.Actions.create_or_update_repo_secret/5","type":"function"},{"doc":"Create an organization variable Resources API method documentation","ref":"GitHub.Actions.html#create_org_variable/3","title":"GitHub.Actions.create_org_variable/3","type":"function"},{"doc":"Create a registration token for an organization Resources API method documentation","ref":"GitHub.Actions.html#create_registration_token_for_org/2","title":"GitHub.Actions.create_registration_token_for_org/2","type":"function"},{"doc":"Create a registration token for a repository Resources API method documentation","ref":"GitHub.Actions.html#create_registration_token_for_repo/3","title":"GitHub.Actions.create_registration_token_for_repo/3","type":"function"},{"doc":"Create a remove token for an organization Resources API method documentation","ref":"GitHub.Actions.html#create_remove_token_for_org/2","title":"GitHub.Actions.create_remove_token_for_org/2","type":"function"},{"doc":"Create a remove token for a repository Resources API method documentation","ref":"GitHub.Actions.html#create_remove_token_for_repo/3","title":"GitHub.Actions.create_remove_token_for_repo/3","type":"function"},{"doc":"Create a repository variable Resources API method documentation","ref":"GitHub.Actions.html#create_repo_variable/4","title":"GitHub.Actions.create_repo_variable/4","type":"function"},{"doc":"Create a workflow dispatch event Resources API method documentation","ref":"GitHub.Actions.html#create_workflow_dispatch/5","title":"GitHub.Actions.create_workflow_dispatch/5","type":"function"},{"doc":"Delete a GitHub Actions cache for a repository (using a cache ID) Resources API method documentation","ref":"GitHub.Actions.html#delete_actions_cache_by_id/4","title":"GitHub.Actions.delete_actions_cache_by_id/4","type":"function"},{"doc":"Delete GitHub Actions caches for a repository (using a cache key) Options key (String.t()): A key for identifying the cache. ref (String.t()): The full Git reference for narrowing down the cache. The ref for a branch should be formatted as refs/heads/&lt;branch name&gt; . To reference a pull request use refs/pull/&lt;number&gt;/merge . Resources API method documentation","ref":"GitHub.Actions.html#delete_actions_cache_by_key/3","title":"GitHub.Actions.delete_actions_cache_by_key/3","type":"function"},{"doc":"Delete an artifact Resources API method documentation","ref":"GitHub.Actions.html#delete_artifact/4","title":"GitHub.Actions.delete_artifact/4","type":"function"},{"doc":"Delete an environment secret Resources API method documentation","ref":"GitHub.Actions.html#delete_environment_secret/4","title":"GitHub.Actions.delete_environment_secret/4","type":"function"},{"doc":"Delete an environment variable Resources API method documentation","ref":"GitHub.Actions.html#delete_environment_variable/4","title":"GitHub.Actions.delete_environment_variable/4","type":"function"},{"doc":"Delete an organization secret Resources API method documentation","ref":"GitHub.Actions.html#delete_org_secret/3","title":"GitHub.Actions.delete_org_secret/3","type":"function"},{"doc":"Delete an organization variable Resources API method documentation","ref":"GitHub.Actions.html#delete_org_variable/3","title":"GitHub.Actions.delete_org_variable/3","type":"function"},{"doc":"Delete a repository secret Resources API method documentation","ref":"GitHub.Actions.html#delete_repo_secret/4","title":"GitHub.Actions.delete_repo_secret/4","type":"function"},{"doc":"Delete a repository variable Resources API method documentation","ref":"GitHub.Actions.html#delete_repo_variable/4","title":"GitHub.Actions.delete_repo_variable/4","type":"function"},{"doc":"Delete a self-hosted runner from an organization Resources API method documentation","ref":"GitHub.Actions.html#delete_self_hosted_runner_from_org/3","title":"GitHub.Actions.delete_self_hosted_runner_from_org/3","type":"function"},{"doc":"Delete a self-hosted runner from a repository Resources API method documentation","ref":"GitHub.Actions.html#delete_self_hosted_runner_from_repo/4","title":"GitHub.Actions.delete_self_hosted_runner_from_repo/4","type":"function"},{"doc":"Delete a workflow run Resources API method documentation","ref":"GitHub.Actions.html#delete_workflow_run/4","title":"GitHub.Actions.delete_workflow_run/4","type":"function"},{"doc":"Delete workflow run logs Resources API method documentation","ref":"GitHub.Actions.html#delete_workflow_run_logs/4","title":"GitHub.Actions.delete_workflow_run_logs/4","type":"function"},{"doc":"Disable a selected repository for GitHub Actions in an organization Resources API method documentation","ref":"GitHub.Actions.html#disable_selected_repository_github_actions_organization/3","title":"GitHub.Actions.disable_selected_repository_github_actions_organization/3","type":"function"},{"doc":"Disable a workflow Resources API method documentation","ref":"GitHub.Actions.html#disable_workflow/4","title":"GitHub.Actions.disable_workflow/4","type":"function"},{"doc":"Download an artifact Resources API method documentation","ref":"GitHub.Actions.html#download_artifact/5","title":"GitHub.Actions.download_artifact/5","type":"function"},{"doc":"Download job logs for a workflow run Resources API method documentation","ref":"GitHub.Actions.html#download_job_logs_for_workflow_run/4","title":"GitHub.Actions.download_job_logs_for_workflow_run/4","type":"function"},{"doc":"Download workflow run attempt logs Resources API method documentation","ref":"GitHub.Actions.html#download_workflow_run_attempt_logs/5","title":"GitHub.Actions.download_workflow_run_attempt_logs/5","type":"function"},{"doc":"Download workflow run logs Resources API method documentation","ref":"GitHub.Actions.html#download_workflow_run_logs/4","title":"GitHub.Actions.download_workflow_run_logs/4","type":"function"},{"doc":"Enable a selected repository for GitHub Actions in an organization Resources API method documentation","ref":"GitHub.Actions.html#enable_selected_repository_github_actions_organization/3","title":"GitHub.Actions.enable_selected_repository_github_actions_organization/3","type":"function"},{"doc":"Enable a workflow Resources API method documentation","ref":"GitHub.Actions.html#enable_workflow/4","title":"GitHub.Actions.enable_workflow/4","type":"function"},{"doc":"Create configuration for a just-in-time runner for an organization Resources API method documentation","ref":"GitHub.Actions.html#generate_runner_jitconfig_for_org/3","title":"GitHub.Actions.generate_runner_jitconfig_for_org/3","type":"function"},{"doc":"Create configuration for a just-in-time runner for a repository Resources API method documentation","ref":"GitHub.Actions.html#generate_runner_jitconfig_for_repo/4","title":"GitHub.Actions.generate_runner_jitconfig_for_repo/4","type":"function"},{"doc":"List GitHub Actions caches for a repository Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. ref (String.t()): The full Git reference for narrowing down the cache. The ref for a branch should be formatted as refs/heads/&lt;branch name&gt; . To reference a pull request use refs/pull/&lt;number&gt;/merge . key (String.t()): An explicit key or prefix for identifying the cache sort (String.t()): The property to sort the results by. created_at means when the cache was created. last_accessed_at means when the cache was last accessed. size_in_bytes is the size of the cache in bytes. direction (String.t()): The direction to sort the results by. Resources API method documentation","ref":"GitHub.Actions.html#get_actions_cache_list/3","title":"GitHub.Actions.get_actions_cache_list/3","type":"function"},{"doc":"Get GitHub Actions cache usage for a repository Resources API method documentation","ref":"GitHub.Actions.html#get_actions_cache_usage/3","title":"GitHub.Actions.get_actions_cache_usage/3","type":"function"},{"doc":"List repositories with GitHub Actions cache usage for an organization Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#get_actions_cache_usage_by_repo_for_org/2","title":"GitHub.Actions.get_actions_cache_usage_by_repo_for_org/2","type":"function"},{"doc":"Get GitHub Actions cache usage for an organization Resources API method documentation","ref":"GitHub.Actions.html#get_actions_cache_usage_for_org/2","title":"GitHub.Actions.get_actions_cache_usage_for_org/2","type":"function"},{"doc":"Get allowed actions and reusable workflows for an organization Resources API method documentation","ref":"GitHub.Actions.html#get_allowed_actions_organization/2","title":"GitHub.Actions.get_allowed_actions_organization/2","type":"function"},{"doc":"Get allowed actions and reusable workflows for a repository Resources API method documentation","ref":"GitHub.Actions.html#get_allowed_actions_repository/3","title":"GitHub.Actions.get_allowed_actions_repository/3","type":"function"},{"doc":"Get an artifact Resources API method documentation","ref":"GitHub.Actions.html#get_artifact/4","title":"GitHub.Actions.get_artifact/4","type":"function"},{"doc":"Get the customization template for an OIDC subject claim for a repository Resources API method documentation","ref":"GitHub.Actions.html#get_custom_oidc_sub_claim_for_repo/3","title":"GitHub.Actions.get_custom_oidc_sub_claim_for_repo/3","type":"function"},{"doc":"Get an environment public key Resources API method documentation","ref":"GitHub.Actions.html#get_environment_public_key/3","title":"GitHub.Actions.get_environment_public_key/3","type":"function"},{"doc":"Get an environment secret Resources API method documentation","ref":"GitHub.Actions.html#get_environment_secret/4","title":"GitHub.Actions.get_environment_secret/4","type":"function"},{"doc":"Get an environment variable Resources API method documentation","ref":"GitHub.Actions.html#get_environment_variable/4","title":"GitHub.Actions.get_environment_variable/4","type":"function"},{"doc":"Get default workflow permissions for an organization Resources API method documentation","ref":"GitHub.Actions.html#get_github_actions_default_workflow_permissions_organization/2","title":"GitHub.Actions.get_github_actions_default_workflow_permissions_organization/2","type":"function"},{"doc":"Get default workflow permissions for a repository Resources API method documentation","ref":"GitHub.Actions.html#get_github_actions_default_workflow_permissions_repository/3","title":"GitHub.Actions.get_github_actions_default_workflow_permissions_repository/3","type":"function"},{"doc":"Get GitHub Actions permissions for an organization Resources API method documentation","ref":"GitHub.Actions.html#get_github_actions_permissions_organization/2","title":"GitHub.Actions.get_github_actions_permissions_organization/2","type":"function"},{"doc":"Get GitHub Actions permissions for a repository Resources API method documentation","ref":"GitHub.Actions.html#get_github_actions_permissions_repository/3","title":"GitHub.Actions.get_github_actions_permissions_repository/3","type":"function"},{"doc":"Get a job for a workflow run Resources API method documentation","ref":"GitHub.Actions.html#get_job_for_workflow_run/4","title":"GitHub.Actions.get_job_for_workflow_run/4","type":"function"},{"doc":"Get an organization public key Resources API method documentation","ref":"GitHub.Actions.html#get_org_public_key/2","title":"GitHub.Actions.get_org_public_key/2","type":"function"},{"doc":"Get an organization secret Resources API method documentation","ref":"GitHub.Actions.html#get_org_secret/3","title":"GitHub.Actions.get_org_secret/3","type":"function"},{"doc":"Get an organization variable Resources API method documentation","ref":"GitHub.Actions.html#get_org_variable/3","title":"GitHub.Actions.get_org_variable/3","type":"function"},{"doc":"Get pending deployments for a workflow run Resources API method documentation","ref":"GitHub.Actions.html#get_pending_deployments_for_run/4","title":"GitHub.Actions.get_pending_deployments_for_run/4","type":"function"},{"doc":"Get a repository public key Resources API method documentation","ref":"GitHub.Actions.html#get_repo_public_key/3","title":"GitHub.Actions.get_repo_public_key/3","type":"function"},{"doc":"Get a repository secret Resources API method documentation","ref":"GitHub.Actions.html#get_repo_secret/4","title":"GitHub.Actions.get_repo_secret/4","type":"function"},{"doc":"Get a repository variable Resources API method documentation","ref":"GitHub.Actions.html#get_repo_variable/4","title":"GitHub.Actions.get_repo_variable/4","type":"function"},{"doc":"Get the review history for a workflow run Resources API method documentation","ref":"GitHub.Actions.html#get_reviews_for_run/4","title":"GitHub.Actions.get_reviews_for_run/4","type":"function"},{"doc":"Get a self-hosted runner for an organization Resources API method documentation","ref":"GitHub.Actions.html#get_self_hosted_runner_for_org/3","title":"GitHub.Actions.get_self_hosted_runner_for_org/3","type":"function"},{"doc":"Get a self-hosted runner for a repository Resources API method documentation","ref":"GitHub.Actions.html#get_self_hosted_runner_for_repo/4","title":"GitHub.Actions.get_self_hosted_runner_for_repo/4","type":"function"},{"doc":"Get a workflow Resources API method documentation","ref":"GitHub.Actions.html#get_workflow/4","title":"GitHub.Actions.get_workflow/4","type":"function"},{"doc":"Get the level of access for workflows outside of the repository Resources API method documentation","ref":"GitHub.Actions.html#get_workflow_access_to_repository/3","title":"GitHub.Actions.get_workflow_access_to_repository/3","type":"function"},{"doc":"Get a workflow run Options exclude_pull_requests (boolean): If true pull requests are omitted from the response (empty array). Resources API method documentation","ref":"GitHub.Actions.html#get_workflow_run/4","title":"GitHub.Actions.get_workflow_run/4","type":"function"},{"doc":"Get a workflow run attempt Options exclude_pull_requests (boolean): If true pull requests are omitted from the response (empty array). Resources API method documentation","ref":"GitHub.Actions.html#get_workflow_run_attempt/5","title":"GitHub.Actions.get_workflow_run_attempt/5","type":"function"},{"doc":"Get workflow run usage Resources API method documentation","ref":"GitHub.Actions.html#get_workflow_run_usage/4","title":"GitHub.Actions.get_workflow_run_usage/4","type":"function"},{"doc":"Get workflow usage Resources API method documentation","ref":"GitHub.Actions.html#get_workflow_usage/4","title":"GitHub.Actions.get_workflow_usage/4","type":"function"},{"doc":"List artifacts for a repository Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. name (String.t()): The name field of an artifact. When specified, only artifacts with this name will be returned. Resources API method documentation","ref":"GitHub.Actions.html#list_artifacts_for_repo/3","title":"GitHub.Actions.list_artifacts_for_repo/3","type":"function"},{"doc":"List environment secrets Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_environment_secrets/3","title":"GitHub.Actions.list_environment_secrets/3","type":"function"},{"doc":"List environment variables Options per_page (integer): The number of results per page (max 30). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_environment_variables/3","title":"GitHub.Actions.list_environment_variables/3","type":"function"},{"doc":"List jobs for a workflow run Options filter (String.t()): Filters jobs by their completed_at timestamp. latest returns jobs from the most recent execution of the workflow run. all returns all jobs for a workflow run, including from old executions of the workflow run. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_jobs_for_workflow_run/4","title":"GitHub.Actions.list_jobs_for_workflow_run/4","type":"function"},{"doc":"List jobs for a workflow run attempt Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_jobs_for_workflow_run_attempt/5","title":"GitHub.Actions.list_jobs_for_workflow_run_attempt/5","type":"function"},{"doc":"List labels for a self-hosted runner for an organization Resources API method documentation","ref":"GitHub.Actions.html#list_labels_for_self_hosted_runner_for_org/3","title":"GitHub.Actions.list_labels_for_self_hosted_runner_for_org/3","type":"function"},{"doc":"List labels for a self-hosted runner for a repository Resources API method documentation","ref":"GitHub.Actions.html#list_labels_for_self_hosted_runner_for_repo/4","title":"GitHub.Actions.list_labels_for_self_hosted_runner_for_repo/4","type":"function"},{"doc":"List organization secrets Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_org_secrets/2","title":"GitHub.Actions.list_org_secrets/2","type":"function"},{"doc":"List organization variables Options per_page (integer): The number of results per page (max 30). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_org_variables/2","title":"GitHub.Actions.list_org_variables/2","type":"function"},{"doc":"List repository organization secrets Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_repo_organization_secrets/3","title":"GitHub.Actions.list_repo_organization_secrets/3","type":"function"},{"doc":"List repository organization variables Options per_page (integer): The number of results per page (max 30). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_repo_organization_variables/3","title":"GitHub.Actions.list_repo_organization_variables/3","type":"function"},{"doc":"List repository secrets Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_repo_secrets/3","title":"GitHub.Actions.list_repo_secrets/3","type":"function"},{"doc":"List repository variables Options per_page (integer): The number of results per page (max 30). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_repo_variables/3","title":"GitHub.Actions.list_repo_variables/3","type":"function"},{"doc":"List repository workflows Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_repo_workflows/3","title":"GitHub.Actions.list_repo_workflows/3","type":"function"},{"doc":"List runner applications for an organization Resources API method documentation","ref":"GitHub.Actions.html#list_runner_applications_for_org/2","title":"GitHub.Actions.list_runner_applications_for_org/2","type":"function"},{"doc":"List runner applications for a repository Resources API method documentation","ref":"GitHub.Actions.html#list_runner_applications_for_repo/3","title":"GitHub.Actions.list_runner_applications_for_repo/3","type":"function"},{"doc":"List selected repositories for an organization secret Options page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Actions.html#list_selected_repos_for_org_secret/3","title":"GitHub.Actions.list_selected_repos_for_org_secret/3","type":"function"},{"doc":"List selected repositories for an organization variable Options page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Actions.html#list_selected_repos_for_org_variable/3","title":"GitHub.Actions.list_selected_repos_for_org_variable/3","type":"function"},{"doc":"List selected repositories enabled for GitHub Actions in an organization Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_selected_repositories_enabled_github_actions_organization/2","title":"GitHub.Actions.list_selected_repositories_enabled_github_actions_organization/2","type":"function"},{"doc":"List self-hosted runners for an organization Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_self_hosted_runners_for_org/2","title":"GitHub.Actions.list_self_hosted_runners_for_org/2","type":"function"},{"doc":"List self-hosted runners for a repository Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_self_hosted_runners_for_repo/3","title":"GitHub.Actions.list_self_hosted_runners_for_repo/3","type":"function"},{"doc":"List workflow run artifacts Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. name (String.t()): The name field of an artifact. When specified, only artifacts with this name will be returned. Resources API method documentation","ref":"GitHub.Actions.html#list_workflow_run_artifacts/4","title":"GitHub.Actions.list_workflow_run_artifacts/4","type":"function"},{"doc":"List workflow runs for a workflow Options actor (String.t()): Returns someone's workflow runs. Use the login for the user who created the push associated with the check suite or workflow run. branch (String.t()): Returns workflow runs associated with a branch. Use the name of the branch of the push . event (String.t()): Returns workflow run triggered by the event you specify. For example, push , pull_request or issue . For more information, see &quot; Events that trigger workflows .&quot; status (String.t()): Returns workflow runs with the check run status or conclusion that you specify. For example, a conclusion can be success or a status can be in_progress . Only GitHub can set a status of waiting or requested . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. created (String.t()): Returns workflow runs created within the given date-time range. For more information on the syntax, see &quot; Understanding the search syntax .&quot; exclude_pull_requests (boolean): If true pull requests are omitted from the response (empty array). check_suite_id (integer): Returns workflow runs with the check_suite_id that you specify. head_sha (String.t()): Only returns workflow runs that are associated with the specified head_sha . Resources API method documentation","ref":"GitHub.Actions.html#list_workflow_runs/4","title":"GitHub.Actions.list_workflow_runs/4","type":"function"},{"doc":"List workflow runs for a repository Options actor (String.t()): Returns someone's workflow runs. Use the login for the user who created the push associated with the check suite or workflow run. branch (String.t()): Returns workflow runs associated with a branch. Use the name of the branch of the push . event (String.t()): Returns workflow run triggered by the event you specify. For example, push , pull_request or issue . For more information, see &quot; Events that trigger workflows .&quot; status (String.t()): Returns workflow runs with the check run status or conclusion that you specify. For example, a conclusion can be success or a status can be in_progress . Only GitHub can set a status of waiting or requested . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. created (String.t()): Returns workflow runs created within the given date-time range. For more information on the syntax, see &quot; Understanding the search syntax .&quot; exclude_pull_requests (boolean): If true pull requests are omitted from the response (empty array). check_suite_id (integer): Returns workflow runs with the check_suite_id that you specify. head_sha (String.t()): Only returns workflow runs that are associated with the specified head_sha . Resources API method documentation","ref":"GitHub.Actions.html#list_workflow_runs_for_repo/3","title":"GitHub.Actions.list_workflow_runs_for_repo/3","type":"function"},{"doc":"Re-run a job from a workflow run Resources API method documentation","ref":"GitHub.Actions.html#re_run_job_for_workflow_run/5","title":"GitHub.Actions.re_run_job_for_workflow_run/5","type":"function"},{"doc":"Re-run a workflow Resources API method documentation","ref":"GitHub.Actions.html#re_run_workflow/5","title":"GitHub.Actions.re_run_workflow/5","type":"function"},{"doc":"Re-run failed jobs from a workflow run Resources API method documentation","ref":"GitHub.Actions.html#re_run_workflow_failed_jobs/5","title":"GitHub.Actions.re_run_workflow_failed_jobs/5","type":"function"},{"doc":"Remove all custom labels from a self-hosted runner for an organization Resources API method documentation","ref":"GitHub.Actions.html#remove_all_custom_labels_from_self_hosted_runner_for_org/3","title":"GitHub.Actions.remove_all_custom_labels_from_self_hosted_runner_for_org/3","type":"function"},{"doc":"Remove all custom labels from a self-hosted runner for a repository Resources API method documentation","ref":"GitHub.Actions.html#remove_all_custom_labels_from_self_hosted_runner_for_repo/4","title":"GitHub.Actions.remove_all_custom_labels_from_self_hosted_runner_for_repo/4","type":"function"},{"doc":"Remove a custom label from a self-hosted runner for an organization Resources API method documentation","ref":"GitHub.Actions.html#remove_custom_label_from_self_hosted_runner_for_org/4","title":"GitHub.Actions.remove_custom_label_from_self_hosted_runner_for_org/4","type":"function"},{"doc":"Remove a custom label from a self-hosted runner for a repository Resources API method documentation","ref":"GitHub.Actions.html#remove_custom_label_from_self_hosted_runner_for_repo/5","title":"GitHub.Actions.remove_custom_label_from_self_hosted_runner_for_repo/5","type":"function"},{"doc":"Remove selected repository from an organization secret Resources API method documentation","ref":"GitHub.Actions.html#remove_selected_repo_from_org_secret/4","title":"GitHub.Actions.remove_selected_repo_from_org_secret/4","type":"function"},{"doc":"Remove selected repository from an organization variable Resources API method documentation","ref":"GitHub.Actions.html#remove_selected_repo_from_org_variable/4","title":"GitHub.Actions.remove_selected_repo_from_org_variable/4","type":"function"},{"doc":"Review custom deployment protection rules for a workflow run Resources API method documentation","ref":"GitHub.Actions.html#review_custom_gates_for_run/5","title":"GitHub.Actions.review_custom_gates_for_run/5","type":"function"},{"doc":"Review pending deployments for a workflow run Resources API method documentation","ref":"GitHub.Actions.html#review_pending_deployments_for_run/5","title":"GitHub.Actions.review_pending_deployments_for_run/5","type":"function"},{"doc":"Set allowed actions and reusable workflows for an organization Resources API method documentation","ref":"GitHub.Actions.html#set_allowed_actions_organization/3","title":"GitHub.Actions.set_allowed_actions_organization/3","type":"function"},{"doc":"Set allowed actions and reusable workflows for a repository Resources API method documentation","ref":"GitHub.Actions.html#set_allowed_actions_repository/4","title":"GitHub.Actions.set_allowed_actions_repository/4","type":"function"},{"doc":"Set custom labels for a self-hosted runner for an organization Resources API method documentation","ref":"GitHub.Actions.html#set_custom_labels_for_self_hosted_runner_for_org/4","title":"GitHub.Actions.set_custom_labels_for_self_hosted_runner_for_org/4","type":"function"},{"doc":"Set custom labels for a self-hosted runner for a repository Resources API method documentation","ref":"GitHub.Actions.html#set_custom_labels_for_self_hosted_runner_for_repo/5","title":"GitHub.Actions.set_custom_labels_for_self_hosted_runner_for_repo/5","type":"function"},{"doc":"Set the customization template for an OIDC subject claim for a repository Resources API method documentation","ref":"GitHub.Actions.html#set_custom_oidc_sub_claim_for_repo/4","title":"GitHub.Actions.set_custom_oidc_sub_claim_for_repo/4","type":"function"},{"doc":"Set default workflow permissions for an organization Resources API method documentation","ref":"GitHub.Actions.html#set_github_actions_default_workflow_permissions_organization/3","title":"GitHub.Actions.set_github_actions_default_workflow_permissions_organization/3","type":"function"},{"doc":"Set default workflow permissions for a repository Resources API method documentation","ref":"GitHub.Actions.html#set_github_actions_default_workflow_permissions_repository/4","title":"GitHub.Actions.set_github_actions_default_workflow_permissions_repository/4","type":"function"},{"doc":"Set GitHub Actions permissions for an organization Resources API method documentation","ref":"GitHub.Actions.html#set_github_actions_permissions_organization/3","title":"GitHub.Actions.set_github_actions_permissions_organization/3","type":"function"},{"doc":"Set GitHub Actions permissions for a repository Resources API method documentation","ref":"GitHub.Actions.html#set_github_actions_permissions_repository/4","title":"GitHub.Actions.set_github_actions_permissions_repository/4","type":"function"},{"doc":"Set selected repositories for an organization secret Resources API method documentation","ref":"GitHub.Actions.html#set_selected_repos_for_org_secret/4","title":"GitHub.Actions.set_selected_repos_for_org_secret/4","type":"function"},{"doc":"Set selected repositories for an organization variable Resources API method documentation","ref":"GitHub.Actions.html#set_selected_repos_for_org_variable/4","title":"GitHub.Actions.set_selected_repos_for_org_variable/4","type":"function"},{"doc":"Set selected repositories enabled for GitHub Actions in an organization Resources API method documentation","ref":"GitHub.Actions.html#set_selected_repositories_enabled_github_actions_organization/3","title":"GitHub.Actions.set_selected_repositories_enabled_github_actions_organization/3","type":"function"},{"doc":"Set the level of access for workflows outside of the repository Resources API method documentation","ref":"GitHub.Actions.html#set_workflow_access_to_repository/4","title":"GitHub.Actions.set_workflow_access_to_repository/4","type":"function"},{"doc":"Update an environment variable Resources API method documentation","ref":"GitHub.Actions.html#update_environment_variable/5","title":"GitHub.Actions.update_environment_variable/5","type":"function"},{"doc":"Update an organization variable Resources API method documentation","ref":"GitHub.Actions.html#update_org_variable/4","title":"GitHub.Actions.update_org_variable/4","type":"function"},{"doc":"Update a repository variable Resources API method documentation","ref":"GitHub.Actions.html#update_repo_variable/5","title":"GitHub.Actions.update_repo_variable/5","type":"function"},{"doc":"Provides API endpoints, struct, and type related to activity","ref":"GitHub.Activity.html","title":"GitHub.Activity","type":"module"},{"doc":"Check if a repository is starred by the authenticated user Resources API method documentation","ref":"GitHub.Activity.html#check_repo_is_starred_by_authenticated_user/3","title":"GitHub.Activity.check_repo_is_starred_by_authenticated_user/3","type":"function"},{"doc":"Delete a repository subscription Resources API method documentation","ref":"GitHub.Activity.html#delete_repo_subscription/3","title":"GitHub.Activity.delete_repo_subscription/3","type":"function"},{"doc":"Delete a thread subscription Resources API method documentation","ref":"GitHub.Activity.html#delete_thread_subscription/2","title":"GitHub.Activity.delete_thread_subscription/2","type":"function"},{"doc":"Get feeds Resources API method documentation","ref":"GitHub.Activity.html#get_feeds/1","title":"GitHub.Activity.get_feeds/1","type":"function"},{"doc":"Get a repository subscription Resources API method documentation","ref":"GitHub.Activity.html#get_repo_subscription/3","title":"GitHub.Activity.get_repo_subscription/3","type":"function"},{"doc":"Get a thread Resources API method documentation","ref":"GitHub.Activity.html#get_thread/2","title":"GitHub.Activity.get_thread/2","type":"function"},{"doc":"Get a thread subscription for the authenticated user Resources API method documentation","ref":"GitHub.Activity.html#get_thread_subscription_for_authenticated_user/2","title":"GitHub.Activity.get_thread_subscription_for_authenticated_user/2","type":"function"},{"doc":"List events for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_events_for_authenticated_user/2","title":"GitHub.Activity.list_events_for_authenticated_user/2","type":"function"},{"doc":"List notifications for the authenticated user Options all (boolean): If true , show notifications marked as read. participating (boolean): If true , only shows notifications in which the user is directly participating or mentioned. since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . before (String.t()): Only show notifications updated before the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 50). Resources API method documentation","ref":"GitHub.Activity.html#list_notifications_for_authenticated_user/1","title":"GitHub.Activity.list_notifications_for_authenticated_user/1","type":"function"},{"doc":"List organization events for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_org_events_for_authenticated_user/3","title":"GitHub.Activity.list_org_events_for_authenticated_user/3","type":"function"},{"doc":"List public events Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_public_events/1","title":"GitHub.Activity.list_public_events/1","type":"function"},{"doc":"List public events for a network of repositories Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_public_events_for_repo_network/3","title":"GitHub.Activity.list_public_events_for_repo_network/3","type":"function"},{"doc":"List public events for a user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_public_events_for_user/2","title":"GitHub.Activity.list_public_events_for_user/2","type":"function"},{"doc":"List public organization events Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_public_org_events/2","title":"GitHub.Activity.list_public_org_events/2","type":"function"},{"doc":"List events received by the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_received_events_for_user/2","title":"GitHub.Activity.list_received_events_for_user/2","type":"function"},{"doc":"List public events received by a user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_received_public_events_for_user/2","title":"GitHub.Activity.list_received_public_events_for_user/2","type":"function"},{"doc":"List repository events Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_repo_events/3","title":"GitHub.Activity.list_repo_events/3","type":"function"},{"doc":"List repository notifications for the authenticated user Options all (boolean): If true , show notifications marked as read. participating (boolean): If true , only shows notifications in which the user is directly participating or mentioned. since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . before (String.t()): Only show notifications updated before the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_repo_notifications_for_authenticated_user/3","title":"GitHub.Activity.list_repo_notifications_for_authenticated_user/3","type":"function"},{"doc":"List repositories starred by the authenticated user Options sort (String.t()): The property to sort the results by. created means when the repository was starred. updated means when the repository was last pushed to. direction (String.t()): The direction to sort the results by. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_repos_starred_by_authenticated_user/1","title":"GitHub.Activity.list_repos_starred_by_authenticated_user/1","type":"function"},{"doc":"List repositories starred by a user Options sort (String.t()): The property to sort the results by. created means when the repository was starred. updated means when the repository was last pushed to. direction (String.t()): The direction to sort the results by. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_repos_starred_by_user/2","title":"GitHub.Activity.list_repos_starred_by_user/2","type":"function"},{"doc":"List repositories watched by a user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_repos_watched_by_user/2","title":"GitHub.Activity.list_repos_watched_by_user/2","type":"function"},{"doc":"List stargazers Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_stargazers_for_repo/3","title":"GitHub.Activity.list_stargazers_for_repo/3","type":"function"},{"doc":"List repositories watched by the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_watched_repos_for_authenticated_user/1","title":"GitHub.Activity.list_watched_repos_for_authenticated_user/1","type":"function"},{"doc":"List watchers Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_watchers_for_repo/3","title":"GitHub.Activity.list_watchers_for_repo/3","type":"function"},{"doc":"Mark notifications as read Resources API method documentation","ref":"GitHub.Activity.html#mark_notifications_as_read/2","title":"GitHub.Activity.mark_notifications_as_read/2","type":"function"},{"doc":"Mark repository notifications as read Resources API method documentation","ref":"GitHub.Activity.html#mark_repo_notifications_as_read/4","title":"GitHub.Activity.mark_repo_notifications_as_read/4","type":"function"},{"doc":"Mark a thread as read Resources API method documentation","ref":"GitHub.Activity.html#mark_thread_as_read/2","title":"GitHub.Activity.mark_thread_as_read/2","type":"function"},{"doc":"Set a repository subscription Resources API method documentation","ref":"GitHub.Activity.html#set_repo_subscription/4","title":"GitHub.Activity.set_repo_subscription/4","type":"function"},{"doc":"Set a thread subscription Resources API method documentation","ref":"GitHub.Activity.html#set_thread_subscription/3","title":"GitHub.Activity.set_thread_subscription/3","type":"function"},{"doc":"Star a repository for the authenticated user Resources API method documentation","ref":"GitHub.Activity.html#star_repo_for_authenticated_user/3","title":"GitHub.Activity.star_repo_for_authenticated_user/3","type":"function"},{"doc":"Unstar a repository for the authenticated user Resources API method documentation","ref":"GitHub.Activity.html#unstar_repo_for_authenticated_user/3","title":"GitHub.Activity.unstar_repo_for_authenticated_user/3","type":"function"},{"doc":"","ref":"GitHub.Activity.html#t:t/0","title":"GitHub.Activity.t/0","type":"type"},{"doc":"Provides API endpoints related to apps","ref":"GitHub.Apps.html","title":"GitHub.Apps","type":"module"},{"doc":"Add a repository to an app installation Resources API method documentation","ref":"GitHub.Apps.html#add_repo_to_installation_for_authenticated_user/3","title":"GitHub.Apps.add_repo_to_installation_for_authenticated_user/3","type":"function"},{"doc":"Check a token Resources API method documentation","ref":"GitHub.Apps.html#check_token/3","title":"GitHub.Apps.check_token/3","type":"function"},{"doc":"Create a GitHub App from a manifest Resources API method documentation","ref":"GitHub.Apps.html#create_from_manifest/2","title":"GitHub.Apps.create_from_manifest/2","type":"function"},{"doc":"Create an installation access token for an app Resources API method documentation","ref":"GitHub.Apps.html#create_installation_access_token/3","title":"GitHub.Apps.create_installation_access_token/3","type":"function"},{"doc":"Delete an app authorization Resources API method documentation","ref":"GitHub.Apps.html#delete_authorization/3","title":"GitHub.Apps.delete_authorization/3","type":"function"},{"doc":"Delete an installation for the authenticated app Resources API method documentation","ref":"GitHub.Apps.html#delete_installation/2","title":"GitHub.Apps.delete_installation/2","type":"function"},{"doc":"Delete an app token Resources API method documentation","ref":"GitHub.Apps.html#delete_token/3","title":"GitHub.Apps.delete_token/3","type":"function"},{"doc":"Get the authenticated app Resources API method documentation","ref":"GitHub.Apps.html#get_authenticated/1","title":"GitHub.Apps.get_authenticated/1","type":"function"},{"doc":"Get an app Resources API method documentation","ref":"GitHub.Apps.html#get_by_slug/2","title":"GitHub.Apps.get_by_slug/2","type":"function"},{"doc":"Get an installation for the authenticated app Resources API method documentation","ref":"GitHub.Apps.html#get_installation/2","title":"GitHub.Apps.get_installation/2","type":"function"},{"doc":"Get an organization installation for the authenticated app Resources API method documentation","ref":"GitHub.Apps.html#get_org_installation/2","title":"GitHub.Apps.get_org_installation/2","type":"function"},{"doc":"Get a repository installation for the authenticated app Resources API method documentation","ref":"GitHub.Apps.html#get_repo_installation/3","title":"GitHub.Apps.get_repo_installation/3","type":"function"},{"doc":"Get a subscription plan for an account Resources API method documentation","ref":"GitHub.Apps.html#get_subscription_plan_for_account/2","title":"GitHub.Apps.get_subscription_plan_for_account/2","type":"function"},{"doc":"Get a subscription plan for an account (stubbed) Resources API method documentation","ref":"GitHub.Apps.html#get_subscription_plan_for_account_stubbed/2","title":"GitHub.Apps.get_subscription_plan_for_account_stubbed/2","type":"function"},{"doc":"Get a user installation for the authenticated app Resources API method documentation","ref":"GitHub.Apps.html#get_user_installation/2","title":"GitHub.Apps.get_user_installation/2","type":"function"},{"doc":"Get a webhook configuration for an app Resources API method documentation","ref":"GitHub.Apps.html#get_webhook_config_for_app/1","title":"GitHub.Apps.get_webhook_config_for_app/1","type":"function"},{"doc":"Get a delivery for an app webhook Resources API method documentation","ref":"GitHub.Apps.html#get_webhook_delivery/2","title":"GitHub.Apps.get_webhook_delivery/2","type":"function"},{"doc":"List accounts for a plan Options sort (String.t()): The property to sort the results by. direction (String.t()): To return the oldest accounts first, set to asc . Ignored without the sort parameter. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_accounts_for_plan/2","title":"GitHub.Apps.list_accounts_for_plan/2","type":"function"},{"doc":"List accounts for a plan (stubbed) Options sort (String.t()): The property to sort the results by. direction (String.t()): To return the oldest accounts first, set to asc . Ignored without the sort parameter. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_accounts_for_plan_stubbed/2","title":"GitHub.Apps.list_accounts_for_plan_stubbed/2","type":"function"},{"doc":"List repositories accessible to the user access token Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_installation_repos_for_authenticated_user/2","title":"GitHub.Apps.list_installation_repos_for_authenticated_user/2","type":"function"},{"doc":"List installation requests for the authenticated app Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_installation_requests_for_authenticated_app/1","title":"GitHub.Apps.list_installation_requests_for_authenticated_app/1","type":"function"},{"doc":"List installations for the authenticated app Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . outdated (String.t()): Resources API method documentation","ref":"GitHub.Apps.html#list_installations/1","title":"GitHub.Apps.list_installations/1","type":"function"},{"doc":"List app installations accessible to the user access token Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_installations_for_authenticated_user/1","title":"GitHub.Apps.list_installations_for_authenticated_user/1","type":"function"},{"doc":"List plans Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_plans/1","title":"GitHub.Apps.list_plans/1","type":"function"},{"doc":"List plans (stubbed) Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_plans_stubbed/1","title":"GitHub.Apps.list_plans_stubbed/1","type":"function"},{"doc":"List repositories accessible to the app installation Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_repos_accessible_to_installation/1","title":"GitHub.Apps.list_repos_accessible_to_installation/1","type":"function"},{"doc":"List subscriptions for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_subscriptions_for_authenticated_user/1","title":"GitHub.Apps.list_subscriptions_for_authenticated_user/1","type":"function"},{"doc":"List subscriptions for the authenticated user (stubbed) Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_subscriptions_for_authenticated_user_stubbed/1","title":"GitHub.Apps.list_subscriptions_for_authenticated_user_stubbed/1","type":"function"},{"doc":"List deliveries for an app webhook Options per_page (integer): The number of results per page (max 100). cursor (String.t()): Used for pagination: the starting delivery from which the page of deliveries is fetched. Refer to the link header for the next and previous page cursors. redelivery (boolean): Resources API method documentation","ref":"GitHub.Apps.html#list_webhook_deliveries/1","title":"GitHub.Apps.list_webhook_deliveries/1","type":"function"},{"doc":"Redeliver a delivery for an app webhook Resources API method documentation","ref":"GitHub.Apps.html#redeliver_webhook_delivery/2","title":"GitHub.Apps.redeliver_webhook_delivery/2","type":"function"},{"doc":"Remove a repository from an app installation Resources API method documentation","ref":"GitHub.Apps.html#remove_repo_from_installation_for_authenticated_user/3","title":"GitHub.Apps.remove_repo_from_installation_for_authenticated_user/3","type":"function"},{"doc":"Reset a token Resources API method documentation","ref":"GitHub.Apps.html#reset_token/3","title":"GitHub.Apps.reset_token/3","type":"function"},{"doc":"Revoke an installation access token Resources API method documentation","ref":"GitHub.Apps.html#revoke_installation_access_token/1","title":"GitHub.Apps.revoke_installation_access_token/1","type":"function"},{"doc":"Create a scoped access token Resources API method documentation","ref":"GitHub.Apps.html#scope_token/3","title":"GitHub.Apps.scope_token/3","type":"function"},{"doc":"Suspend an app installation Resources API method documentation","ref":"GitHub.Apps.html#suspend_installation/2","title":"GitHub.Apps.suspend_installation/2","type":"function"},{"doc":"Unsuspend an app installation Resources API method documentation","ref":"GitHub.Apps.html#unsuspend_installation/2","title":"GitHub.Apps.unsuspend_installation/2","type":"function"},{"doc":"Update a webhook configuration for an app Resources API method documentation","ref":"GitHub.Apps.html#update_webhook_config_for_app/2","title":"GitHub.Apps.update_webhook_config_for_app/2","type":"function"},{"doc":"Provides API endpoints related to billing","ref":"GitHub.Billing.html","title":"GitHub.Billing","type":"module"},{"doc":"Get GitHub Actions billing for an organization Resources API method documentation","ref":"GitHub.Billing.html#get_github_actions_billing_org/2","title":"GitHub.Billing.get_github_actions_billing_org/2","type":"function"},{"doc":"Get GitHub Actions billing for a user Resources API method documentation","ref":"GitHub.Billing.html#get_github_actions_billing_user/2","title":"GitHub.Billing.get_github_actions_billing_user/2","type":"function"},{"doc":"Get GitHub Packages billing for an organization Resources API method documentation","ref":"GitHub.Billing.html#get_github_packages_billing_org/2","title":"GitHub.Billing.get_github_packages_billing_org/2","type":"function"},{"doc":"Get GitHub Packages billing for a user Resources API method documentation","ref":"GitHub.Billing.html#get_github_packages_billing_user/2","title":"GitHub.Billing.get_github_packages_billing_user/2","type":"function"},{"doc":"Get shared storage billing for an organization Resources API method documentation","ref":"GitHub.Billing.html#get_shared_storage_billing_org/2","title":"GitHub.Billing.get_shared_storage_billing_org/2","type":"function"},{"doc":"Get shared storage billing for a user Resources API method documentation","ref":"GitHub.Billing.html#get_shared_storage_billing_user/2","title":"GitHub.Billing.get_shared_storage_billing_user/2","type":"function"},{"doc":"Provides API endpoints related to checks","ref":"GitHub.Checks.html","title":"GitHub.Checks","type":"module"},{"doc":"Create a check run Resources API method documentation","ref":"GitHub.Checks.html#create/4","title":"GitHub.Checks.create/4","type":"function"},{"doc":"Create a check suite Resources API method documentation","ref":"GitHub.Checks.html#create_suite/4","title":"GitHub.Checks.create_suite/4","type":"function"},{"doc":"Get a check run Resources API method documentation","ref":"GitHub.Checks.html#get/4","title":"GitHub.Checks.get/4","type":"function"},{"doc":"Get a check suite Resources API method documentation","ref":"GitHub.Checks.html#get_suite/4","title":"GitHub.Checks.get_suite/4","type":"function"},{"doc":"List check run annotations Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Checks.html#list_annotations/4","title":"GitHub.Checks.list_annotations/4","type":"function"},{"doc":"List check runs for a Git reference Options check_name (String.t()): Returns check runs with the specified name . status (String.t()): Returns check runs with the specified status . filter (String.t()): Filters check runs by their completed_at timestamp. latest returns the most recent check runs. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. app_id (integer): Resources API method documentation","ref":"GitHub.Checks.html#list_for_ref/4","title":"GitHub.Checks.list_for_ref/4","type":"function"},{"doc":"List check runs in a check suite Options check_name (String.t()): Returns check runs with the specified name . status (String.t()): Returns check runs with the specified status . filter (String.t()): Filters check runs by their completed_at timestamp. latest returns the most recent check runs. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Checks.html#list_for_suite/4","title":"GitHub.Checks.list_for_suite/4","type":"function"},{"doc":"List check suites for a Git reference Options app_id (integer): Filters check suites by GitHub App id . check_name (String.t()): Returns check runs with the specified name . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Checks.html#list_suites_for_ref/4","title":"GitHub.Checks.list_suites_for_ref/4","type":"function"},{"doc":"Rerequest a check run Resources API method documentation","ref":"GitHub.Checks.html#rerequest_run/4","title":"GitHub.Checks.rerequest_run/4","type":"function"},{"doc":"Rerequest a check suite Resources API method documentation","ref":"GitHub.Checks.html#rerequest_suite/4","title":"GitHub.Checks.rerequest_suite/4","type":"function"},{"doc":"Update repository preferences for check suites Resources API method documentation","ref":"GitHub.Checks.html#set_suites_preferences/4","title":"GitHub.Checks.set_suites_preferences/4","type":"function"},{"doc":"Update a check run Resources API method documentation","ref":"GitHub.Checks.html#update/5","title":"GitHub.Checks.update/5","type":"function"},{"doc":"Provides API endpoints related to code scanning","ref":"GitHub.CodeScanning.html","title":"GitHub.CodeScanning","type":"module"},{"doc":"Delete a code scanning analysis from a repository Options confirm_delete (String.t() | nil): Allow deletion if the specified analysis is the last in a set. If you attempt to delete the final analysis in a set without setting this parameter to true , you'll get a 400 response with the message: Analysis is last of its type and deletion may result in the loss of historical alert data. Please specify confirm_delete. Resources API method documentation","ref":"GitHub.CodeScanning.html#delete_analysis/4","title":"GitHub.CodeScanning.delete_analysis/4","type":"function"},{"doc":"Get a code scanning alert Resources API method documentation","ref":"GitHub.CodeScanning.html#get_alert/4","title":"GitHub.CodeScanning.get_alert/4","type":"function"},{"doc":"Get a code scanning analysis for a repository Resources API method documentation","ref":"GitHub.CodeScanning.html#get_analysis/4","title":"GitHub.CodeScanning.get_analysis/4","type":"function"},{"doc":"Get a CodeQL database for a repository Resources API method documentation","ref":"GitHub.CodeScanning.html#get_codeql_database/4","title":"GitHub.CodeScanning.get_codeql_database/4","type":"function"},{"doc":"Get a code scanning default setup configuration Resources API method documentation","ref":"GitHub.CodeScanning.html#get_default_setup/3","title":"GitHub.CodeScanning.get_default_setup/3","type":"function"},{"doc":"Get information about a SARIF upload Resources API method documentation","ref":"GitHub.CodeScanning.html#get_sarif/4","title":"GitHub.CodeScanning.get_sarif/4","type":"function"},{"doc":"List instances of a code scanning alert Options page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). ref (String.t()): The Git reference for the results you want to list. The ref for a branch can be formatted either as refs/heads/&lt;branch name&gt; or simply &lt;branch name&gt; . To reference a pull request use refs/pull/&lt;number&gt;/merge . Resources API method documentation","ref":"GitHub.CodeScanning.html#list_alert_instances/4","title":"GitHub.CodeScanning.list_alert_instances/4","type":"function"},{"doc":"List code scanning alerts for an organization Options tool_name (String.t()): The name of a code scanning tool. Only results by this tool will be listed. You can specify the tool by using either tool_name or tool_guid , but not both. tool_guid (String.t() | nil): The GUID of a code scanning tool. Only results by this tool will be listed. Note that some code scanning tools may not include a GUID in their analysis data. You can specify the tool by using either tool_guid or tool_name , but not both. before (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). direction (String.t()): The direction to sort the results by. state (String.t()): If specified, only code scanning alerts with this state will be returned. sort (String.t()): The property by which to sort the results. severity (String.t()): If specified, only code scanning alerts with this severity will be returned. Resources API method documentation","ref":"GitHub.CodeScanning.html#list_alerts_for_org/2","title":"GitHub.CodeScanning.list_alerts_for_org/2","type":"function"},{"doc":"List code scanning alerts for a repository Options tool_name (String.t()): The name of a code scanning tool. Only results by this tool will be listed. You can specify the tool by using either tool_name or tool_guid , but not both. tool_guid (String.t() | nil): The GUID of a code scanning tool. Only results by this tool will be listed. Note that some code scanning tools may not include a GUID in their analysis data. You can specify the tool by using either tool_guid or tool_name , but not both. page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). ref (String.t()): The Git reference for the results you want to list. The ref for a branch can be formatted either as refs/heads/&lt;branch name&gt; or simply &lt;branch name&gt; . To reference a pull request use refs/pull/&lt;number&gt;/merge . direction (String.t()): The direction to sort the results by. sort (String.t()): The property by which to sort the results. state (String.t()): If specified, only code scanning alerts with this state will be returned. severity (String.t()): If specified, only code scanning alerts with this severity will be returned. Resources API method documentation","ref":"GitHub.CodeScanning.html#list_alerts_for_repo/3","title":"GitHub.CodeScanning.list_alerts_for_repo/3","type":"function"},{"doc":"List CodeQL databases for a repository Resources API method documentation","ref":"GitHub.CodeScanning.html#list_codeql_databases/3","title":"GitHub.CodeScanning.list_codeql_databases/3","type":"function"},{"doc":"List code scanning analyses for a repository Options tool_name (String.t()): The name of a code scanning tool. Only results by this tool will be listed. You can specify the tool by using either tool_name or tool_guid , but not both. tool_guid (String.t() | nil): The GUID of a code scanning tool. Only results by this tool will be listed. Note that some code scanning tools may not include a GUID in their analysis data. You can specify the tool by using either tool_guid or tool_name , but not both. page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). ref (String.t()): The Git reference for the analyses you want to list. The ref for a branch can be formatted either as refs/heads/&lt;branch name&gt; or simply &lt;branch name&gt; . To reference a pull request use refs/pull/&lt;number&gt;/merge . sarif_id (String.t()): Filter analyses belonging to the same SARIF upload. direction (String.t()): The direction to sort the results by. sort (String.t()): The property by which to sort the results. Resources API method documentation","ref":"GitHub.CodeScanning.html#list_recent_analyses/3","title":"GitHub.CodeScanning.list_recent_analyses/3","type":"function"},{"doc":"Update a code scanning alert Resources API method documentation","ref":"GitHub.CodeScanning.html#update_alert/5","title":"GitHub.CodeScanning.update_alert/5","type":"function"},{"doc":"Update a code scanning default setup configuration Resources API method documentation","ref":"GitHub.CodeScanning.html#update_default_setup/4","title":"GitHub.CodeScanning.update_default_setup/4","type":"function"},{"doc":"Upload an analysis as SARIF data Resources API method documentation","ref":"GitHub.CodeScanning.html#upload_sarif/4","title":"GitHub.CodeScanning.upload_sarif/4","type":"function"},{"doc":"Provides API endpoints related to codes of conduct","ref":"GitHub.CodesOfConduct.html","title":"GitHub.CodesOfConduct","type":"module"},{"doc":"Get all codes of conduct Resources API method documentation","ref":"GitHub.CodesOfConduct.html#get_all_codes_of_conduct/1","title":"GitHub.CodesOfConduct.get_all_codes_of_conduct/1","type":"function"},{"doc":"Get a code of conduct Resources API method documentation","ref":"GitHub.CodesOfConduct.html#get_conduct_code/2","title":"GitHub.CodesOfConduct.get_conduct_code/2","type":"function"},{"doc":"Provides API endpoints related to codespaces","ref":"GitHub.Codespaces.html","title":"GitHub.Codespaces","type":"module"},{"doc":"Add a selected repository to a user secret Resources API method documentation","ref":"GitHub.Codespaces.html#add_repository_for_secret_for_authenticated_user/3","title":"GitHub.Codespaces.add_repository_for_secret_for_authenticated_user/3","type":"function"},{"doc":"Add selected repository to an organization secret Resources API method documentation","ref":"GitHub.Codespaces.html#add_selected_repo_to_org_secret/4","title":"GitHub.Codespaces.add_selected_repo_to_org_secret/4","type":"function"},{"doc":"List machine types for a codespace Resources API method documentation","ref":"GitHub.Codespaces.html#codespace_machines_for_authenticated_user/2","title":"GitHub.Codespaces.codespace_machines_for_authenticated_user/2","type":"function"},{"doc":"Create a codespace for the authenticated user Resources API method documentation","ref":"GitHub.Codespaces.html#create_for_authenticated_user/2","title":"GitHub.Codespaces.create_for_authenticated_user/2","type":"function"},{"doc":"Create or update an organization secret Resources API method documentation","ref":"GitHub.Codespaces.html#create_or_update_org_secret/4","title":"GitHub.Codespaces.create_or_update_org_secret/4","type":"function"},{"doc":"Create or update a repository secret Resources API method documentation","ref":"GitHub.Codespaces.html#create_or_update_repo_secret/5","title":"GitHub.Codespaces.create_or_update_repo_secret/5","type":"function"},{"doc":"Create or update a secret for the authenticated user Resources API method documentation","ref":"GitHub.Codespaces.html#create_or_update_secret_for_authenticated_user/3","title":"GitHub.Codespaces.create_or_update_secret_for_authenticated_user/3","type":"function"},{"doc":"Create a codespace from a pull request Resources API method documentation","ref":"GitHub.Codespaces.html#create_with_pr_for_authenticated_user/5","title":"GitHub.Codespaces.create_with_pr_for_authenticated_user/5","type":"function"},{"doc":"Create a codespace in a repository Resources API method documentation","ref":"GitHub.Codespaces.html#create_with_repo_for_authenticated_user/4","title":"GitHub.Codespaces.create_with_repo_for_authenticated_user/4","type":"function"},{"doc":"Remove users from Codespaces access for an organization Resources API method documentation","ref":"GitHub.Codespaces.html#delete_codespaces_access_users/3","title":"GitHub.Codespaces.delete_codespaces_access_users/3","type":"function"},{"doc":"Delete a codespace for the authenticated user Resources API method documentation","ref":"GitHub.Codespaces.html#delete_for_authenticated_user/2","title":"GitHub.Codespaces.delete_for_authenticated_user/2","type":"function"},{"doc":"Delete a codespace from the organization Resources API method documentation","ref":"GitHub.Codespaces.html#delete_from_organization/4","title":"GitHub.Codespaces.delete_from_organization/4","type":"function"},{"doc":"Delete an organization secret Resources API method documentation","ref":"GitHub.Codespaces.html#delete_org_secret/3","title":"GitHub.Codespaces.delete_org_secret/3","type":"function"},{"doc":"Delete a repository secret Resources API method documentation","ref":"GitHub.Codespaces.html#delete_repo_secret/4","title":"GitHub.Codespaces.delete_repo_secret/4","type":"function"},{"doc":"Delete a secret for the authenticated user Resources API method documentation","ref":"GitHub.Codespaces.html#delete_secret_for_authenticated_user/2","title":"GitHub.Codespaces.delete_secret_for_authenticated_user/2","type":"function"},{"doc":"Export a codespace for the authenticated user Resources API method documentation","ref":"GitHub.Codespaces.html#export_for_authenticated_user/2","title":"GitHub.Codespaces.export_for_authenticated_user/2","type":"function"},{"doc":"List codespaces for a user in organization Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Codespaces.html#get_codespaces_for_user_in_org/3","title":"GitHub.Codespaces.get_codespaces_for_user_in_org/3","type":"function"},{"doc":"Get details about a codespace export Resources API method documentation","ref":"GitHub.Codespaces.html#get_export_details_for_authenticated_user/3","title":"GitHub.Codespaces.get_export_details_for_authenticated_user/3","type":"function"},{"doc":"Get a codespace for the authenticated user Resources API method documentation","ref":"GitHub.Codespaces.html#get_for_authenticated_user/2","title":"GitHub.Codespaces.get_for_authenticated_user/2","type":"function"},{"doc":"Get an organization public key Resources API method documentation","ref":"GitHub.Codespaces.html#get_org_public_key/2","title":"GitHub.Codespaces.get_org_public_key/2","type":"function"},{"doc":"Get an organization secret Resources API method documentation","ref":"GitHub.Codespaces.html#get_org_secret/3","title":"GitHub.Codespaces.get_org_secret/3","type":"function"},{"doc":"Get public key for the authenticated user Resources API method documentation","ref":"GitHub.Codespaces.html#get_public_key_for_authenticated_user/1","title":"GitHub.Codespaces.get_public_key_for_authenticated_user/1","type":"function"},{"doc":"Get a repository public key Resources API method documentation","ref":"GitHub.Codespaces.html#get_repo_public_key/3","title":"GitHub.Codespaces.get_repo_public_key/3","type":"function"},{"doc":"Get a repository secret Resources API method documentation","ref":"GitHub.Codespaces.html#get_repo_secret/4","title":"GitHub.Codespaces.get_repo_secret/4","type":"function"},{"doc":"Get a secret for the authenticated user Resources API method documentation","ref":"GitHub.Codespaces.html#get_secret_for_authenticated_user/2","title":"GitHub.Codespaces.get_secret_for_authenticated_user/2","type":"function"},{"doc":"List devcontainer configurations in a repository for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Codespaces.html#list_devcontainers_in_repository_for_authenticated_user/3","title":"GitHub.Codespaces.list_devcontainers_in_repository_for_authenticated_user/3","type":"function"},{"doc":"List codespaces for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. repository_id (integer): ID of the Repository to filter on Resources API method documentation","ref":"GitHub.Codespaces.html#list_for_authenticated_user/1","title":"GitHub.Codespaces.list_for_authenticated_user/1","type":"function"},{"doc":"List codespaces for the organization Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Codespaces.html#list_in_organization/2","title":"GitHub.Codespaces.list_in_organization/2","type":"function"},{"doc":"List codespaces in a repository for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Codespaces.html#list_in_repository_for_authenticated_user/3","title":"GitHub.Codespaces.list_in_repository_for_authenticated_user/3","type":"function"},{"doc":"List organization secrets Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Codespaces.html#list_org_secrets/2","title":"GitHub.Codespaces.list_org_secrets/2","type":"function"},{"doc":"List repository secrets Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Codespaces.html#list_repo_secrets/3","title":"GitHub.Codespaces.list_repo_secrets/3","type":"function"},{"doc":"List selected repositories for a user secret Resources API method documentation","ref":"GitHub.Codespaces.html#list_repositories_for_secret_for_authenticated_user/2","title":"GitHub.Codespaces.list_repositories_for_secret_for_authenticated_user/2","type":"function"},{"doc":"List secrets for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Codespaces.html#list_secrets_for_authenticated_user/1","title":"GitHub.Codespaces.list_secrets_for_authenticated_user/1","type":"function"},{"doc":"List selected repositories for an organization secret Options page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Codespaces.html#list_selected_repos_for_org_secret/3","title":"GitHub.Codespaces.list_selected_repos_for_org_secret/3","type":"function"},{"doc":"Get default attributes for a codespace Options ref (String.t()): The branch or commit to check for a default devcontainer path. If not specified, the default branch will be checked. client_ip (String.t()): An alternative IP for default location auto-detection, such as when proxying a request. Resources API method documentation","ref":"GitHub.Codespaces.html#pre_flight_with_repo_for_authenticated_user/3","title":"GitHub.Codespaces.pre_flight_with_repo_for_authenticated_user/3","type":"function"},{"doc":"Create a repository from an unpublished codespace Resources API method documentation","ref":"GitHub.Codespaces.html#publish_for_authenticated_user/3","title":"GitHub.Codespaces.publish_for_authenticated_user/3","type":"function"},{"doc":"Remove a selected repository from a user secret Resources API method documentation","ref":"GitHub.Codespaces.html#remove_repository_for_secret_for_authenticated_user/3","title":"GitHub.Codespaces.remove_repository_for_secret_for_authenticated_user/3","type":"function"},{"doc":"Remove selected repository from an organization secret Resources API method documentation","ref":"GitHub.Codespaces.html#remove_selected_repo_from_org_secret/4","title":"GitHub.Codespaces.remove_selected_repo_from_org_secret/4","type":"function"},{"doc":"List available machine types for a repository Options location (String.t()): The location to check for available machines. Assigned by IP if not provided. client_ip (String.t()): IP for location auto-detection when proxying a request ref (String.t()): The branch or commit to check for prebuild availability and devcontainer restrictions. Resources API method documentation","ref":"GitHub.Codespaces.html#repo_machines_for_authenticated_user/3","title":"GitHub.Codespaces.repo_machines_for_authenticated_user/3","type":"function"},{"doc":"Manage access control for organization codespaces Resources API method documentation","ref":"GitHub.Codespaces.html#set_codespaces_access/3","title":"GitHub.Codespaces.set_codespaces_access/3","type":"function"},{"doc":"Add users to Codespaces access for an organization Resources API method documentation","ref":"GitHub.Codespaces.html#set_codespaces_access_users/3","title":"GitHub.Codespaces.set_codespaces_access_users/3","type":"function"},{"doc":"Set selected repositories for a user secret Resources API method documentation","ref":"GitHub.Codespaces.html#set_repositories_for_secret_for_authenticated_user/3","title":"GitHub.Codespaces.set_repositories_for_secret_for_authenticated_user/3","type":"function"},{"doc":"Set selected repositories for an organization secret Resources API method documentation","ref":"GitHub.Codespaces.html#set_selected_repos_for_org_secret/4","title":"GitHub.Codespaces.set_selected_repos_for_org_secret/4","type":"function"},{"doc":"Start a codespace for the authenticated user Resources API method documentation","ref":"GitHub.Codespaces.html#start_for_authenticated_user/2","title":"GitHub.Codespaces.start_for_authenticated_user/2","type":"function"},{"doc":"Stop a codespace for the authenticated user Resources API method documentation","ref":"GitHub.Codespaces.html#stop_for_authenticated_user/2","title":"GitHub.Codespaces.stop_for_authenticated_user/2","type":"function"},{"doc":"Stop a codespace for an organization user Resources API method documentation","ref":"GitHub.Codespaces.html#stop_in_organization/4","title":"GitHub.Codespaces.stop_in_organization/4","type":"function"},{"doc":"Update a codespace for the authenticated user Resources API method documentation","ref":"GitHub.Codespaces.html#update_for_authenticated_user/3","title":"GitHub.Codespaces.update_for_authenticated_user/3","type":"function"},{"doc":"Provides API endpoints related to dependabot","ref":"GitHub.Dependabot.html","title":"GitHub.Dependabot","type":"module"},{"doc":"Add selected repository to an organization secret Resources API method documentation","ref":"GitHub.Dependabot.html#add_selected_repo_to_org_secret/4","title":"GitHub.Dependabot.add_selected_repo_to_org_secret/4","type":"function"},{"doc":"Create or update an organization secret Resources API method documentation","ref":"GitHub.Dependabot.html#create_or_update_org_secret/4","title":"GitHub.Dependabot.create_or_update_org_secret/4","type":"function"},{"doc":"Create or update a repository secret Resources API method documentation","ref":"GitHub.Dependabot.html#create_or_update_repo_secret/5","title":"GitHub.Dependabot.create_or_update_repo_secret/5","type":"function"},{"doc":"Delete an organization secret Resources API method documentation","ref":"GitHub.Dependabot.html#delete_org_secret/3","title":"GitHub.Dependabot.delete_org_secret/3","type":"function"},{"doc":"Delete a repository secret Resources API method documentation","ref":"GitHub.Dependabot.html#delete_repo_secret/4","title":"GitHub.Dependabot.delete_repo_secret/4","type":"function"},{"doc":"Get a Dependabot alert Resources API method documentation","ref":"GitHub.Dependabot.html#get_alert/4","title":"GitHub.Dependabot.get_alert/4","type":"function"},{"doc":"Get an organization public key Resources API method documentation","ref":"GitHub.Dependabot.html#get_org_public_key/2","title":"GitHub.Dependabot.get_org_public_key/2","type":"function"},{"doc":"Get an organization secret Resources API method documentation","ref":"GitHub.Dependabot.html#get_org_secret/3","title":"GitHub.Dependabot.get_org_secret/3","type":"function"},{"doc":"Get a repository public key Resources API method documentation","ref":"GitHub.Dependabot.html#get_repo_public_key/3","title":"GitHub.Dependabot.get_repo_public_key/3","type":"function"},{"doc":"Get a repository secret Resources API method documentation","ref":"GitHub.Dependabot.html#get_repo_secret/4","title":"GitHub.Dependabot.get_repo_secret/4","type":"function"},{"doc":"List Dependabot alerts for an enterprise Options state (String.t()): A comma-separated list of states. If specified, only alerts with these states will be returned. Can be: auto_dismissed , dismissed , fixed , open severity (String.t()): A comma-separated list of severities. If specified, only alerts with these severities will be returned. Can be: low , medium , high , critical ecosystem (String.t()): A comma-separated list of ecosystems. If specified, only alerts for these ecosystems will be returned. Can be: composer , go , maven , npm , nuget , pip , pub , rubygems , rust package (String.t()): A comma-separated list of package names. If specified, only alerts for these packages will be returned. scope (String.t()): The scope of the vulnerable dependency. If specified, only alerts with this scope will be returned. sort (String.t()): The property by which to sort the results. created means when the alert was created. updated means when the alert's state last changed. direction (String.t()): The direction to sort the results by. before (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. first (integer): Deprecated . The number of results per page (max 100), starting from the first matching result. This parameter must not be used in combination with last . Instead, use per_page in combination with after to fetch the first page of results. last (integer): Deprecated . The number of results per page (max 100), starting from the last matching result. This parameter must not be used in combination with first . Instead, use per_page in combination with before to fetch the last page of results. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Dependabot.html#list_alerts_for_enterprise/2","title":"GitHub.Dependabot.list_alerts_for_enterprise/2","type":"function"},{"doc":"List Dependabot alerts for an organization Options state (String.t()): A comma-separated list of states. If specified, only alerts with these states will be returned. Can be: auto_dismissed , dismissed , fixed , open severity (String.t()): A comma-separated list of severities. If specified, only alerts with these severities will be returned. Can be: low , medium , high , critical ecosystem (String.t()): A comma-separated list of ecosystems. If specified, only alerts for these ecosystems will be returned. Can be: composer , go , maven , npm , nuget , pip , pub , rubygems , rust package (String.t()): A comma-separated list of package names. If specified, only alerts for these packages will be returned. scope (String.t()): The scope of the vulnerable dependency. If specified, only alerts with this scope will be returned. sort (String.t()): The property by which to sort the results. created means when the alert was created. updated means when the alert's state last changed. direction (String.t()): The direction to sort the results by. before (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. first (integer): Deprecated . The number of results per page (max 100), starting from the first matching result. This parameter must not be used in combination with last . Instead, use per_page in combination with after to fetch the first page of results. last (integer): Deprecated . The number of results per page (max 100), starting from the last matching result. This parameter must not be used in combination with first . Instead, use per_page in combination with before to fetch the last page of results. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Dependabot.html#list_alerts_for_org/2","title":"GitHub.Dependabot.list_alerts_for_org/2","type":"function"},{"doc":"List Dependabot alerts for a repository Options state (String.t()): A comma-separated list of states. If specified, only alerts with these states will be returned. Can be: auto_dismissed , dismissed , fixed , open severity (String.t()): A comma-separated list of severities. If specified, only alerts with these severities will be returned. Can be: low , medium , high , critical ecosystem (String.t()): A comma-separated list of ecosystems. If specified, only alerts for these ecosystems will be returned. Can be: composer , go , maven , npm , nuget , pip , pub , rubygems , rust package (String.t()): A comma-separated list of package names. If specified, only alerts for these packages will be returned. manifest (String.t()): A comma-separated list of full manifest paths. If specified, only alerts for these manifests will be returned. scope (String.t()): The scope of the vulnerable dependency. If specified, only alerts with this scope will be returned. sort (String.t()): The property by which to sort the results. created means when the alert was created. updated means when the alert's state last changed. direction (String.t()): The direction to sort the results by. page (integer): Deprecated . Page number of the results to fetch. Use cursor-based pagination with before or after instead. per_page (integer): The number of results per page (max 100). before (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. first (integer): Deprecated . The number of results per page (max 100), starting from the first matching result. This parameter must not be used in combination with last . Instead, use per_page in combination with after to fetch the first page of results. last (integer): Deprecated . The number of results per page (max 100), starting from the last matching result. This parameter must not be used in combination with first . Instead, use per_page in combination with before to fetch the last page of results. Resources API method documentation","ref":"GitHub.Dependabot.html#list_alerts_for_repo/3","title":"GitHub.Dependabot.list_alerts_for_repo/3","type":"function"},{"doc":"List organization secrets Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Dependabot.html#list_org_secrets/2","title":"GitHub.Dependabot.list_org_secrets/2","type":"function"},{"doc":"List repository secrets Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Dependabot.html#list_repo_secrets/3","title":"GitHub.Dependabot.list_repo_secrets/3","type":"function"},{"doc":"List selected repositories for an organization secret Options page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Dependabot.html#list_selected_repos_for_org_secret/3","title":"GitHub.Dependabot.list_selected_repos_for_org_secret/3","type":"function"},{"doc":"Remove selected repository from an organization secret Resources API method documentation","ref":"GitHub.Dependabot.html#remove_selected_repo_from_org_secret/4","title":"GitHub.Dependabot.remove_selected_repo_from_org_secret/4","type":"function"},{"doc":"Set selected repositories for an organization secret Resources API method documentation","ref":"GitHub.Dependabot.html#set_selected_repos_for_org_secret/4","title":"GitHub.Dependabot.set_selected_repos_for_org_secret/4","type":"function"},{"doc":"Update a Dependabot alert Resources API method documentation","ref":"GitHub.Dependabot.html#update_alert/5","title":"GitHub.Dependabot.update_alert/5","type":"function"},{"doc":"Provides API endpoints related to dependency graph","ref":"GitHub.DependencyGraph.html","title":"GitHub.DependencyGraph","type":"module"},{"doc":"Create a snapshot of dependencies for a repository Resources API method documentation","ref":"GitHub.DependencyGraph.html#create_repository_snapshot/4","title":"GitHub.DependencyGraph.create_repository_snapshot/4","type":"function"},{"doc":"Get a diff of the dependencies between commits Options name (String.t()): The full path, relative to the repository root, of the dependency manifest file. Resources API method documentation","ref":"GitHub.DependencyGraph.html#diff_range/4","title":"GitHub.DependencyGraph.diff_range/4","type":"function"},{"doc":"Export a software bill of materials (SBOM) for a repository. Resources API method documentation","ref":"GitHub.DependencyGraph.html#export_sbom/3","title":"GitHub.DependencyGraph.export_sbom/3","type":"function"},{"doc":"Provides API endpoint related to emojis","ref":"GitHub.Emojis.html","title":"GitHub.Emojis","type":"module"},{"doc":"Get emojis Resources API method documentation","ref":"GitHub.Emojis.html#get/1","title":"GitHub.Emojis.get/1","type":"function"},{"doc":"Provides API endpoints related to gists","ref":"GitHub.Gists.html","title":"GitHub.Gists","type":"module"},{"doc":"Check if a gist is starred Resources API method documentation","ref":"GitHub.Gists.html#check_is_starred/2","title":"GitHub.Gists.check_is_starred/2","type":"function"},{"doc":"Create a gist Resources API method documentation","ref":"GitHub.Gists.html#create/2","title":"GitHub.Gists.create/2","type":"function"},{"doc":"Create a gist comment Resources API method documentation","ref":"GitHub.Gists.html#create_comment/3","title":"GitHub.Gists.create_comment/3","type":"function"},{"doc":"Delete a gist Resources API method documentation","ref":"GitHub.Gists.html#delete/2","title":"GitHub.Gists.delete/2","type":"function"},{"doc":"Delete a gist comment Resources API method documentation","ref":"GitHub.Gists.html#delete_comment/3","title":"GitHub.Gists.delete_comment/3","type":"function"},{"doc":"Fork a gist Resources API method documentation","ref":"GitHub.Gists.html#fork/2","title":"GitHub.Gists.fork/2","type":"function"},{"doc":"Get a gist Resources API method documentation","ref":"GitHub.Gists.html#get/2","title":"GitHub.Gists.get/2","type":"function"},{"doc":"Get a gist comment Resources API method documentation","ref":"GitHub.Gists.html#get_comment/3","title":"GitHub.Gists.get_comment/3","type":"function"},{"doc":"Get a gist revision Resources API method documentation","ref":"GitHub.Gists.html#get_revision/3","title":"GitHub.Gists.get_revision/3","type":"function"},{"doc":"List gists for the authenticated user Options since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Gists.html#list/1","title":"GitHub.Gists.list/1","type":"function"},{"doc":"List gist comments Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Gists.html#list_comments/2","title":"GitHub.Gists.list_comments/2","type":"function"},{"doc":"List gist commits Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Gists.html#list_commits/2","title":"GitHub.Gists.list_commits/2","type":"function"},{"doc":"List gists for a user Options since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Gists.html#list_for_user/2","title":"GitHub.Gists.list_for_user/2","type":"function"},{"doc":"List gist forks Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Gists.html#list_forks/2","title":"GitHub.Gists.list_forks/2","type":"function"},{"doc":"List public gists Options since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Gists.html#list_public/1","title":"GitHub.Gists.list_public/1","type":"function"},{"doc":"List starred gists Options since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Gists.html#list_starred/1","title":"GitHub.Gists.list_starred/1","type":"function"},{"doc":"Star a gist Resources API method documentation","ref":"GitHub.Gists.html#star/2","title":"GitHub.Gists.star/2","type":"function"},{"doc":"Unstar a gist Resources API method documentation","ref":"GitHub.Gists.html#unstar/2","title":"GitHub.Gists.unstar/2","type":"function"},{"doc":"Update a gist Resources API method documentation","ref":"GitHub.Gists.html#update/3","title":"GitHub.Gists.update/3","type":"function"},{"doc":"Update a gist comment Resources API method documentation","ref":"GitHub.Gists.html#update_comment/4","title":"GitHub.Gists.update_comment/4","type":"function"},{"doc":"Provides API endpoints related to git","ref":"GitHub.Git.html","title":"GitHub.Git","type":"module"},{"doc":"Create a blob Resources API method documentation","ref":"GitHub.Git.html#create_blob/4","title":"GitHub.Git.create_blob/4","type":"function"},{"doc":"Create a commit Resources API method documentation","ref":"GitHub.Git.html#create_commit/4","title":"GitHub.Git.create_commit/4","type":"function"},{"doc":"Create a reference Resources API method documentation","ref":"GitHub.Git.html#create_ref/4","title":"GitHub.Git.create_ref/4","type":"function"},{"doc":"Create a tag object Resources API method documentation","ref":"GitHub.Git.html#create_tag/4","title":"GitHub.Git.create_tag/4","type":"function"},{"doc":"Create a tree Resources API method documentation","ref":"GitHub.Git.html#create_tree/4","title":"GitHub.Git.create_tree/4","type":"function"},{"doc":"Delete a reference Resources API method documentation","ref":"GitHub.Git.html#delete_ref/4","title":"GitHub.Git.delete_ref/4","type":"function"},{"doc":"Get a blob Resources API method documentation","ref":"GitHub.Git.html#get_blob/4","title":"GitHub.Git.get_blob/4","type":"function"},{"doc":"Get a commit object Resources API method documentation","ref":"GitHub.Git.html#get_commit/4","title":"GitHub.Git.get_commit/4","type":"function"},{"doc":"Get a reference Resources API method documentation","ref":"GitHub.Git.html#get_ref/4","title":"GitHub.Git.get_ref/4","type":"function"},{"doc":"Get a tag Resources API method documentation","ref":"GitHub.Git.html#get_tag/4","title":"GitHub.Git.get_tag/4","type":"function"},{"doc":"Get a tree Options recursive (String.t()): Setting this parameter to any value returns the objects or subtrees referenced by the tree specified in :tree_sha . For example, setting recursive to any of the following will enable returning objects or subtrees: 0 , 1 , &quot;true&quot; , and &quot;false&quot; . Omit this parameter to prevent recursively returning objects or subtrees. Resources API method documentation","ref":"GitHub.Git.html#get_tree/4","title":"GitHub.Git.get_tree/4","type":"function"},{"doc":"List matching references Resources API method documentation","ref":"GitHub.Git.html#list_matching_refs/4","title":"GitHub.Git.list_matching_refs/4","type":"function"},{"doc":"Update a reference Resources API method documentation","ref":"GitHub.Git.html#update_ref/5","title":"GitHub.Git.update_ref/5","type":"function"},{"doc":"Provides API endpoints related to gitignore","ref":"GitHub.Gitignore.html","title":"GitHub.Gitignore","type":"module"},{"doc":"Get all gitignore templates Resources API method documentation","ref":"GitHub.Gitignore.html#get_all_templates/1","title":"GitHub.Gitignore.get_all_templates/1","type":"function"},{"doc":"Get a gitignore template Resources API method documentation","ref":"GitHub.Gitignore.html#get_template/2","title":"GitHub.Gitignore.get_template/2","type":"function"},{"doc":"Provides API endpoints related to interactions","ref":"GitHub.Interactions.html","title":"GitHub.Interactions","type":"module"},{"doc":"Get interaction restrictions for your public repositories Resources API method documentation","ref":"GitHub.Interactions.html#get_restrictions_for_authenticated_user/1","title":"GitHub.Interactions.get_restrictions_for_authenticated_user/1","type":"function"},{"doc":"Get interaction restrictions for an organization Resources API method documentation","ref":"GitHub.Interactions.html#get_restrictions_for_org/2","title":"GitHub.Interactions.get_restrictions_for_org/2","type":"function"},{"doc":"Get interaction restrictions for a repository Resources API method documentation","ref":"GitHub.Interactions.html#get_restrictions_for_repo/3","title":"GitHub.Interactions.get_restrictions_for_repo/3","type":"function"},{"doc":"Remove interaction restrictions from your public repositories Resources API method documentation","ref":"GitHub.Interactions.html#remove_restrictions_for_authenticated_user/1","title":"GitHub.Interactions.remove_restrictions_for_authenticated_user/1","type":"function"},{"doc":"Remove interaction restrictions for an organization Resources API method documentation","ref":"GitHub.Interactions.html#remove_restrictions_for_org/2","title":"GitHub.Interactions.remove_restrictions_for_org/2","type":"function"},{"doc":"Remove interaction restrictions for a repository Resources API method documentation","ref":"GitHub.Interactions.html#remove_restrictions_for_repo/3","title":"GitHub.Interactions.remove_restrictions_for_repo/3","type":"function"},{"doc":"Set interaction restrictions for your public repositories Resources API method documentation","ref":"GitHub.Interactions.html#set_restrictions_for_authenticated_user/2","title":"GitHub.Interactions.set_restrictions_for_authenticated_user/2","type":"function"},{"doc":"Set interaction restrictions for an organization Resources API method documentation","ref":"GitHub.Interactions.html#set_restrictions_for_org/3","title":"GitHub.Interactions.set_restrictions_for_org/3","type":"function"},{"doc":"Set interaction restrictions for a repository Resources API method documentation","ref":"GitHub.Interactions.html#set_restrictions_for_repo/4","title":"GitHub.Interactions.set_restrictions_for_repo/4","type":"function"},{"doc":"Provides API endpoints related to issues","ref":"GitHub.Issues.html","title":"GitHub.Issues","type":"module"},{"doc":"Add assignees to an issue Resources API method documentation","ref":"GitHub.Issues.html#add_assignees/5","title":"GitHub.Issues.add_assignees/5","type":"function"},{"doc":"Add labels to an issue Resources API method documentation","ref":"GitHub.Issues.html#add_labels/5","title":"GitHub.Issues.add_labels/5","type":"function"},{"doc":"Check if a user can be assigned Resources API method documentation","ref":"GitHub.Issues.html#check_user_can_be_assigned/4","title":"GitHub.Issues.check_user_can_be_assigned/4","type":"function"},{"doc":"Check if a user can be assigned to a issue Resources API method documentation","ref":"GitHub.Issues.html#check_user_can_be_assigned_to_issue/5","title":"GitHub.Issues.check_user_can_be_assigned_to_issue/5","type":"function"},{"doc":"Create an issue Resources API method documentation","ref":"GitHub.Issues.html#create/4","title":"GitHub.Issues.create/4","type":"function"},{"doc":"Create an issue comment Resources API method documentation","ref":"GitHub.Issues.html#create_comment/5","title":"GitHub.Issues.create_comment/5","type":"function"},{"doc":"Create a label Resources API method documentation","ref":"GitHub.Issues.html#create_label/4","title":"GitHub.Issues.create_label/4","type":"function"},{"doc":"Create a milestone Resources API method documentation","ref":"GitHub.Issues.html#create_milestone/4","title":"GitHub.Issues.create_milestone/4","type":"function"},{"doc":"Delete an issue comment Resources API method documentation","ref":"GitHub.Issues.html#delete_comment/4","title":"GitHub.Issues.delete_comment/4","type":"function"},{"doc":"Delete a label Resources API method documentation","ref":"GitHub.Issues.html#delete_label/4","title":"GitHub.Issues.delete_label/4","type":"function"},{"doc":"Delete a milestone Resources API method documentation","ref":"GitHub.Issues.html#delete_milestone/4","title":"GitHub.Issues.delete_milestone/4","type":"function"},{"doc":"Get an issue Resources API method documentation","ref":"GitHub.Issues.html#get/4","title":"GitHub.Issues.get/4","type":"function"},{"doc":"Get an issue comment Resources API method documentation","ref":"GitHub.Issues.html#get_comment/4","title":"GitHub.Issues.get_comment/4","type":"function"},{"doc":"Get an issue event Resources API method documentation","ref":"GitHub.Issues.html#get_event/4","title":"GitHub.Issues.get_event/4","type":"function"},{"doc":"Get a label Resources API method documentation","ref":"GitHub.Issues.html#get_label/4","title":"GitHub.Issues.get_label/4","type":"function"},{"doc":"Get a milestone Resources API method documentation","ref":"GitHub.Issues.html#get_milestone/4","title":"GitHub.Issues.get_milestone/4","type":"function"},{"doc":"List issues assigned to the authenticated user Options filter (String.t()): Indicates which sorts of issues to return. assigned means issues assigned to you. created means issues created by you. mentioned means issues mentioning you. subscribed means issues you're subscribed to updates for. all or repos means all issues you can see, regardless of participation or creation. state (String.t()): Indicates the state of the issues to return. labels (String.t()): A list of comma separated label names. Example: bug,ui,@high sort (String.t()): What to sort results by. direction (String.t()): The direction to sort the results by. since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . collab (boolean): orgs (boolean): owned (boolean): pulls (boolean): per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list/1","title":"GitHub.Issues.list/1","type":"function"},{"doc":"List assignees Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_assignees/3","title":"GitHub.Issues.list_assignees/3","type":"function"},{"doc":"List issue comments Options since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_comments/4","title":"GitHub.Issues.list_comments/4","type":"function"},{"doc":"List issue comments for a repository Options sort (String.t()): The property to sort the results by. direction (String.t()): Either asc or desc . Ignored without the sort parameter. since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_comments_for_repo/3","title":"GitHub.Issues.list_comments_for_repo/3","type":"function"},{"doc":"List issue events Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_events/4","title":"GitHub.Issues.list_events/4","type":"function"},{"doc":"List issue events for a repository Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_events_for_repo/3","title":"GitHub.Issues.list_events_for_repo/3","type":"function"},{"doc":"List timeline events for an issue Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_events_for_timeline/4","title":"GitHub.Issues.list_events_for_timeline/4","type":"function"},{"doc":"List user account issues assigned to the authenticated user Options filter (String.t()): Indicates which sorts of issues to return. assigned means issues assigned to you. created means issues created by you. mentioned means issues mentioning you. subscribed means issues you're subscribed to updates for. all or repos means all issues you can see, regardless of participation or creation. state (String.t()): Indicates the state of the issues to return. labels (String.t()): A list of comma separated label names. Example: bug,ui,@high sort (String.t()): What to sort results by. direction (String.t()): The direction to sort the results by. since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_for_authenticated_user/1","title":"GitHub.Issues.list_for_authenticated_user/1","type":"function"},{"doc":"List organization issues assigned to the authenticated user Options filter (String.t()): Indicates which sorts of issues to return. assigned means issues assigned to you. created means issues created by you. mentioned means issues mentioning you. subscribed means issues you're subscribed to updates for. all or repos means all issues you can see, regardless of participation or creation. state (String.t()): Indicates the state of the issues to return. labels (String.t()): A list of comma separated label names. Example: bug,ui,@high sort (String.t()): What to sort results by. direction (String.t()): The direction to sort the results by. since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_for_org/2","title":"GitHub.Issues.list_for_org/2","type":"function"},{"doc":"List repository issues Options milestone (String.t()): If an integer is passed, it should refer to a milestone by its number field. If the string * is passed, issues with any milestone are accepted. If the string none is passed, issues without milestones are returned. state (String.t()): Indicates the state of the issues to return. assignee (String.t()): Can be the name of a user. Pass in none for issues with no assigned user, and * for issues assigned to any user. creator (String.t()): The user that created the issue. mentioned (String.t()): A user that's mentioned in the issue. labels (String.t()): A list of comma separated label names. Example: bug,ui,@high sort (String.t()): What to sort results by. direction (String.t()): The direction to sort the results by. since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_for_repo/3","title":"GitHub.Issues.list_for_repo/3","type":"function"},{"doc":"List labels for issues in a milestone Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_labels_for_milestone/4","title":"GitHub.Issues.list_labels_for_milestone/4","type":"function"},{"doc":"List labels for a repository Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_labels_for_repo/3","title":"GitHub.Issues.list_labels_for_repo/3","type":"function"},{"doc":"List labels for an issue Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_labels_on_issue/4","title":"GitHub.Issues.list_labels_on_issue/4","type":"function"},{"doc":"List milestones Options state (String.t()): The state of the milestone. Either open , closed , or all . sort (String.t()): What to sort results by. Either due_on or completeness . direction (String.t()): The direction of the sort. Either asc or desc . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_milestones/3","title":"GitHub.Issues.list_milestones/3","type":"function"},{"doc":"Lock an issue Resources API method documentation","ref":"GitHub.Issues.html#lock/5","title":"GitHub.Issues.lock/5","type":"function"},{"doc":"Remove all labels from an issue Resources API method documentation","ref":"GitHub.Issues.html#remove_all_labels/4","title":"GitHub.Issues.remove_all_labels/4","type":"function"},{"doc":"Remove assignees from an issue Resources API method documentation","ref":"GitHub.Issues.html#remove_assignees/5","title":"GitHub.Issues.remove_assignees/5","type":"function"},{"doc":"Remove a label from an issue Resources API method documentation","ref":"GitHub.Issues.html#remove_label/5","title":"GitHub.Issues.remove_label/5","type":"function"},{"doc":"Set labels for an issue Resources API method documentation","ref":"GitHub.Issues.html#set_labels/5","title":"GitHub.Issues.set_labels/5","type":"function"},{"doc":"Unlock an issue Resources API method documentation","ref":"GitHub.Issues.html#unlock/4","title":"GitHub.Issues.unlock/4","type":"function"},{"doc":"Update an issue Resources API method documentation","ref":"GitHub.Issues.html#update/5","title":"GitHub.Issues.update/5","type":"function"},{"doc":"Update an issue comment Resources API method documentation","ref":"GitHub.Issues.html#update_comment/5","title":"GitHub.Issues.update_comment/5","type":"function"},{"doc":"Update a label Resources API method documentation","ref":"GitHub.Issues.html#update_label/5","title":"GitHub.Issues.update_label/5","type":"function"},{"doc":"Update a milestone Resources API method documentation","ref":"GitHub.Issues.html#update_milestone/5","title":"GitHub.Issues.update_milestone/5","type":"function"},{"doc":"Provides API endpoints related to licenses","ref":"GitHub.Licenses.html","title":"GitHub.Licenses","type":"module"},{"doc":"Get a license Resources API method documentation","ref":"GitHub.Licenses.html#get/2","title":"GitHub.Licenses.get/2","type":"function"},{"doc":"Get all commonly used licenses Options featured (boolean): per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Licenses.html#get_all_commonly_used/1","title":"GitHub.Licenses.get_all_commonly_used/1","type":"function"},{"doc":"Get the license for a repository Resources API method documentation","ref":"GitHub.Licenses.html#get_for_repo/3","title":"GitHub.Licenses.get_for_repo/3","type":"function"},{"doc":"Provides API endpoints related to markdown","ref":"GitHub.Markdown.html","title":"GitHub.Markdown","type":"module"},{"doc":"Render a Markdown document Resources API method documentation","ref":"GitHub.Markdown.html#render/2","title":"GitHub.Markdown.render/2","type":"function"},{"doc":"Render a Markdown document in raw mode Resources API method documentation","ref":"GitHub.Markdown.html#render_raw/2","title":"GitHub.Markdown.render_raw/2","type":"function"},{"doc":"Provides API endpoints related to meta","ref":"GitHub.Meta.html","title":"GitHub.Meta","type":"module"},{"doc":"Get GitHub meta information Resources API method documentation","ref":"GitHub.Meta.html#get/1","title":"GitHub.Meta.get/1","type":"function"},{"doc":"Get all API versions Resources API method documentation","ref":"GitHub.Meta.html#get_all_versions/1","title":"GitHub.Meta.get_all_versions/1","type":"function"},{"doc":"Get Octocat Options s (String.t()): The words to show in Octocat's speech bubble Resources API method documentation","ref":"GitHub.Meta.html#get_octocat/1","title":"GitHub.Meta.get_octocat/1","type":"function"},{"doc":"Get the Zen of GitHub Resources API method documentation","ref":"GitHub.Meta.html#get_zen/1","title":"GitHub.Meta.get_zen/1","type":"function"},{"doc":"GitHub API Root Resources API method documentation","ref":"GitHub.Meta.html#root/1","title":"GitHub.Meta.root/1","type":"function"},{"doc":"Provides API endpoints related to migrations","ref":"GitHub.Migrations.html","title":"GitHub.Migrations","type":"module"},{"doc":"Cancel an import Resources API method documentation","ref":"GitHub.Migrations.html#cancel_import/3","title":"GitHub.Migrations.cancel_import/3","type":"function"},{"doc":"Delete a user migration archive Resources API method documentation","ref":"GitHub.Migrations.html#delete_archive_for_authenticated_user/2","title":"GitHub.Migrations.delete_archive_for_authenticated_user/2","type":"function"},{"doc":"Delete an organization migration archive Resources API method documentation","ref":"GitHub.Migrations.html#delete_archive_for_org/3","title":"GitHub.Migrations.delete_archive_for_org/3","type":"function"},{"doc":"Download an organization migration archive Resources API method documentation","ref":"GitHub.Migrations.html#download_archive_for_org/3","title":"GitHub.Migrations.download_archive_for_org/3","type":"function"},{"doc":"Download a user migration archive Resources API method documentation","ref":"GitHub.Migrations.html#get_archive_for_authenticated_user/2","title":"GitHub.Migrations.get_archive_for_authenticated_user/2","type":"function"},{"doc":"Get commit authors Options since (integer): A user ID. Only return users with an ID greater than this ID. Resources API method documentation","ref":"GitHub.Migrations.html#get_commit_authors/3","title":"GitHub.Migrations.get_commit_authors/3","type":"function"},{"doc":"Get an import status Resources API method documentation","ref":"GitHub.Migrations.html#get_import_status/3","title":"GitHub.Migrations.get_import_status/3","type":"function"},{"doc":"Get large files Resources API method documentation","ref":"GitHub.Migrations.html#get_large_files/3","title":"GitHub.Migrations.get_large_files/3","type":"function"},{"doc":"Get a user migration status Options exclude ([String.t()]): Resources API method documentation","ref":"GitHub.Migrations.html#get_status_for_authenticated_user/2","title":"GitHub.Migrations.get_status_for_authenticated_user/2","type":"function"},{"doc":"Get an organization migration status Options exclude ([String.t()]): Exclude attributes from the API response to improve performance Resources API method documentation","ref":"GitHub.Migrations.html#get_status_for_org/3","title":"GitHub.Migrations.get_status_for_org/3","type":"function"},{"doc":"List user migrations Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Migrations.html#list_for_authenticated_user/1","title":"GitHub.Migrations.list_for_authenticated_user/1","type":"function"},{"doc":"List organization migrations Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. exclude ([String.t()]): Exclude attributes from the API response to improve performance Resources API method documentation","ref":"GitHub.Migrations.html#list_for_org/2","title":"GitHub.Migrations.list_for_org/2","type":"function"},{"doc":"List repositories for a user migration Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Migrations.html#list_repos_for_authenticated_user/2","title":"GitHub.Migrations.list_repos_for_authenticated_user/2","type":"function"},{"doc":"List repositories in an organization migration Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Migrations.html#list_repos_for_org/3","title":"GitHub.Migrations.list_repos_for_org/3","type":"function"},{"doc":"Map a commit author Resources API method documentation","ref":"GitHub.Migrations.html#map_commit_author/5","title":"GitHub.Migrations.map_commit_author/5","type":"function"},{"doc":"Update Git LFS preference Resources API method documentation","ref":"GitHub.Migrations.html#set_lfs_preference/4","title":"GitHub.Migrations.set_lfs_preference/4","type":"function"},{"doc":"Start a user migration Resources API method documentation","ref":"GitHub.Migrations.html#start_for_authenticated_user/2","title":"GitHub.Migrations.start_for_authenticated_user/2","type":"function"},{"doc":"Start an organization migration Resources API method documentation","ref":"GitHub.Migrations.html#start_for_org/3","title":"GitHub.Migrations.start_for_org/3","type":"function"},{"doc":"Start an import Resources API method documentation","ref":"GitHub.Migrations.html#start_import/4","title":"GitHub.Migrations.start_import/4","type":"function"},{"doc":"Unlock a user repository Resources API method documentation","ref":"GitHub.Migrations.html#unlock_repo_for_authenticated_user/3","title":"GitHub.Migrations.unlock_repo_for_authenticated_user/3","type":"function"},{"doc":"Unlock an organization repository Resources API method documentation","ref":"GitHub.Migrations.html#unlock_repo_for_org/4","title":"GitHub.Migrations.unlock_repo_for_org/4","type":"function"},{"doc":"Update an import Resources API method documentation","ref":"GitHub.Migrations.html#update_import/4","title":"GitHub.Migrations.update_import/4","type":"function"},{"doc":"Provides API endpoints related to oidc","ref":"GitHub.Oidc.html","title":"GitHub.Oidc","type":"module"},{"doc":"Get the customization template for an OIDC subject claim for an organization Resources API method documentation","ref":"GitHub.Oidc.html#get_oidc_custom_sub_template_for_org/2","title":"GitHub.Oidc.get_oidc_custom_sub_template_for_org/2","type":"function"},{"doc":"Set the customization template for an OIDC subject claim for an organization Resources API method documentation","ref":"GitHub.Oidc.html#update_oidc_custom_sub_template_for_org/3","title":"GitHub.Oidc.update_oidc_custom_sub_template_for_org/3","type":"function"},{"doc":"Provides API endpoints related to orgs","ref":"GitHub.Orgs.html","title":"GitHub.Orgs","type":"module"},{"doc":"Add a security manager team Resources API method documentation","ref":"GitHub.Orgs.html#add_security_manager_team/3","title":"GitHub.Orgs.add_security_manager_team/3","type":"function"},{"doc":"Block a user from an organization Resources API method documentation","ref":"GitHub.Orgs.html#block_user/3","title":"GitHub.Orgs.block_user/3","type":"function"},{"doc":"Cancel an organization invitation Resources API method documentation","ref":"GitHub.Orgs.html#cancel_invitation/3","title":"GitHub.Orgs.cancel_invitation/3","type":"function"},{"doc":"Check if a user is blocked by an organization Resources API method documentation","ref":"GitHub.Orgs.html#check_blocked_user/3","title":"GitHub.Orgs.check_blocked_user/3","type":"function"},{"doc":"Check organization membership for a user Resources API method documentation","ref":"GitHub.Orgs.html#check_membership_for_user/3","title":"GitHub.Orgs.check_membership_for_user/3","type":"function"},{"doc":"Check public organization membership for a user Resources API method documentation","ref":"GitHub.Orgs.html#check_public_membership_for_user/3","title":"GitHub.Orgs.check_public_membership_for_user/3","type":"function"},{"doc":"Convert an organization member to outside collaborator Resources API method documentation","ref":"GitHub.Orgs.html#convert_member_to_outside_collaborator/4","title":"GitHub.Orgs.convert_member_to_outside_collaborator/4","type":"function"},{"doc":"Create an organization invitation Resources API method documentation","ref":"GitHub.Orgs.html#create_invitation/3","title":"GitHub.Orgs.create_invitation/3","type":"function"},{"doc":"Create an organization webhook Resources API method documentation","ref":"GitHub.Orgs.html#create_webhook/3","title":"GitHub.Orgs.create_webhook/3","type":"function"},{"doc":"Delete an organization Resources API method documentation","ref":"GitHub.Orgs.html#delete/2","title":"GitHub.Orgs.delete/2","type":"function"},{"doc":"Delete an organization webhook Resources API method documentation","ref":"GitHub.Orgs.html#delete_webhook/3","title":"GitHub.Orgs.delete_webhook/3","type":"function"},{"doc":"Enable or disable a security feature for an organization Resources API method documentation","ref":"GitHub.Orgs.html#enable_or_disable_security_product_on_all_org_repos/5","title":"GitHub.Orgs.enable_or_disable_security_product_on_all_org_repos/5","type":"function"},{"doc":"Get an organization Resources API method documentation","ref":"GitHub.Orgs.html#get/2","title":"GitHub.Orgs.get/2","type":"function"},{"doc":"Get an organization membership for the authenticated user Resources API method documentation","ref":"GitHub.Orgs.html#get_membership_for_authenticated_user/2","title":"GitHub.Orgs.get_membership_for_authenticated_user/2","type":"function"},{"doc":"Get organization membership for a user Resources API method documentation","ref":"GitHub.Orgs.html#get_membership_for_user/3","title":"GitHub.Orgs.get_membership_for_user/3","type":"function"},{"doc":"Get an organization webhook Resources API method documentation","ref":"GitHub.Orgs.html#get_webhook/3","title":"GitHub.Orgs.get_webhook/3","type":"function"},{"doc":"Get a webhook configuration for an organization Resources API method documentation","ref":"GitHub.Orgs.html#get_webhook_config_for_org/3","title":"GitHub.Orgs.get_webhook_config_for_org/3","type":"function"},{"doc":"Get a webhook delivery for an organization webhook Resources API method documentation","ref":"GitHub.Orgs.html#get_webhook_delivery/4","title":"GitHub.Orgs.get_webhook_delivery/4","type":"function"},{"doc":"List organizations Options since (integer): An organization ID. Only return organizations with an ID greater than this ID. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Orgs.html#list/1","title":"GitHub.Orgs.list/1","type":"function"},{"doc":"List app installations for an organization Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_app_installations/2","title":"GitHub.Orgs.list_app_installations/2","type":"function"},{"doc":"List users blocked by an organization Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_blocked_users/2","title":"GitHub.Orgs.list_blocked_users/2","type":"function"},{"doc":"List failed organization invitations Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_failed_invitations/2","title":"GitHub.Orgs.list_failed_invitations/2","type":"function"},{"doc":"List organizations for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_for_authenticated_user/1","title":"GitHub.Orgs.list_for_authenticated_user/1","type":"function"},{"doc":"List organizations for a user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_for_user/2","title":"GitHub.Orgs.list_for_user/2","type":"function"},{"doc":"List organization invitation teams Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_invitation_teams/3","title":"GitHub.Orgs.list_invitation_teams/3","type":"function"},{"doc":"List organization members Options filter (String.t()): Filter members returned in the list. 2fa_disabled means that only members without two-factor authentication enabled will be returned. This options is only available for organization owners. role (String.t()): Filter members returned by their role. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_members/2","title":"GitHub.Orgs.list_members/2","type":"function"},{"doc":"List organization memberships for the authenticated user Options state (String.t()): Indicates the state of the memberships to return. If not specified, the API returns both active and pending memberships. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_memberships_for_authenticated_user/1","title":"GitHub.Orgs.list_memberships_for_authenticated_user/1","type":"function"},{"doc":"List outside collaborators for an organization Options filter (String.t()): Filter the list of outside collaborators. 2fa_disabled means that only outside collaborators without two-factor authentication enabled will be returned. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_outside_collaborators/2","title":"GitHub.Orgs.list_outside_collaborators/2","type":"function"},{"doc":"List repositories a fine-grained personal access token has access to Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_pat_grant_repositories/3","title":"GitHub.Orgs.list_pat_grant_repositories/3","type":"function"},{"doc":"List repositories requested to be accessed by a fine-grained personal access token Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_pat_grant_request_repositories/3","title":"GitHub.Orgs.list_pat_grant_request_repositories/3","type":"function"},{"doc":"List requests to access organization resources with fine-grained personal access tokens Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. sort (String.t()): The property by which to sort the results. direction (String.t()): The direction to sort the results by. owner ([String.t()]): A list of owner usernames to use to filter the results. repository (String.t()): The name of the repository to use to filter the results. permission (String.t()): The permission to use to filter the results. last_used_before (String.t()): Only show fine-grained personal access tokens used before the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . last_used_after (String.t()): Only show fine-grained personal access tokens used after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . Resources API method documentation","ref":"GitHub.Orgs.html#list_pat_grant_requests/2","title":"GitHub.Orgs.list_pat_grant_requests/2","type":"function"},{"doc":"List fine-grained personal access tokens with access to organization resources Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. sort (String.t()): The property by which to sort the results. direction (String.t()): The direction to sort the results by. owner ([String.t()]): A list of owner usernames to use to filter the results. repository (String.t()): The name of the repository to use to filter the results. permission (String.t()): The permission to use to filter the results. last_used_before (String.t()): Only show fine-grained personal access tokens used before the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . last_used_after (String.t()): Only show fine-grained personal access tokens used after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . Resources API method documentation","ref":"GitHub.Orgs.html#list_pat_grants/2","title":"GitHub.Orgs.list_pat_grants/2","type":"function"},{"doc":"List pending organization invitations Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. role (String.t()): Filter invitations by their member role. invitation_source (String.t()): Filter invitations by their invitation source. Resources API method documentation","ref":"GitHub.Orgs.html#list_pending_invitations/2","title":"GitHub.Orgs.list_pending_invitations/2","type":"function"},{"doc":"List public organization members Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_public_members/2","title":"GitHub.Orgs.list_public_members/2","type":"function"},{"doc":"List security manager teams Resources API method documentation","ref":"GitHub.Orgs.html#list_security_manager_teams/2","title":"GitHub.Orgs.list_security_manager_teams/2","type":"function"},{"doc":"List deliveries for an organization webhook Options per_page (integer): The number of results per page (max 100). cursor (String.t()): Used for pagination: the starting delivery from which the page of deliveries is fetched. Refer to the link header for the next and previous page cursors. redelivery (boolean): Resources API method documentation","ref":"GitHub.Orgs.html#list_webhook_deliveries/3","title":"GitHub.Orgs.list_webhook_deliveries/3","type":"function"},{"doc":"List organization webhooks Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_webhooks/2","title":"GitHub.Orgs.list_webhooks/2","type":"function"},{"doc":"Ping an organization webhook Resources API method documentation","ref":"GitHub.Orgs.html#ping_webhook/3","title":"GitHub.Orgs.ping_webhook/3","type":"function"},{"doc":"Redeliver a delivery for an organization webhook Resources API method documentation","ref":"GitHub.Orgs.html#redeliver_webhook_delivery/4","title":"GitHub.Orgs.redeliver_webhook_delivery/4","type":"function"},{"doc":"Remove an organization member Resources API method documentation","ref":"GitHub.Orgs.html#remove_member/3","title":"GitHub.Orgs.remove_member/3","type":"function"},{"doc":"Remove organization membership for a user Resources API method documentation","ref":"GitHub.Orgs.html#remove_membership_for_user/3","title":"GitHub.Orgs.remove_membership_for_user/3","type":"function"},{"doc":"Remove outside collaborator from an organization Resources API method documentation","ref":"GitHub.Orgs.html#remove_outside_collaborator/3","title":"GitHub.Orgs.remove_outside_collaborator/3","type":"function"},{"doc":"Remove public organization membership for the authenticated user Resources API method documentation","ref":"GitHub.Orgs.html#remove_public_membership_for_authenticated_user/3","title":"GitHub.Orgs.remove_public_membership_for_authenticated_user/3","type":"function"},{"doc":"Remove a security manager team Resources API method documentation","ref":"GitHub.Orgs.html#remove_security_manager_team/3","title":"GitHub.Orgs.remove_security_manager_team/3","type":"function"},{"doc":"Review a request to access organization resources with a fine-grained personal access token Resources API method documentation","ref":"GitHub.Orgs.html#review_pat_grant_request/4","title":"GitHub.Orgs.review_pat_grant_request/4","type":"function"},{"doc":"Review requests to access organization resources with fine-grained personal access tokens Resources API method documentation","ref":"GitHub.Orgs.html#review_pat_grant_requests_in_bulk/3","title":"GitHub.Orgs.review_pat_grant_requests_in_bulk/3","type":"function"},{"doc":"Set organization membership for a user Resources API method documentation","ref":"GitHub.Orgs.html#set_membership_for_user/4","title":"GitHub.Orgs.set_membership_for_user/4","type":"function"},{"doc":"Set public organization membership for the authenticated user Resources API method documentation","ref":"GitHub.Orgs.html#set_public_membership_for_authenticated_user/3","title":"GitHub.Orgs.set_public_membership_for_authenticated_user/3","type":"function"},{"doc":"Unblock a user from an organization Resources API method documentation","ref":"GitHub.Orgs.html#unblock_user/3","title":"GitHub.Orgs.unblock_user/3","type":"function"},{"doc":"Update an organization Resources API method documentation","ref":"GitHub.Orgs.html#update/3","title":"GitHub.Orgs.update/3","type":"function"},{"doc":"Update an organization membership for the authenticated user Resources API method documentation","ref":"GitHub.Orgs.html#update_membership_for_authenticated_user/3","title":"GitHub.Orgs.update_membership_for_authenticated_user/3","type":"function"},{"doc":"Update the access a fine-grained personal access token has to organization resources Resources API method documentation","ref":"GitHub.Orgs.html#update_pat_access/4","title":"GitHub.Orgs.update_pat_access/4","type":"function"},{"doc":"Update the access to organization resources via fine-grained personal access tokens Resources API method documentation","ref":"GitHub.Orgs.html#update_pat_accesses/3","title":"GitHub.Orgs.update_pat_accesses/3","type":"function"},{"doc":"Update an organization webhook Resources API method documentation","ref":"GitHub.Orgs.html#update_webhook/4","title":"GitHub.Orgs.update_webhook/4","type":"function"},{"doc":"Update a webhook configuration for an organization Resources API method documentation","ref":"GitHub.Orgs.html#update_webhook_config_for_org/4","title":"GitHub.Orgs.update_webhook_config_for_org/4","type":"function"},{"doc":"Provides API endpoints related to packages","ref":"GitHub.Packages.html","title":"GitHub.Packages","type":"module"},{"doc":"Delete a package for the authenticated user Resources API method documentation","ref":"GitHub.Packages.html#delete_package_for_authenticated_user/3","title":"GitHub.Packages.delete_package_for_authenticated_user/3","type":"function"},{"doc":"Delete a package for an organization Resources API method documentation","ref":"GitHub.Packages.html#delete_package_for_org/4","title":"GitHub.Packages.delete_package_for_org/4","type":"function"},{"doc":"Delete a package for a user Resources API method documentation","ref":"GitHub.Packages.html#delete_package_for_user/4","title":"GitHub.Packages.delete_package_for_user/4","type":"function"},{"doc":"Delete a package version for the authenticated user Resources API method documentation","ref":"GitHub.Packages.html#delete_package_version_for_authenticated_user/4","title":"GitHub.Packages.delete_package_version_for_authenticated_user/4","type":"function"},{"doc":"Delete package version for an organization Resources API method documentation","ref":"GitHub.Packages.html#delete_package_version_for_org/5","title":"GitHub.Packages.delete_package_version_for_org/5","type":"function"},{"doc":"Delete package version for a user Resources API method documentation","ref":"GitHub.Packages.html#delete_package_version_for_user/5","title":"GitHub.Packages.delete_package_version_for_user/5","type":"function"},{"doc":"List package versions for a package owned by the authenticated user Options page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). state (String.t()): The state of the package, either active or deleted. Resources API method documentation","ref":"GitHub.Packages.html#get_all_package_versions_for_package_owned_by_authenticated_user/3","title":"GitHub.Packages.get_all_package_versions_for_package_owned_by_authenticated_user/3","type":"function"},{"doc":"List package versions for a package owned by an organization Options page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). state (String.t()): The state of the package, either active or deleted. Resources API method documentation","ref":"GitHub.Packages.html#get_all_package_versions_for_package_owned_by_org/4","title":"GitHub.Packages.get_all_package_versions_for_package_owned_by_org/4","type":"function"},{"doc":"List package versions for a package owned by a user Resources API method documentation","ref":"GitHub.Packages.html#get_all_package_versions_for_package_owned_by_user/4","title":"GitHub.Packages.get_all_package_versions_for_package_owned_by_user/4","type":"function"},{"doc":"Get a package for the authenticated user Resources API method documentation","ref":"GitHub.Packages.html#get_package_for_authenticated_user/3","title":"GitHub.Packages.get_package_for_authenticated_user/3","type":"function"},{"doc":"Get a package for an organization Resources API method documentation","ref":"GitHub.Packages.html#get_package_for_organization/4","title":"GitHub.Packages.get_package_for_organization/4","type":"function"},{"doc":"Get a package for a user Resources API method documentation","ref":"GitHub.Packages.html#get_package_for_user/4","title":"GitHub.Packages.get_package_for_user/4","type":"function"},{"doc":"Get a package version for the authenticated user Resources API method documentation","ref":"GitHub.Packages.html#get_package_version_for_authenticated_user/4","title":"GitHub.Packages.get_package_version_for_authenticated_user/4","type":"function"},{"doc":"Get a package version for an organization Resources API method documentation","ref":"GitHub.Packages.html#get_package_version_for_organization/5","title":"GitHub.Packages.get_package_version_for_organization/5","type":"function"},{"doc":"Get a package version for a user Resources API method documentation","ref":"GitHub.Packages.html#get_package_version_for_user/5","title":"GitHub.Packages.get_package_version_for_user/5","type":"function"},{"doc":"Get list of conflicting packages during Docker migration for authenticated-user Resources API method documentation","ref":"GitHub.Packages.html#list_docker_migration_conflicting_packages_for_authenticated_user/1","title":"GitHub.Packages.list_docker_migration_conflicting_packages_for_authenticated_user/1","type":"function"},{"doc":"Get list of conflicting packages during Docker migration for organization Resources API method documentation","ref":"GitHub.Packages.html#list_docker_migration_conflicting_packages_for_organization/2","title":"GitHub.Packages.list_docker_migration_conflicting_packages_for_organization/2","type":"function"},{"doc":"Get list of conflicting packages during Docker migration for user Resources API method documentation","ref":"GitHub.Packages.html#list_docker_migration_conflicting_packages_for_user/2","title":"GitHub.Packages.list_docker_migration_conflicting_packages_for_user/2","type":"function"},{"doc":"List packages for the authenticated user's namespace Options package_type (String.t()): The type of supported package. Packages in GitHub's Gradle registry have the type maven . Docker images pushed to GitHub's Container registry ( ghcr.io ) have the type container . You can use the type docker to find images that were pushed to GitHub's Docker registry ( docker.pkg.github.com ), even if these have now been migrated to the Container registry. visibility (String.t()): The selected visibility of the packages. This parameter is optional and only filters an existing result set. The internal visibility is only supported for GitHub Packages registries that allow for granular permissions. For other ecosystems internal is synonymous with private . For the list of GitHub Packages registries that support granular permissions, see &quot; About permissions for GitHub Packages .&quot; page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Packages.html#list_packages_for_authenticated_user/1","title":"GitHub.Packages.list_packages_for_authenticated_user/1","type":"function"},{"doc":"List packages for an organization Options package_type (String.t()): The type of supported package. Packages in GitHub's Gradle registry have the type maven . Docker images pushed to GitHub's Container registry ( ghcr.io ) have the type container . You can use the type docker to find images that were pushed to GitHub's Docker registry ( docker.pkg.github.com ), even if these have now been migrated to the Container registry. visibility (String.t()): The selected visibility of the packages. This parameter is optional and only filters an existing result set. The internal visibility is only supported for GitHub Packages registries that allow for granular permissions. For other ecosystems internal is synonymous with private . For the list of GitHub Packages registries that support granular permissions, see &quot; About permissions for GitHub Packages .&quot; page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Packages.html#list_packages_for_organization/2","title":"GitHub.Packages.list_packages_for_organization/2","type":"function"},{"doc":"List packages for a user Options package_type (String.t()): The type of supported package. Packages in GitHub's Gradle registry have the type maven . Docker images pushed to GitHub's Container registry ( ghcr.io ) have the type container . You can use the type docker to find images that were pushed to GitHub's Docker registry ( docker.pkg.github.com ), even if these have now been migrated to the Container registry. visibility (String.t()): The selected visibility of the packages. This parameter is optional and only filters an existing result set. The internal visibility is only supported for GitHub Packages registries that allow for granular permissions. For other ecosystems internal is synonymous with private . For the list of GitHub Packages registries that support granular permissions, see &quot; About permissions for GitHub Packages .&quot; page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Packages.html#list_packages_for_user/2","title":"GitHub.Packages.list_packages_for_user/2","type":"function"},{"doc":"Restore a package for the authenticated user Options token (String.t()): package token Resources API method documentation","ref":"GitHub.Packages.html#restore_package_for_authenticated_user/3","title":"GitHub.Packages.restore_package_for_authenticated_user/3","type":"function"},{"doc":"Restore a package for an organization Options token (String.t()): package token Resources API method documentation","ref":"GitHub.Packages.html#restore_package_for_org/4","title":"GitHub.Packages.restore_package_for_org/4","type":"function"},{"doc":"Restore a package for a user Options token (String.t()): package token Resources API method documentation","ref":"GitHub.Packages.html#restore_package_for_user/4","title":"GitHub.Packages.restore_package_for_user/4","type":"function"},{"doc":"Restore a package version for the authenticated user Resources API method documentation","ref":"GitHub.Packages.html#restore_package_version_for_authenticated_user/4","title":"GitHub.Packages.restore_package_version_for_authenticated_user/4","type":"function"},{"doc":"Restore package version for an organization Resources API method documentation","ref":"GitHub.Packages.html#restore_package_version_for_org/5","title":"GitHub.Packages.restore_package_version_for_org/5","type":"function"},{"doc":"Restore package version for a user Resources API method documentation","ref":"GitHub.Packages.html#restore_package_version_for_user/5","title":"GitHub.Packages.restore_package_version_for_user/5","type":"function"},{"doc":"Provides API endpoints related to projects","ref":"GitHub.Projects.html","title":"GitHub.Projects","type":"module"},{"doc":"Add project collaborator Resources API method documentation","ref":"GitHub.Projects.html#add_collaborator/4","title":"GitHub.Projects.add_collaborator/4","type":"function"},{"doc":"Create a project card Resources API method documentation","ref":"GitHub.Projects.html#create_card/3","title":"GitHub.Projects.create_card/3","type":"function"},{"doc":"Create a project column Resources API method documentation","ref":"GitHub.Projects.html#create_column/3","title":"GitHub.Projects.create_column/3","type":"function"},{"doc":"Create a user project Resources API method documentation","ref":"GitHub.Projects.html#create_for_authenticated_user/2","title":"GitHub.Projects.create_for_authenticated_user/2","type":"function"},{"doc":"Create an organization project Resources API method documentation","ref":"GitHub.Projects.html#create_for_org/3","title":"GitHub.Projects.create_for_org/3","type":"function"},{"doc":"Create a repository project Resources API method documentation","ref":"GitHub.Projects.html#create_for_repo/4","title":"GitHub.Projects.create_for_repo/4","type":"function"},{"doc":"Delete a project Resources API method documentation","ref":"GitHub.Projects.html#delete/2","title":"GitHub.Projects.delete/2","type":"function"},{"doc":"Delete a project card Resources API method documentation","ref":"GitHub.Projects.html#delete_card/2","title":"GitHub.Projects.delete_card/2","type":"function"},{"doc":"Delete a project column Resources API method documentation","ref":"GitHub.Projects.html#delete_column/2","title":"GitHub.Projects.delete_column/2","type":"function"},{"doc":"Get a project Resources API method documentation","ref":"GitHub.Projects.html#get/2","title":"GitHub.Projects.get/2","type":"function"},{"doc":"Get a project card Resources API method documentation","ref":"GitHub.Projects.html#get_card/2","title":"GitHub.Projects.get_card/2","type":"function"},{"doc":"Get a project column Resources API method documentation","ref":"GitHub.Projects.html#get_column/2","title":"GitHub.Projects.get_column/2","type":"function"},{"doc":"Get project permission for a user Resources API method documentation","ref":"GitHub.Projects.html#get_permission_for_user/3","title":"GitHub.Projects.get_permission_for_user/3","type":"function"},{"doc":"List project cards Options archived_state (String.t()): Filters the project cards that are returned by the card's state. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Projects.html#list_cards/2","title":"GitHub.Projects.list_cards/2","type":"function"},{"doc":"List project collaborators Options affiliation (String.t()): Filters the collaborators by their affiliation. outside means outside collaborators of a project that are not a member of the project's organization. direct means collaborators with permissions to a project, regardless of organization membership status. all means all collaborators the authenticated user can see. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Projects.html#list_collaborators/2","title":"GitHub.Projects.list_collaborators/2","type":"function"},{"doc":"List project columns Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Projects.html#list_columns/2","title":"GitHub.Projects.list_columns/2","type":"function"},{"doc":"List organization projects Options state (String.t()): Indicates the state of the projects to return. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Projects.html#list_for_org/2","title":"GitHub.Projects.list_for_org/2","type":"function"},{"doc":"List repository projects Options state (String.t()): Indicates the state of the projects to return. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Projects.html#list_for_repo/3","title":"GitHub.Projects.list_for_repo/3","type":"function"},{"doc":"List user projects Options state (String.t()): Indicates the state of the projects to return. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Projects.html#list_for_user/2","title":"GitHub.Projects.list_for_user/2","type":"function"},{"doc":"Move a project card Resources API method documentation","ref":"GitHub.Projects.html#move_card/3","title":"GitHub.Projects.move_card/3","type":"function"},{"doc":"Move a project column Resources API method documentation","ref":"GitHub.Projects.html#move_column/3","title":"GitHub.Projects.move_column/3","type":"function"},{"doc":"Remove user as a collaborator Resources API method documentation","ref":"GitHub.Projects.html#remove_collaborator/3","title":"GitHub.Projects.remove_collaborator/3","type":"function"},{"doc":"Update a project Resources API method documentation","ref":"GitHub.Projects.html#update/3","title":"GitHub.Projects.update/3","type":"function"},{"doc":"Update an existing project card Resources API method documentation","ref":"GitHub.Projects.html#update_card/3","title":"GitHub.Projects.update_card/3","type":"function"},{"doc":"Update an existing project column Resources API method documentation","ref":"GitHub.Projects.html#update_column/3","title":"GitHub.Projects.update_column/3","type":"function"},{"doc":"Provides API endpoints related to pulls","ref":"GitHub.Pulls.html","title":"GitHub.Pulls","type":"module"},{"doc":"Check if a pull request has been merged Resources API method documentation","ref":"GitHub.Pulls.html#check_if_merged/4","title":"GitHub.Pulls.check_if_merged/4","type":"function"},{"doc":"Create a pull request Resources API method documentation","ref":"GitHub.Pulls.html#create/4","title":"GitHub.Pulls.create/4","type":"function"},{"doc":"Create a reply for a review comment Resources API method documentation","ref":"GitHub.Pulls.html#create_reply_for_review_comment/6","title":"GitHub.Pulls.create_reply_for_review_comment/6","type":"function"},{"doc":"Create a review for a pull request Resources API method documentation","ref":"GitHub.Pulls.html#create_review/5","title":"GitHub.Pulls.create_review/5","type":"function"},{"doc":"Create a review comment for a pull request Resources API method documentation","ref":"GitHub.Pulls.html#create_review_comment/5","title":"GitHub.Pulls.create_review_comment/5","type":"function"},{"doc":"Delete a pending review for a pull request Resources API method documentation","ref":"GitHub.Pulls.html#delete_pending_review/5","title":"GitHub.Pulls.delete_pending_review/5","type":"function"},{"doc":"Delete a review comment for a pull request Resources API method documentation","ref":"GitHub.Pulls.html#delete_review_comment/4","title":"GitHub.Pulls.delete_review_comment/4","type":"function"},{"doc":"Dismiss a review for a pull request Resources API method documentation","ref":"GitHub.Pulls.html#dismiss_review/6","title":"GitHub.Pulls.dismiss_review/6","type":"function"},{"doc":"Get a pull request Resources API method documentation","ref":"GitHub.Pulls.html#get/4","title":"GitHub.Pulls.get/4","type":"function"},{"doc":"Get a review for a pull request Resources API method documentation","ref":"GitHub.Pulls.html#get_review/5","title":"GitHub.Pulls.get_review/5","type":"function"},{"doc":"Get a review comment for a pull request Resources API method documentation","ref":"GitHub.Pulls.html#get_review_comment/4","title":"GitHub.Pulls.get_review_comment/4","type":"function"},{"doc":"List pull requests Options state (String.t()): Either open , closed , or all to filter by state. head (String.t()): Filter pulls by head user or head organization and branch name in the format of user:ref-name or organization:ref-name . For example: github:new-script-format or octocat:test-branch . base (String.t()): Filter pulls by base branch name. Example: gh-pages . sort (String.t()): What to sort results by. popularity will sort by the number of comments. long-running will sort by date created and will limit the results to pull requests that have been open for more than a month and have had activity within the past month. direction (String.t()): The direction of the sort. Default: desc when sort is created or sort is not specified, otherwise asc . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Pulls.html#list/3","title":"GitHub.Pulls.list/3","type":"function"},{"doc":"List comments for a pull request review Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Pulls.html#list_comments_for_review/5","title":"GitHub.Pulls.list_comments_for_review/5","type":"function"},{"doc":"List commits on a pull request Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Pulls.html#list_commits/4","title":"GitHub.Pulls.list_commits/4","type":"function"},{"doc":"List pull requests files Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Pulls.html#list_files/4","title":"GitHub.Pulls.list_files/4","type":"function"},{"doc":"Get all requested reviewers for a pull request Resources API method documentation","ref":"GitHub.Pulls.html#list_requested_reviewers/4","title":"GitHub.Pulls.list_requested_reviewers/4","type":"function"},{"doc":"List review comments on a pull request Options sort (String.t()): The property to sort the results by. direction (String.t()): The direction to sort results. Ignored without sort parameter. since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Pulls.html#list_review_comments/4","title":"GitHub.Pulls.list_review_comments/4","type":"function"},{"doc":"List review comments in a repository Options sort (String.t()): direction (String.t()): The direction to sort results. Ignored without sort parameter. since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Pulls.html#list_review_comments_for_repo/3","title":"GitHub.Pulls.list_review_comments_for_repo/3","type":"function"},{"doc":"List reviews for a pull request Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Pulls.html#list_reviews/4","title":"GitHub.Pulls.list_reviews/4","type":"function"},{"doc":"Merge a pull request Resources API method documentation","ref":"GitHub.Pulls.html#merge/5","title":"GitHub.Pulls.merge/5","type":"function"},{"doc":"Remove requested reviewers from a pull request Resources API method documentation","ref":"GitHub.Pulls.html#remove_requested_reviewers/5","title":"GitHub.Pulls.remove_requested_reviewers/5","type":"function"},{"doc":"Request reviewers for a pull request Resources API method documentation","ref":"GitHub.Pulls.html#request_reviewers/5","title":"GitHub.Pulls.request_reviewers/5","type":"function"},{"doc":"Submit a review for a pull request Resources API method documentation","ref":"GitHub.Pulls.html#submit_review/6","title":"GitHub.Pulls.submit_review/6","type":"function"},{"doc":"Update a pull request Resources API method documentation","ref":"GitHub.Pulls.html#update/5","title":"GitHub.Pulls.update/5","type":"function"},{"doc":"Update a pull request branch Resources API method documentation","ref":"GitHub.Pulls.html#update_branch/5","title":"GitHub.Pulls.update_branch/5","type":"function"},{"doc":"Update a review for a pull request Resources API method documentation","ref":"GitHub.Pulls.html#update_review/6","title":"GitHub.Pulls.update_review/6","type":"function"},{"doc":"Update a review comment for a pull request Resources API method documentation","ref":"GitHub.Pulls.html#update_review_comment/5","title":"GitHub.Pulls.update_review_comment/5","type":"function"},{"doc":"Provides API endpoint, struct, and type related to rate limit","ref":"GitHub.RateLimit.html","title":"GitHub.RateLimit","type":"module"},{"doc":"Get rate limit status for the authenticated user Resources API method documentation","ref":"GitHub.RateLimit.html#get/1","title":"GitHub.RateLimit.get/1","type":"function"},{"doc":"","ref":"GitHub.RateLimit.html#t:t/0","title":"GitHub.RateLimit.t/0","type":"type"},{"doc":"Provides API endpoints related to reactions","ref":"GitHub.Reactions.html","title":"GitHub.Reactions","type":"module"},{"doc":"Create reaction for a commit comment Resources API method documentation","ref":"GitHub.Reactions.html#create_for_commit_comment/5","title":"GitHub.Reactions.create_for_commit_comment/5","type":"function"},{"doc":"Create reaction for an issue Resources API method documentation","ref":"GitHub.Reactions.html#create_for_issue/5","title":"GitHub.Reactions.create_for_issue/5","type":"function"},{"doc":"Create reaction for an issue comment Resources API method documentation","ref":"GitHub.Reactions.html#create_for_issue_comment/5","title":"GitHub.Reactions.create_for_issue_comment/5","type":"function"},{"doc":"Create reaction for a pull request review comment Resources API method documentation","ref":"GitHub.Reactions.html#create_for_pull_request_review_comment/5","title":"GitHub.Reactions.create_for_pull_request_review_comment/5","type":"function"},{"doc":"Create reaction for a release Resources API method documentation","ref":"GitHub.Reactions.html#create_for_release/5","title":"GitHub.Reactions.create_for_release/5","type":"function"},{"doc":"Create reaction for a team discussion comment Resources API method documentation","ref":"GitHub.Reactions.html#create_for_team_discussion_comment_in_org/6","title":"GitHub.Reactions.create_for_team_discussion_comment_in_org/6","type":"function"},{"doc":"Create reaction for a team discussion comment (Legacy) Resources API method documentation","ref":"GitHub.Reactions.html#create_for_team_discussion_comment_legacy/5","title":"GitHub.Reactions.create_for_team_discussion_comment_legacy/5","type":"function"},{"doc":"Create reaction for a team discussion Resources API method documentation","ref":"GitHub.Reactions.html#create_for_team_discussion_in_org/5","title":"GitHub.Reactions.create_for_team_discussion_in_org/5","type":"function"},{"doc":"Create reaction for a team discussion (Legacy) Resources API method documentation","ref":"GitHub.Reactions.html#create_for_team_discussion_legacy/4","title":"GitHub.Reactions.create_for_team_discussion_legacy/4","type":"function"},{"doc":"Delete a commit comment reaction Resources API method documentation","ref":"GitHub.Reactions.html#delete_for_commit_comment/5","title":"GitHub.Reactions.delete_for_commit_comment/5","type":"function"},{"doc":"Delete an issue reaction Resources API method documentation","ref":"GitHub.Reactions.html#delete_for_issue/5","title":"GitHub.Reactions.delete_for_issue/5","type":"function"},{"doc":"Delete an issue comment reaction Resources API method documentation","ref":"GitHub.Reactions.html#delete_for_issue_comment/5","title":"GitHub.Reactions.delete_for_issue_comment/5","type":"function"},{"doc":"Delete a pull request comment reaction Resources API method documentation","ref":"GitHub.Reactions.html#delete_for_pull_request_comment/5","title":"GitHub.Reactions.delete_for_pull_request_comment/5","type":"function"},{"doc":"Delete a release reaction Resources API method documentation","ref":"GitHub.Reactions.html#delete_for_release/5","title":"GitHub.Reactions.delete_for_release/5","type":"function"},{"doc":"Delete team discussion reaction Resources API method documentation","ref":"GitHub.Reactions.html#delete_for_team_discussion/5","title":"GitHub.Reactions.delete_for_team_discussion/5","type":"function"},{"doc":"Delete team discussion comment reaction Resources API method documentation","ref":"GitHub.Reactions.html#delete_for_team_discussion_comment/6","title":"GitHub.Reactions.delete_for_team_discussion_comment/6","type":"function"},{"doc":"List reactions for a commit comment Options content (String.t()): Returns a single reaction type . Omit this parameter to list all reactions to a commit comment. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_commit_comment/4","title":"GitHub.Reactions.list_for_commit_comment/4","type":"function"},{"doc":"List reactions for an issue Options content (String.t()): Returns a single reaction type . Omit this parameter to list all reactions to an issue. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_issue/4","title":"GitHub.Reactions.list_for_issue/4","type":"function"},{"doc":"List reactions for an issue comment Options content (String.t()): Returns a single reaction type . Omit this parameter to list all reactions to an issue comment. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_issue_comment/4","title":"GitHub.Reactions.list_for_issue_comment/4","type":"function"},{"doc":"List reactions for a pull request review comment Options content (String.t()): Returns a single reaction type . Omit this parameter to list all reactions to a pull request review comment. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_pull_request_review_comment/4","title":"GitHub.Reactions.list_for_pull_request_review_comment/4","type":"function"},{"doc":"List reactions for a release Options content (String.t()): Returns a single reaction type . Omit this parameter to list all reactions to a release. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_release/4","title":"GitHub.Reactions.list_for_release/4","type":"function"},{"doc":"List reactions for a team discussion comment Options content (String.t()): Returns a single reaction type . Omit this parameter to list all reactions to a team discussion comment. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_team_discussion_comment_in_org/5","title":"GitHub.Reactions.list_for_team_discussion_comment_in_org/5","type":"function"},{"doc":"List reactions for a team discussion comment (Legacy) Options content (String.t()): Returns a single reaction type . Omit this parameter to list all reactions to a team discussion comment. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_team_discussion_comment_legacy/4","title":"GitHub.Reactions.list_for_team_discussion_comment_legacy/4","type":"function"},{"doc":"List reactions for a team discussion Options content (String.t()): Returns a single reaction type . Omit this parameter to list all reactions to a team discussion. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_team_discussion_in_org/4","title":"GitHub.Reactions.list_for_team_discussion_in_org/4","type":"function"},{"doc":"List reactions for a team discussion (Legacy) Options content (String.t()): Returns a single reaction type . Omit this parameter to list all reactions to a team discussion. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_team_discussion_legacy/3","title":"GitHub.Reactions.list_for_team_discussion_legacy/3","type":"function"},{"doc":"Provides API endpoints related to repos","ref":"GitHub.Repos.html","title":"GitHub.Repos","type":"module"},{"doc":"Accept a repository invitation Resources API method documentation","ref":"GitHub.Repos.html#accept_invitation_for_authenticated_user/2","title":"GitHub.Repos.accept_invitation_for_authenticated_user/2","type":"function"},{"doc":"Add app access restrictions Resources API method documentation","ref":"GitHub.Repos.html#add_app_access_restrictions/5","title":"GitHub.Repos.add_app_access_restrictions/5","type":"function"},{"doc":"Add a repository collaborator Resources API method documentation","ref":"GitHub.Repos.html#add_collaborator/5","title":"GitHub.Repos.add_collaborator/5","type":"function"},{"doc":"Add status check contexts Resources API method documentation","ref":"GitHub.Repos.html#add_status_check_contexts/5","title":"GitHub.Repos.add_status_check_contexts/5","type":"function"},{"doc":"Add team access restrictions Resources API method documentation","ref":"GitHub.Repos.html#add_team_access_restrictions/5","title":"GitHub.Repos.add_team_access_restrictions/5","type":"function"},{"doc":"Add user access restrictions Resources API method documentation","ref":"GitHub.Repos.html#add_user_access_restrictions/5","title":"GitHub.Repos.add_user_access_restrictions/5","type":"function"},{"doc":"Check if automated security fixes are enabled for a repository Resources API method documentation","ref":"GitHub.Repos.html#check_automated_security_fixes/3","title":"GitHub.Repos.check_automated_security_fixes/3","type":"function"},{"doc":"Check if a user is a repository collaborator Resources API method documentation","ref":"GitHub.Repos.html#check_collaborator/4","title":"GitHub.Repos.check_collaborator/4","type":"function"},{"doc":"Check if vulnerability alerts are enabled for a repository Resources API method documentation","ref":"GitHub.Repos.html#check_vulnerability_alerts/3","title":"GitHub.Repos.check_vulnerability_alerts/3","type":"function"},{"doc":"List CODEOWNERS errors Options ref (String.t()): A branch, tag or commit name used to determine which version of the CODEOWNERS file to use. Default: the repository's default branch (e.g. main ) Resources API method documentation","ref":"GitHub.Repos.html#codeowners_errors/3","title":"GitHub.Repos.codeowners_errors/3","type":"function"},{"doc":"Compare two commits Options page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Repos.html#compare_commits/4","title":"GitHub.Repos.compare_commits/4","type":"function"},{"doc":"Create an autolink reference for a repository Resources API method documentation","ref":"GitHub.Repos.html#create_autolink/4","title":"GitHub.Repos.create_autolink/4","type":"function"},{"doc":"Create a commit comment Resources API method documentation","ref":"GitHub.Repos.html#create_commit_comment/5","title":"GitHub.Repos.create_commit_comment/5","type":"function"},{"doc":"Create commit signature protection Resources API method documentation","ref":"GitHub.Repos.html#create_commit_signature_protection/4","title":"GitHub.Repos.create_commit_signature_protection/4","type":"function"},{"doc":"Create a commit status Resources API method documentation","ref":"GitHub.Repos.html#create_commit_status/5","title":"GitHub.Repos.create_commit_status/5","type":"function"},{"doc":"Create a deploy key Resources API method documentation","ref":"GitHub.Repos.html#create_deploy_key/4","title":"GitHub.Repos.create_deploy_key/4","type":"function"},{"doc":"Create a deployment Resources API method documentation","ref":"GitHub.Repos.html#create_deployment/4","title":"GitHub.Repos.create_deployment/4","type":"function"},{"doc":"Create a deployment branch policy Resources API method documentation","ref":"GitHub.Repos.html#create_deployment_branch_policy/5","title":"GitHub.Repos.create_deployment_branch_policy/5","type":"function"},{"doc":"Create a custom deployment protection rule on an environment Resources API method documentation","ref":"GitHub.Repos.html#create_deployment_protection_rule/5","title":"GitHub.Repos.create_deployment_protection_rule/5","type":"function"},{"doc":"Create a deployment status Resources API method documentation","ref":"GitHub.Repos.html#create_deployment_status/5","title":"GitHub.Repos.create_deployment_status/5","type":"function"},{"doc":"Create a repository dispatch event Resources API method documentation","ref":"GitHub.Repos.html#create_dispatch_event/4","title":"GitHub.Repos.create_dispatch_event/4","type":"function"},{"doc":"Create a repository for the authenticated user Resources API method documentation","ref":"GitHub.Repos.html#create_for_authenticated_user/2","title":"GitHub.Repos.create_for_authenticated_user/2","type":"function"},{"doc":"Create a fork Resources API method documentation","ref":"GitHub.Repos.html#create_fork/4","title":"GitHub.Repos.create_fork/4","type":"function"},{"doc":"Create an organization repository Resources API method documentation","ref":"GitHub.Repos.html#create_in_org/3","title":"GitHub.Repos.create_in_org/3","type":"function"},{"doc":"Create or update an environment Resources API method documentation","ref":"GitHub.Repos.html#create_or_update_environment/5","title":"GitHub.Repos.create_or_update_environment/5","type":"function"},{"doc":"Create or update file contents Resources API method documentation","ref":"GitHub.Repos.html#create_or_update_file_contents/5","title":"GitHub.Repos.create_or_update_file_contents/5","type":"function"},{"doc":"Create an organization repository ruleset Resources API method documentation","ref":"GitHub.Repos.html#create_org_ruleset/3","title":"GitHub.Repos.create_org_ruleset/3","type":"function"},{"doc":"Create a GitHub Pages deployment Resources API method documentation","ref":"GitHub.Repos.html#create_pages_deployment/4","title":"GitHub.Repos.create_pages_deployment/4","type":"function"},{"doc":"Create a GitHub Pages site Resources API method documentation","ref":"GitHub.Repos.html#create_pages_site/4","title":"GitHub.Repos.create_pages_site/4","type":"function"},{"doc":"Create a release Resources API method documentation","ref":"GitHub.Repos.html#create_release/4","title":"GitHub.Repos.create_release/4","type":"function"},{"doc":"Create a repository ruleset Resources API method documentation","ref":"GitHub.Repos.html#create_repo_ruleset/4","title":"GitHub.Repos.create_repo_ruleset/4","type":"function"},{"doc":"Create a tag protection state for a repository Resources API method documentation","ref":"GitHub.Repos.html#create_tag_protection/4","title":"GitHub.Repos.create_tag_protection/4","type":"function"},{"doc":"Create a repository using a template Resources API method documentation","ref":"GitHub.Repos.html#create_using_template/4","title":"GitHub.Repos.create_using_template/4","type":"function"},{"doc":"Create a repository webhook Resources API method documentation","ref":"GitHub.Repos.html#create_webhook/4","title":"GitHub.Repos.create_webhook/4","type":"function"},{"doc":"Decline a repository invitation Resources API method documentation","ref":"GitHub.Repos.html#decline_invitation_for_authenticated_user/2","title":"GitHub.Repos.decline_invitation_for_authenticated_user/2","type":"function"},{"doc":"Delete a repository Resources API method documentation","ref":"GitHub.Repos.html#delete/3","title":"GitHub.Repos.delete/3","type":"function"},{"doc":"Delete access restrictions Resources API method documentation","ref":"GitHub.Repos.html#delete_access_restrictions/4","title":"GitHub.Repos.delete_access_restrictions/4","type":"function"},{"doc":"Delete admin branch protection Resources API method documentation","ref":"GitHub.Repos.html#delete_admin_branch_protection/4","title":"GitHub.Repos.delete_admin_branch_protection/4","type":"function"},{"doc":"Delete an environment Resources API method documentation","ref":"GitHub.Repos.html#delete_an_environment/4","title":"GitHub.Repos.delete_an_environment/4","type":"function"},{"doc":"Delete an autolink reference from a repository Resources API method documentation","ref":"GitHub.Repos.html#delete_autolink/4","title":"GitHub.Repos.delete_autolink/4","type":"function"},{"doc":"Delete branch protection Resources API method documentation","ref":"GitHub.Repos.html#delete_branch_protection/4","title":"GitHub.Repos.delete_branch_protection/4","type":"function"},{"doc":"Delete a commit comment Resources API method documentation","ref":"GitHub.Repos.html#delete_commit_comment/4","title":"GitHub.Repos.delete_commit_comment/4","type":"function"},{"doc":"Delete commit signature protection Resources API method documentation","ref":"GitHub.Repos.html#delete_commit_signature_protection/4","title":"GitHub.Repos.delete_commit_signature_protection/4","type":"function"},{"doc":"Delete a deploy key Resources API method documentation","ref":"GitHub.Repos.html#delete_deploy_key/4","title":"GitHub.Repos.delete_deploy_key/4","type":"function"},{"doc":"Delete a deployment Resources API method documentation","ref":"GitHub.Repos.html#delete_deployment/4","title":"GitHub.Repos.delete_deployment/4","type":"function"},{"doc":"Delete a deployment branch policy Resources API method documentation","ref":"GitHub.Repos.html#delete_deployment_branch_policy/5","title":"GitHub.Repos.delete_deployment_branch_policy/5","type":"function"},{"doc":"Delete a file Resources API method documentation","ref":"GitHub.Repos.html#delete_file/5","title":"GitHub.Repos.delete_file/5","type":"function"},{"doc":"Delete a repository invitation Resources API method documentation","ref":"GitHub.Repos.html#delete_invitation/4","title":"GitHub.Repos.delete_invitation/4","type":"function"},{"doc":"Delete an organization repository ruleset Resources API method documentation","ref":"GitHub.Repos.html#delete_org_ruleset/3","title":"GitHub.Repos.delete_org_ruleset/3","type":"function"},{"doc":"Delete a GitHub Pages site Resources API method documentation","ref":"GitHub.Repos.html#delete_pages_site/3","title":"GitHub.Repos.delete_pages_site/3","type":"function"},{"doc":"Delete pull request review protection Resources API method documentation","ref":"GitHub.Repos.html#delete_pull_request_review_protection/4","title":"GitHub.Repos.delete_pull_request_review_protection/4","type":"function"},{"doc":"Delete a release Resources API method documentation","ref":"GitHub.Repos.html#delete_release/4","title":"GitHub.Repos.delete_release/4","type":"function"},{"doc":"Delete a release asset Resources API method documentation","ref":"GitHub.Repos.html#delete_release_asset/4","title":"GitHub.Repos.delete_release_asset/4","type":"function"},{"doc":"Delete a repository ruleset Resources API method documentation","ref":"GitHub.Repos.html#delete_repo_ruleset/4","title":"GitHub.Repos.delete_repo_ruleset/4","type":"function"},{"doc":"Delete a tag protection state for a repository Resources API method documentation","ref":"GitHub.Repos.html#delete_tag_protection/4","title":"GitHub.Repos.delete_tag_protection/4","type":"function"},{"doc":"Delete a repository webhook Resources API method documentation","ref":"GitHub.Repos.html#delete_webhook/4","title":"GitHub.Repos.delete_webhook/4","type":"function"},{"doc":"Disable automated security fixes Resources API method documentation","ref":"GitHub.Repos.html#disable_automated_security_fixes/3","title":"GitHub.Repos.disable_automated_security_fixes/3","type":"function"},{"doc":"Disable a custom protection rule for an environment Resources API method documentation","ref":"GitHub.Repos.html#disable_deployment_protection_rule/5","title":"GitHub.Repos.disable_deployment_protection_rule/5","type":"function"},{"doc":"Disable private vulnerability reporting for a repository Resources API method documentation","ref":"GitHub.Repos.html#disable_private_vulnerability_reporting/3","title":"GitHub.Repos.disable_private_vulnerability_reporting/3","type":"function"},{"doc":"Disable vulnerability alerts Resources API method documentation","ref":"GitHub.Repos.html#disable_vulnerability_alerts/3","title":"GitHub.Repos.disable_vulnerability_alerts/3","type":"function"},{"doc":"Download a repository archive (tar) Resources API method documentation","ref":"GitHub.Repos.html#download_tarball_archive/4","title":"GitHub.Repos.download_tarball_archive/4","type":"function"},{"doc":"Download a repository archive (zip) Resources API method documentation","ref":"GitHub.Repos.html#download_zipball_archive/4","title":"GitHub.Repos.download_zipball_archive/4","type":"function"},{"doc":"Enable automated security fixes Resources API method documentation","ref":"GitHub.Repos.html#enable_automated_security_fixes/3","title":"GitHub.Repos.enable_automated_security_fixes/3","type":"function"},{"doc":"Enable private vulnerability reporting for a repository Resources API method documentation","ref":"GitHub.Repos.html#enable_private_vulnerability_reporting/3","title":"GitHub.Repos.enable_private_vulnerability_reporting/3","type":"function"},{"doc":"Enable vulnerability alerts Resources API method documentation","ref":"GitHub.Repos.html#enable_vulnerability_alerts/3","title":"GitHub.Repos.enable_vulnerability_alerts/3","type":"function"},{"doc":"Generate release notes content for a release Resources API method documentation","ref":"GitHub.Repos.html#generate_release_notes/4","title":"GitHub.Repos.generate_release_notes/4","type":"function"},{"doc":"Get a repository Resources API method documentation","ref":"GitHub.Repos.html#get/3","title":"GitHub.Repos.get/3","type":"function"},{"doc":"Get access restrictions Resources API method documentation","ref":"GitHub.Repos.html#get_access_restrictions/4","title":"GitHub.Repos.get_access_restrictions/4","type":"function"},{"doc":"Get admin branch protection Resources API method documentation","ref":"GitHub.Repos.html#get_admin_branch_protection/4","title":"GitHub.Repos.get_admin_branch_protection/4","type":"function"},{"doc":"Get all deployment protection rules for an environment Resources API method documentation","ref":"GitHub.Repos.html#get_all_deployment_protection_rules/4","title":"GitHub.Repos.get_all_deployment_protection_rules/4","type":"function"},{"doc":"List environments Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#get_all_environments/3","title":"GitHub.Repos.get_all_environments/3","type":"function"},{"doc":"Get all status check contexts Resources API method documentation","ref":"GitHub.Repos.html#get_all_status_check_contexts/4","title":"GitHub.Repos.get_all_status_check_contexts/4","type":"function"},{"doc":"Get all repository topics Options page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Repos.html#get_all_topics/3","title":"GitHub.Repos.get_all_topics/3","type":"function"},{"doc":"Get apps with access to the protected branch Resources API method documentation","ref":"GitHub.Repos.html#get_apps_with_access_to_protected_branch/4","title":"GitHub.Repos.get_apps_with_access_to_protected_branch/4","type":"function"},{"doc":"Get an autolink reference of a repository Resources API method documentation","ref":"GitHub.Repos.html#get_autolink/4","title":"GitHub.Repos.get_autolink/4","type":"function"},{"doc":"Get a branch Resources API method documentation","ref":"GitHub.Repos.html#get_branch/4","title":"GitHub.Repos.get_branch/4","type":"function"},{"doc":"Get branch protection Resources API method documentation","ref":"GitHub.Repos.html#get_branch_protection/4","title":"GitHub.Repos.get_branch_protection/4","type":"function"},{"doc":"Get rules for a branch Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#get_branch_rules/4","title":"GitHub.Repos.get_branch_rules/4","type":"function"},{"doc":"Get repository clones Options per (String.t()): The time frame to display results for. Resources API method documentation","ref":"GitHub.Repos.html#get_clones/3","title":"GitHub.Repos.get_clones/3","type":"function"},{"doc":"Get the weekly commit activity Resources API method documentation","ref":"GitHub.Repos.html#get_code_frequency_stats/3","title":"GitHub.Repos.get_code_frequency_stats/3","type":"function"},{"doc":"Get repository permissions for a user Resources API method documentation","ref":"GitHub.Repos.html#get_collaborator_permission_level/4","title":"GitHub.Repos.get_collaborator_permission_level/4","type":"function"},{"doc":"Get the combined status for a specific reference Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#get_combined_status_for_ref/4","title":"GitHub.Repos.get_combined_status_for_ref/4","type":"function"},{"doc":"Get a commit Options page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Repos.html#get_commit/4","title":"GitHub.Repos.get_commit/4","type":"function"},{"doc":"Get the last year of commit activity Resources API method documentation","ref":"GitHub.Repos.html#get_commit_activity_stats/3","title":"GitHub.Repos.get_commit_activity_stats/3","type":"function"},{"doc":"Get a commit comment Resources API method documentation","ref":"GitHub.Repos.html#get_commit_comment/4","title":"GitHub.Repos.get_commit_comment/4","type":"function"},{"doc":"Get commit signature protection Resources API method documentation","ref":"GitHub.Repos.html#get_commit_signature_protection/4","title":"GitHub.Repos.get_commit_signature_protection/4","type":"function"},{"doc":"Get community profile metrics Resources API method documentation","ref":"GitHub.Repos.html#get_community_profile_metrics/3","title":"GitHub.Repos.get_community_profile_metrics/3","type":"function"},{"doc":"Get repository content Options ref (String.t()): The name of the commit/branch/tag. Default: the repository’s default branch. Resources API method documentation","ref":"GitHub.Repos.html#get_content/4","title":"GitHub.Repos.get_content/4","type":"function"},{"doc":"Get all contributor commit activity Resources API method documentation","ref":"GitHub.Repos.html#get_contributors_stats/3","title":"GitHub.Repos.get_contributors_stats/3","type":"function"},{"doc":"Get a custom deployment protection rule Resources API method documentation","ref":"GitHub.Repos.html#get_custom_deployment_protection_rule/5","title":"GitHub.Repos.get_custom_deployment_protection_rule/5","type":"function"},{"doc":"Get a deploy key Resources API method documentation","ref":"GitHub.Repos.html#get_deploy_key/4","title":"GitHub.Repos.get_deploy_key/4","type":"function"},{"doc":"Get a deployment Resources API method documentation","ref":"GitHub.Repos.html#get_deployment/4","title":"GitHub.Repos.get_deployment/4","type":"function"},{"doc":"Get a deployment branch policy Resources API method documentation","ref":"GitHub.Repos.html#get_deployment_branch_policy/5","title":"GitHub.Repos.get_deployment_branch_policy/5","type":"function"},{"doc":"Get a deployment status Resources API method documentation","ref":"GitHub.Repos.html#get_deployment_status/5","title":"GitHub.Repos.get_deployment_status/5","type":"function"},{"doc":"Get an environment Resources API method documentation","ref":"GitHub.Repos.html#get_environment/4","title":"GitHub.Repos.get_environment/4","type":"function"},{"doc":"Get latest Pages build Resources API method documentation","ref":"GitHub.Repos.html#get_latest_pages_build/3","title":"GitHub.Repos.get_latest_pages_build/3","type":"function"},{"doc":"Get the latest release Resources API method documentation","ref":"GitHub.Repos.html#get_latest_release/3","title":"GitHub.Repos.get_latest_release/3","type":"function"},{"doc":"Get an organization repository ruleset Resources API method documentation","ref":"GitHub.Repos.html#get_org_ruleset/3","title":"GitHub.Repos.get_org_ruleset/3","type":"function"},{"doc":"Get all organization repository rulesets Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#get_org_rulesets/2","title":"GitHub.Repos.get_org_rulesets/2","type":"function"},{"doc":"Get a GitHub Pages site Resources API method documentation","ref":"GitHub.Repos.html#get_pages/3","title":"GitHub.Repos.get_pages/3","type":"function"},{"doc":"Get GitHub Pages build Resources API method documentation","ref":"GitHub.Repos.html#get_pages_build/4","title":"GitHub.Repos.get_pages_build/4","type":"function"},{"doc":"Get a DNS health check for GitHub Pages Resources API method documentation","ref":"GitHub.Repos.html#get_pages_health_check/3","title":"GitHub.Repos.get_pages_health_check/3","type":"function"},{"doc":"Get the weekly commit count Resources API method documentation","ref":"GitHub.Repos.html#get_participation_stats/3","title":"GitHub.Repos.get_participation_stats/3","type":"function"},{"doc":"Get pull request review protection Resources API method documentation","ref":"GitHub.Repos.html#get_pull_request_review_protection/4","title":"GitHub.Repos.get_pull_request_review_protection/4","type":"function"},{"doc":"Get the hourly commit count for each day Resources API method documentation","ref":"GitHub.Repos.html#get_punch_card_stats/3","title":"GitHub.Repos.get_punch_card_stats/3","type":"function"},{"doc":"Get a repository README Options ref (String.t()): The name of the commit/branch/tag. Default: the repository’s default branch. Resources API method documentation","ref":"GitHub.Repos.html#get_readme/3","title":"GitHub.Repos.get_readme/3","type":"function"},{"doc":"Get a repository README for a directory Options ref (String.t()): The name of the commit/branch/tag. Default: the repository’s default branch. Resources API method documentation","ref":"GitHub.Repos.html#get_readme_in_directory/4","title":"GitHub.Repos.get_readme_in_directory/4","type":"function"},{"doc":"Get a release Resources API method documentation","ref":"GitHub.Repos.html#get_release/4","title":"GitHub.Repos.get_release/4","type":"function"},{"doc":"Get a release asset Resources API method documentation","ref":"GitHub.Repos.html#get_release_asset/4","title":"GitHub.Repos.get_release_asset/4","type":"function"},{"doc":"Get a release by tag name Resources API method documentation","ref":"GitHub.Repos.html#get_release_by_tag/4","title":"GitHub.Repos.get_release_by_tag/4","type":"function"},{"doc":"Get a repository ruleset Options includes_parents (boolean): Include rulesets configured at higher levels that apply to this repository Resources API method documentation","ref":"GitHub.Repos.html#get_repo_ruleset/4","title":"GitHub.Repos.get_repo_ruleset/4","type":"function"},{"doc":"Get all repository rulesets Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. includes_parents (boolean): Include rulesets configured at higher levels that apply to this repository Resources API method documentation","ref":"GitHub.Repos.html#get_repo_rulesets/3","title":"GitHub.Repos.get_repo_rulesets/3","type":"function"},{"doc":"Get status checks protection Resources API method documentation","ref":"GitHub.Repos.html#get_status_checks_protection/4","title":"GitHub.Repos.get_status_checks_protection/4","type":"function"},{"doc":"Get teams with access to the protected branch Resources API method documentation","ref":"GitHub.Repos.html#get_teams_with_access_to_protected_branch/4","title":"GitHub.Repos.get_teams_with_access_to_protected_branch/4","type":"function"},{"doc":"Get top referral paths Resources API method documentation","ref":"GitHub.Repos.html#get_top_paths/3","title":"GitHub.Repos.get_top_paths/3","type":"function"},{"doc":"Get top referral sources Resources API method documentation","ref":"GitHub.Repos.html#get_top_referrers/3","title":"GitHub.Repos.get_top_referrers/3","type":"function"},{"doc":"Get users with access to the protected branch Resources API method documentation","ref":"GitHub.Repos.html#get_users_with_access_to_protected_branch/4","title":"GitHub.Repos.get_users_with_access_to_protected_branch/4","type":"function"},{"doc":"Get page views Options per (String.t()): The time frame to display results for. Resources API method documentation","ref":"GitHub.Repos.html#get_views/3","title":"GitHub.Repos.get_views/3","type":"function"},{"doc":"Get a repository webhook Resources API method documentation","ref":"GitHub.Repos.html#get_webhook/4","title":"GitHub.Repos.get_webhook/4","type":"function"},{"doc":"Get a webhook configuration for a repository Resources API method documentation","ref":"GitHub.Repos.html#get_webhook_config_for_repo/4","title":"GitHub.Repos.get_webhook_config_for_repo/4","type":"function"},{"doc":"Get a delivery for a repository webhook Resources API method documentation","ref":"GitHub.Repos.html#get_webhook_delivery/5","title":"GitHub.Repos.get_webhook_delivery/5","type":"function"},{"doc":"List repository activities Options direction (String.t()): The direction to sort the results by. per_page (integer): The number of results per page (max 100). before (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. ref (String.t()): The Git reference for the activities you want to list. The ref for a branch can be formatted either as refs/heads/BRANCH_NAME or BRANCH_NAME , where BRANCH_NAME is the name of your branch. actor (String.t()): The GitHub username to use to filter by the actor who performed the activity. time_period (String.t()): The time period to filter by. For example, day will filter for activity that occurred in the past 24 hours, and week will filter for activity that occurred in the past 7 days (168 hours). activity_type (String.t()): The activity type to filter by. For example, you can choose to filter by &quot;force_push&quot;, to see all force pushes to the repository. Resources API method documentation","ref":"GitHub.Repos.html#list_activities/3","title":"GitHub.Repos.list_activities/3","type":"function"},{"doc":"List all autolinks of a repository Options page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_autolinks/3","title":"GitHub.Repos.list_autolinks/3","type":"function"},{"doc":"List branches Options protected (boolean): Setting to true returns only protected branches. When set to false , only unprotected branches are returned. Omitting this parameter returns all branches. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_branches/3","title":"GitHub.Repos.list_branches/3","type":"function"},{"doc":"List branches for HEAD commit Resources API method documentation","ref":"GitHub.Repos.html#list_branches_for_head_commit/4","title":"GitHub.Repos.list_branches_for_head_commit/4","type":"function"},{"doc":"List repository collaborators Options affiliation (String.t()): Filter collaborators returned by their affiliation. outside means all outside collaborators of an organization-owned repository. direct means all collaborators with permissions to an organization-owned repository, regardless of organization membership status. all means all collaborators the authenticated user can see. permission (String.t()): Filter collaborators by the permissions they have on the repository. If not specified, all collaborators will be returned. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_collaborators/3","title":"GitHub.Repos.list_collaborators/3","type":"function"},{"doc":"List commit comments Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_comments_for_commit/4","title":"GitHub.Repos.list_comments_for_commit/4","type":"function"},{"doc":"List commit comments for a repository Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_commit_comments_for_repo/3","title":"GitHub.Repos.list_commit_comments_for_repo/3","type":"function"},{"doc":"List commit statuses for a reference Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_commit_statuses_for_ref/4","title":"GitHub.Repos.list_commit_statuses_for_ref/4","type":"function"},{"doc":"List commits Options sha (String.t()): SHA or branch to start listing commits from. Default: the repository’s default branch (usually main ). path (String.t()): Only commits containing this file path will be returned. author (String.t()): GitHub username or email address to use to filter by commit author. committer (String.t()): GitHub username or email address to use to filter by commit committer. since (String.t()): Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . until (String.t()): Only commits before this date will be returned. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_commits/3","title":"GitHub.Repos.list_commits/3","type":"function"},{"doc":"List repository contributors Options anon (String.t()): Set to 1 or true to include anonymous contributors in results. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_contributors/3","title":"GitHub.Repos.list_contributors/3","type":"function"},{"doc":"List custom deployment rule integrations available for an environment Options page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Repos.html#list_custom_deployment_rule_integrations/4","title":"GitHub.Repos.list_custom_deployment_rule_integrations/4","type":"function"},{"doc":"List deploy keys Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_deploy_keys/3","title":"GitHub.Repos.list_deploy_keys/3","type":"function"},{"doc":"List deployment branch policies Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_deployment_branch_policies/4","title":"GitHub.Repos.list_deployment_branch_policies/4","type":"function"},{"doc":"List deployment statuses Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_deployment_statuses/4","title":"GitHub.Repos.list_deployment_statuses/4","type":"function"},{"doc":"List deployments Options sha (String.t()): The SHA recorded at creation time. ref (String.t()): The name of the ref. This can be a branch, tag, or SHA. task (String.t()): The name of the task for the deployment (e.g., deploy or deploy:migrations ). environment (String.t() | nil): The name of the environment that was deployed to (e.g., staging or production ). per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_deployments/3","title":"GitHub.Repos.list_deployments/3","type":"function"},{"doc":"List repositories for the authenticated user Options visibility (String.t()): Limit results to repositories with the specified visibility. affiliation (String.t()): Comma-separated list of values. Can include: owner : Repositories that are owned by the authenticated user. collaborator : Repositories that the user has been added to as a collaborator. organization_member : Repositories that the user has access to through being a member of an organization. This includes every repository on every team that the user is on. type (String.t()): Limit results to repositories of the specified type. Will cause a 422 error if used in the same request as visibility or affiliation . sort (String.t()): The property to sort the results by. direction (String.t()): The order to sort by. Default: asc when using full_name , otherwise desc . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. since (String.t()): Only show repositories updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . before (String.t()): Only show repositories updated before the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . Resources API method documentation","ref":"GitHub.Repos.html#list_for_authenticated_user/1","title":"GitHub.Repos.list_for_authenticated_user/1","type":"function"},{"doc":"List organization repositories Options type (String.t()): Specifies the types of repositories you want returned. sort (String.t()): The property to sort the results by. direction (String.t()): The order to sort by. Default: asc when using full_name , otherwise desc . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_for_org/2","title":"GitHub.Repos.list_for_org/2","type":"function"},{"doc":"List repositories for a user Options type (String.t()): Limit results to repositories of the specified type. sort (String.t()): The property to sort the results by. direction (String.t()): The order to sort by. Default: asc when using full_name , otherwise desc . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_for_user/2","title":"GitHub.Repos.list_for_user/2","type":"function"},{"doc":"List forks Options sort (String.t()): The sort order. stargazers will sort by star count. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_forks/3","title":"GitHub.Repos.list_forks/3","type":"function"},{"doc":"List repository invitations Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_invitations/3","title":"GitHub.Repos.list_invitations/3","type":"function"},{"doc":"List repository invitations for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_invitations_for_authenticated_user/1","title":"GitHub.Repos.list_invitations_for_authenticated_user/1","type":"function"},{"doc":"List repository languages Resources API method documentation","ref":"GitHub.Repos.html#list_languages/3","title":"GitHub.Repos.list_languages/3","type":"function"},{"doc":"List GitHub Pages builds Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_pages_builds/3","title":"GitHub.Repos.list_pages_builds/3","type":"function"},{"doc":"List public repositories Options since (integer): A repository ID. Only return repositories with an ID greater than this ID. Resources API method documentation","ref":"GitHub.Repos.html#list_public/1","title":"GitHub.Repos.list_public/1","type":"function"},{"doc":"List pull requests associated with a commit Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_pull_requests_associated_with_commit/4","title":"GitHub.Repos.list_pull_requests_associated_with_commit/4","type":"function"},{"doc":"List release assets Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_release_assets/4","title":"GitHub.Repos.list_release_assets/4","type":"function"},{"doc":"List releases Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_releases/3","title":"GitHub.Repos.list_releases/3","type":"function"},{"doc":"List tag protection states for a repository Resources API method documentation","ref":"GitHub.Repos.html#list_tag_protection/3","title":"GitHub.Repos.list_tag_protection/3","type":"function"},{"doc":"List repository tags Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_tags/3","title":"GitHub.Repos.list_tags/3","type":"function"},{"doc":"List repository teams Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_teams/3","title":"GitHub.Repos.list_teams/3","type":"function"},{"doc":"List deliveries for a repository webhook Options per_page (integer): The number of results per page (max 100). cursor (String.t()): Used for pagination: the starting delivery from which the page of deliveries is fetched. Refer to the link header for the next and previous page cursors. redelivery (boolean): Resources API method documentation","ref":"GitHub.Repos.html#list_webhook_deliveries/4","title":"GitHub.Repos.list_webhook_deliveries/4","type":"function"},{"doc":"List repository webhooks Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_webhooks/3","title":"GitHub.Repos.list_webhooks/3","type":"function"},{"doc":"Merge a branch Resources API method documentation","ref":"GitHub.Repos.html#merge/4","title":"GitHub.Repos.merge/4","type":"function"},{"doc":"Sync a fork branch with the upstream repository Resources API method documentation","ref":"GitHub.Repos.html#merge_upstream/4","title":"GitHub.Repos.merge_upstream/4","type":"function"},{"doc":"Ping a repository webhook Resources API method documentation","ref":"GitHub.Repos.html#ping_webhook/4","title":"GitHub.Repos.ping_webhook/4","type":"function"},{"doc":"Redeliver a delivery for a repository webhook Resources API method documentation","ref":"GitHub.Repos.html#redeliver_webhook_delivery/5","title":"GitHub.Repos.redeliver_webhook_delivery/5","type":"function"},{"doc":"Remove app access restrictions Resources API method documentation","ref":"GitHub.Repos.html#remove_app_access_restrictions/5","title":"GitHub.Repos.remove_app_access_restrictions/5","type":"function"},{"doc":"Remove a repository collaborator Resources API method documentation","ref":"GitHub.Repos.html#remove_collaborator/4","title":"GitHub.Repos.remove_collaborator/4","type":"function"},{"doc":"Remove status check contexts Resources API method documentation","ref":"GitHub.Repos.html#remove_status_check_contexts/5","title":"GitHub.Repos.remove_status_check_contexts/5","type":"function"},{"doc":"Remove status check protection Resources API method documentation","ref":"GitHub.Repos.html#remove_status_check_protection/4","title":"GitHub.Repos.remove_status_check_protection/4","type":"function"},{"doc":"Remove team access restrictions Resources API method documentation","ref":"GitHub.Repos.html#remove_team_access_restrictions/5","title":"GitHub.Repos.remove_team_access_restrictions/5","type":"function"},{"doc":"Remove user access restrictions Resources API method documentation","ref":"GitHub.Repos.html#remove_user_access_restrictions/5","title":"GitHub.Repos.remove_user_access_restrictions/5","type":"function"},{"doc":"Rename a branch Resources API method documentation","ref":"GitHub.Repos.html#rename_branch/5","title":"GitHub.Repos.rename_branch/5","type":"function"},{"doc":"Replace all repository topics Resources API method documentation","ref":"GitHub.Repos.html#replace_all_topics/4","title":"GitHub.Repos.replace_all_topics/4","type":"function"},{"doc":"Request a GitHub Pages build Resources API method documentation","ref":"GitHub.Repos.html#request_pages_build/3","title":"GitHub.Repos.request_pages_build/3","type":"function"},{"doc":"Set admin branch protection Resources API method documentation","ref":"GitHub.Repos.html#set_admin_branch_protection/4","title":"GitHub.Repos.set_admin_branch_protection/4","type":"function"},{"doc":"Set app access restrictions Resources API method documentation","ref":"GitHub.Repos.html#set_app_access_restrictions/5","title":"GitHub.Repos.set_app_access_restrictions/5","type":"function"},{"doc":"Set status check contexts Resources API method documentation","ref":"GitHub.Repos.html#set_status_check_contexts/5","title":"GitHub.Repos.set_status_check_contexts/5","type":"function"},{"doc":"Set team access restrictions Resources API method documentation","ref":"GitHub.Repos.html#set_team_access_restrictions/5","title":"GitHub.Repos.set_team_access_restrictions/5","type":"function"},{"doc":"Set user access restrictions Resources API method documentation","ref":"GitHub.Repos.html#set_user_access_restrictions/5","title":"GitHub.Repos.set_user_access_restrictions/5","type":"function"},{"doc":"Test the push repository webhook Resources API method documentation","ref":"GitHub.Repos.html#test_push_webhook/4","title":"GitHub.Repos.test_push_webhook/4","type":"function"},{"doc":"Transfer a repository Resources API method documentation","ref":"GitHub.Repos.html#transfer/4","title":"GitHub.Repos.transfer/4","type":"function"},{"doc":"Update a repository Resources API method documentation","ref":"GitHub.Repos.html#update/4","title":"GitHub.Repos.update/4","type":"function"},{"doc":"Update branch protection Resources API method documentation","ref":"GitHub.Repos.html#update_branch_protection/5","title":"GitHub.Repos.update_branch_protection/5","type":"function"},{"doc":"Update a commit comment Resources API method documentation","ref":"GitHub.Repos.html#update_commit_comment/5","title":"GitHub.Repos.update_commit_comment/5","type":"function"},{"doc":"Update a deployment branch policy Resources API method documentation","ref":"GitHub.Repos.html#update_deployment_branch_policy/6","title":"GitHub.Repos.update_deployment_branch_policy/6","type":"function"},{"doc":"Update information about a GitHub Pages site Resources API method documentation","ref":"GitHub.Repos.html#update_information_about_pages_site/4","title":"GitHub.Repos.update_information_about_pages_site/4","type":"function"},{"doc":"Update a repository invitation Resources API method documentation","ref":"GitHub.Repos.html#update_invitation/5","title":"GitHub.Repos.update_invitation/5","type":"function"},{"doc":"Update an organization repository ruleset Resources API method documentation","ref":"GitHub.Repos.html#update_org_ruleset/4","title":"GitHub.Repos.update_org_ruleset/4","type":"function"},{"doc":"Update pull request review protection Resources API method documentation","ref":"GitHub.Repos.html#update_pull_request_review_protection/5","title":"GitHub.Repos.update_pull_request_review_protection/5","type":"function"},{"doc":"Update a release Resources API method documentation","ref":"GitHub.Repos.html#update_release/5","title":"GitHub.Repos.update_release/5","type":"function"},{"doc":"Update a release asset Resources API method documentation","ref":"GitHub.Repos.html#update_release_asset/5","title":"GitHub.Repos.update_release_asset/5","type":"function"},{"doc":"Update a repository ruleset Resources API method documentation","ref":"GitHub.Repos.html#update_repo_ruleset/5","title":"GitHub.Repos.update_repo_ruleset/5","type":"function"},{"doc":"Update status check protection Resources API method documentation","ref":"GitHub.Repos.html#update_status_check_protection/5","title":"GitHub.Repos.update_status_check_protection/5","type":"function"},{"doc":"Update a repository webhook Resources API method documentation","ref":"GitHub.Repos.html#update_webhook/5","title":"GitHub.Repos.update_webhook/5","type":"function"},{"doc":"Update a webhook configuration for a repository Resources API method documentation","ref":"GitHub.Repos.html#update_webhook_config_for_repo/5","title":"GitHub.Repos.update_webhook_config_for_repo/5","type":"function"},{"doc":"Upload a release asset Options name (String.t()): label (String.t()): Resources API method documentation","ref":"GitHub.Repos.html#upload_release_asset/5","title":"GitHub.Repos.upload_release_asset/5","type":"function"},{"doc":"Provides API endpoints related to search","ref":"GitHub.Search.html","title":"GitHub.Search","type":"module"},{"doc":"Search code Options q (String.t()): The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as the web interface for GitHub. To learn more about the format of the query, see Constructing a search query . See &quot; Searching code &quot; for a detailed list of qualifiers. sort (String.t()): This field is deprecated. Sorts the results of your query. Can only be indexed , which indicates how recently a file has been indexed by the GitHub search infrastructure. Default: best match order (String.t()): This field is deprecated. Determines whether the first search result returned is the highest number of matches ( desc ) or lowest number of matches ( asc ). This parameter is ignored unless you provide sort . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Search.html#code/1","title":"GitHub.Search.code/1","type":"function"},{"doc":"Search commits Options q (String.t()): The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as the web interface for GitHub. To learn more about the format of the query, see Constructing a search query . See &quot; Searching commits &quot; for a detailed list of qualifiers. sort (String.t()): Sorts the results of your query by author-date or committer-date . Default: best match order (String.t()): Determines whether the first search result returned is the highest number of matches ( desc ) or lowest number of matches ( asc ). This parameter is ignored unless you provide sort . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Search.html#commits/1","title":"GitHub.Search.commits/1","type":"function"},{"doc":"Search issues and pull requests Options q (String.t()): The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as the web interface for GitHub. To learn more about the format of the query, see Constructing a search query . See &quot; Searching issues and pull requests &quot; for a detailed list of qualifiers. sort (String.t()): Sorts the results of your query by the number of comments , reactions , reactions-+1 , reactions--1 , reactions-smile , reactions-thinking_face , reactions-heart , reactions-tada , or interactions . You can also sort results by how recently the items were created or updated , Default: best match order (String.t()): Determines whether the first search result returned is the highest number of matches ( desc ) or lowest number of matches ( asc ). This parameter is ignored unless you provide sort . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Search.html#issues_and_pull_requests/1","title":"GitHub.Search.issues_and_pull_requests/1","type":"function"},{"doc":"Search labels Options repository_id (integer): The id of the repository. q (String.t()): The search keywords. This endpoint does not accept qualifiers in the query. To learn more about the format of the query, see Constructing a search query . sort (String.t()): Sorts the results of your query by when the label was created or updated . Default: best match order (String.t()): Determines whether the first search result returned is the highest number of matches ( desc ) or lowest number of matches ( asc ). This parameter is ignored unless you provide sort . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Search.html#labels/1","title":"GitHub.Search.labels/1","type":"function"},{"doc":"Search repositories Options q (String.t()): The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as the web interface for GitHub. To learn more about the format of the query, see Constructing a search query . See &quot; Searching for repositories &quot; for a detailed list of qualifiers. sort (String.t()): Sorts the results of your query by number of stars , forks , or help-wanted-issues or how recently the items were updated . Default: best match order (String.t()): Determines whether the first search result returned is the highest number of matches ( desc ) or lowest number of matches ( asc ). This parameter is ignored unless you provide sort . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Search.html#repos/1","title":"GitHub.Search.repos/1","type":"function"},{"doc":"Search topics Options q (String.t()): The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as the web interface for GitHub. To learn more about the format of the query, see Constructing a search query . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Search.html#topics/1","title":"GitHub.Search.topics/1","type":"function"},{"doc":"Search users Options q (String.t()): The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as the web interface for GitHub. To learn more about the format of the query, see Constructing a search query . See &quot; Searching users &quot; for a detailed list of qualifiers. sort (String.t()): Sorts the results of your query by number of followers or repositories , or when the person joined GitHub. Default: best match order (String.t()): Determines whether the first search result returned is the highest number of matches ( desc ) or lowest number of matches ( asc ). This parameter is ignored unless you provide sort . per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Search.html#users/1","title":"GitHub.Search.users/1","type":"function"},{"doc":"Provides API endpoints related to secret scanning","ref":"GitHub.SecretScanning.html","title":"GitHub.SecretScanning","type":"module"},{"doc":"Get a secret scanning alert Resources API method documentation","ref":"GitHub.SecretScanning.html#get_alert/4","title":"GitHub.SecretScanning.get_alert/4","type":"function"},{"doc":"List secret scanning alerts for an enterprise Options state (String.t()): Set to open or resolved to only list secret scanning alerts in a specific state. secret_type (String.t()): A comma-separated list of secret types to return. By default all secret types are returned. See &quot; Secret scanning patterns &quot; for a complete list of secret types. resolution (String.t()): A comma-separated list of resolutions. Only secret scanning alerts with one of these resolutions are listed. Valid resolutions are false_positive , wont_fix , revoked , pattern_edited , pattern_deleted or used_in_tests . sort (String.t()): The property to sort the results by. created means when the alert was created. updated means when the alert was updated or resolved. direction (String.t()): The direction to sort the results by. per_page (integer): The number of results per page (max 100). before (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. Resources API method documentation","ref":"GitHub.SecretScanning.html#list_alerts_for_enterprise/2","title":"GitHub.SecretScanning.list_alerts_for_enterprise/2","type":"function"},{"doc":"List secret scanning alerts for an organization Options state (String.t()): Set to open or resolved to only list secret scanning alerts in a specific state. secret_type (String.t()): A comma-separated list of secret types to return. By default all secret types are returned. See &quot; Secret scanning patterns &quot; for a complete list of secret types. resolution (String.t()): A comma-separated list of resolutions. Only secret scanning alerts with one of these resolutions are listed. Valid resolutions are false_positive , wont_fix , revoked , pattern_edited , pattern_deleted or used_in_tests . sort (String.t()): The property to sort the results by. created means when the alert was created. updated means when the alert was updated or resolved. direction (String.t()): The direction to sort the results by. page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). before (String.t()): A cursor, as given in the Link header . If specified, the query only searches for events before this cursor. To receive an initial cursor on your first request, include an empty &quot;before&quot; query string. after (String.t()): A cursor, as given in the Link header . If specified, the query only searches for events after this cursor. To receive an initial cursor on your first request, include an empty &quot;after&quot; query string. Resources API method documentation","ref":"GitHub.SecretScanning.html#list_alerts_for_org/2","title":"GitHub.SecretScanning.list_alerts_for_org/2","type":"function"},{"doc":"List secret scanning alerts for a repository Options state (String.t()): Set to open or resolved to only list secret scanning alerts in a specific state. secret_type (String.t()): A comma-separated list of secret types to return. By default all secret types are returned. See &quot; Secret scanning patterns &quot; for a complete list of secret types. resolution (String.t()): A comma-separated list of resolutions. Only secret scanning alerts with one of these resolutions are listed. Valid resolutions are false_positive , wont_fix , revoked , pattern_edited , pattern_deleted or used_in_tests . sort (String.t()): The property to sort the results by. created means when the alert was created. updated means when the alert was updated or resolved. direction (String.t()): The direction to sort the results by. page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). before (String.t()): A cursor, as given in the Link header . If specified, the query only searches for events before this cursor. To receive an initial cursor on your first request, include an empty &quot;before&quot; query string. after (String.t()): A cursor, as given in the Link header . If specified, the query only searches for events after this cursor. To receive an initial cursor on your first request, include an empty &quot;after&quot; query string. Resources API method documentation","ref":"GitHub.SecretScanning.html#list_alerts_for_repo/3","title":"GitHub.SecretScanning.list_alerts_for_repo/3","type":"function"},{"doc":"List locations for a secret scanning alert Options page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.SecretScanning.html#list_locations_for_alert/4","title":"GitHub.SecretScanning.list_locations_for_alert/4","type":"function"},{"doc":"Update a secret scanning alert Resources API method documentation","ref":"GitHub.SecretScanning.html#update_alert/5","title":"GitHub.SecretScanning.update_alert/5","type":"function"},{"doc":"Provides API endpoints related to security advisories","ref":"GitHub.SecurityAdvisories.html","title":"GitHub.SecurityAdvisories","type":"module"},{"doc":"Privately report a security vulnerability Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#create_private_vulnerability_report/4","title":"GitHub.SecurityAdvisories.create_private_vulnerability_report/4","type":"function"},{"doc":"Create a repository security advisory Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#create_repository_advisory/4","title":"GitHub.SecurityAdvisories.create_repository_advisory/4","type":"function"},{"doc":"Request a CVE for a repository security advisory Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#create_repository_advisory_cve_request/4","title":"GitHub.SecurityAdvisories.create_repository_advisory_cve_request/4","type":"function"},{"doc":"Get a global security advisory Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#get_global_advisory/2","title":"GitHub.SecurityAdvisories.get_global_advisory/2","type":"function"},{"doc":"Get a repository security advisory Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#get_repository_advisory/4","title":"GitHub.SecurityAdvisories.get_repository_advisory/4","type":"function"},{"doc":"List global security advisories Options ghsa_id (String.t()): If specified, only advisories with this GHSA (GitHub Security Advisory) identifier will be returned. type (String.t()): If specified, only advisories of this type will be returned. By default, a request with no other parameters defined will only return reviewed advisories that are not malware. cve_id (String.t()): If specified, only advisories with this CVE (Common Vulnerabilities and Exposures) identifier will be returned. ecosystem (String.t()): If specified, only advisories for these ecosystems will be returned. severity (String.t()): If specified, only advisories with these severities will be returned. cwes (String.t() | [String.t()]): If specified, only advisories with these Common Weakness Enumerations (CWEs) will be returned. Example: cwes=79,284,22 or cwes[]=79&amp;cwes[]=284&amp;cwes[]=22 is_withdrawn (boolean): Whether to only return advisories that have been withdrawn. affects (String.t() | [String.t()]): If specified, only return advisories that affect any of package or package@version . A maximum of 1000 packages can be specified. If the query parameter causes the URL to exceed the maximum URL length supported by your client, you must specify fewer packages. Example: affects=package1,package2@1.0.0,package3@^2.0.0 or affects[]=package1&amp;affects[]=package2@1.0.0 published (String.t()): If specified, only return advisories that were published on a date or date range. For more information on the syntax of the date range, see &quot; Understanding the search syntax .&quot; updated (String.t()): If specified, only return advisories that were updated on a date or date range. For more information on the syntax of the date range, see &quot; Understanding the search syntax .&quot; modified (String.t()): If specified, only show advisories that were updated or published on a date or date range. For more information on the syntax of the date range, see &quot; Understanding the search syntax .&quot; before (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. direction (String.t()): The direction to sort the results by. per_page (integer): The number of results per page (max 100). sort (String.t()): The property to sort the results by. Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#list_global_advisories/1","title":"GitHub.SecurityAdvisories.list_global_advisories/1","type":"function"},{"doc":"List repository security advisories for an organization Options direction (String.t()): The direction to sort the results by. sort (String.t()): The property to sort the results by. before (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. per_page (integer): The number of advisories to return per page. state (String.t()): Filter by the state of the repository advisories. Only advisories of this state will be returned. Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#list_org_repository_advisories/2","title":"GitHub.SecurityAdvisories.list_org_repository_advisories/2","type":"function"},{"doc":"List repository security advisories Options direction (String.t()): The direction to sort the results by. sort (String.t()): The property to sort the results by. before (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after (String.t()): A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. per_page (integer): Number of advisories to return per page. state (String.t()): Filter by state of the repository advisories. Only advisories of this state will be returned. Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#list_repository_advisories/3","title":"GitHub.SecurityAdvisories.list_repository_advisories/3","type":"function"},{"doc":"Update a repository security advisory Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#update_repository_advisory/5","title":"GitHub.SecurityAdvisories.update_repository_advisory/5","type":"function"},{"doc":"Provides API endpoints related to teams","ref":"GitHub.Teams.html","title":"GitHub.Teams","type":"module"},{"doc":"Add team member (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#add_member_legacy/3","title":"GitHub.Teams.add_member_legacy/3","type":"function"},{"doc":"Add or update team membership for a user Resources API method documentation","ref":"GitHub.Teams.html#add_or_update_membership_for_user_in_org/5","title":"GitHub.Teams.add_or_update_membership_for_user_in_org/5","type":"function"},{"doc":"Add or update team membership for a user (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#add_or_update_membership_for_user_legacy/4","title":"GitHub.Teams.add_or_update_membership_for_user_legacy/4","type":"function"},{"doc":"Add or update team project permissions Resources API method documentation","ref":"GitHub.Teams.html#add_or_update_project_permissions_in_org/5","title":"GitHub.Teams.add_or_update_project_permissions_in_org/5","type":"function"},{"doc":"Add or update team project permissions (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#add_or_update_project_permissions_legacy/4","title":"GitHub.Teams.add_or_update_project_permissions_legacy/4","type":"function"},{"doc":"Add or update team repository permissions Resources API method documentation","ref":"GitHub.Teams.html#add_or_update_repo_permissions_in_org/6","title":"GitHub.Teams.add_or_update_repo_permissions_in_org/6","type":"function"},{"doc":"Add or update team repository permissions (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#add_or_update_repo_permissions_legacy/5","title":"GitHub.Teams.add_or_update_repo_permissions_legacy/5","type":"function"},{"doc":"Check team permissions for a project Resources API method documentation","ref":"GitHub.Teams.html#check_permissions_for_project_in_org/4","title":"GitHub.Teams.check_permissions_for_project_in_org/4","type":"function"},{"doc":"Check team permissions for a project (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#check_permissions_for_project_legacy/3","title":"GitHub.Teams.check_permissions_for_project_legacy/3","type":"function"},{"doc":"Check team permissions for a repository Resources API method documentation","ref":"GitHub.Teams.html#check_permissions_for_repo_in_org/5","title":"GitHub.Teams.check_permissions_for_repo_in_org/5","type":"function"},{"doc":"Check team permissions for a repository (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#check_permissions_for_repo_legacy/4","title":"GitHub.Teams.check_permissions_for_repo_legacy/4","type":"function"},{"doc":"Create a team Resources API method documentation","ref":"GitHub.Teams.html#create/3","title":"GitHub.Teams.create/3","type":"function"},{"doc":"Create a discussion comment Resources API method documentation","ref":"GitHub.Teams.html#create_discussion_comment_in_org/5","title":"GitHub.Teams.create_discussion_comment_in_org/5","type":"function"},{"doc":"Create a discussion comment (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#create_discussion_comment_legacy/4","title":"GitHub.Teams.create_discussion_comment_legacy/4","type":"function"},{"doc":"Create a discussion Resources API method documentation","ref":"GitHub.Teams.html#create_discussion_in_org/4","title":"GitHub.Teams.create_discussion_in_org/4","type":"function"},{"doc":"Create a discussion (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#create_discussion_legacy/3","title":"GitHub.Teams.create_discussion_legacy/3","type":"function"},{"doc":"Delete a discussion comment Resources API method documentation","ref":"GitHub.Teams.html#delete_discussion_comment_in_org/5","title":"GitHub.Teams.delete_discussion_comment_in_org/5","type":"function"},{"doc":"Delete a discussion comment (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#delete_discussion_comment_legacy/4","title":"GitHub.Teams.delete_discussion_comment_legacy/4","type":"function"},{"doc":"Delete a discussion Resources API method documentation","ref":"GitHub.Teams.html#delete_discussion_in_org/4","title":"GitHub.Teams.delete_discussion_in_org/4","type":"function"},{"doc":"Delete a discussion (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#delete_discussion_legacy/3","title":"GitHub.Teams.delete_discussion_legacy/3","type":"function"},{"doc":"Delete a team Resources API method documentation","ref":"GitHub.Teams.html#delete_in_org/3","title":"GitHub.Teams.delete_in_org/3","type":"function"},{"doc":"Delete a team (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#delete_legacy/2","title":"GitHub.Teams.delete_legacy/2","type":"function"},{"doc":"Get a team by name Resources API method documentation","ref":"GitHub.Teams.html#get_by_name/3","title":"GitHub.Teams.get_by_name/3","type":"function"},{"doc":"Get a discussion comment Resources API method documentation","ref":"GitHub.Teams.html#get_discussion_comment_in_org/5","title":"GitHub.Teams.get_discussion_comment_in_org/5","type":"function"},{"doc":"Get a discussion comment (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#get_discussion_comment_legacy/4","title":"GitHub.Teams.get_discussion_comment_legacy/4","type":"function"},{"doc":"Get a discussion Resources API method documentation","ref":"GitHub.Teams.html#get_discussion_in_org/4","title":"GitHub.Teams.get_discussion_in_org/4","type":"function"},{"doc":"Get a discussion (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#get_discussion_legacy/3","title":"GitHub.Teams.get_discussion_legacy/3","type":"function"},{"doc":"Get a team (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#get_legacy/2","title":"GitHub.Teams.get_legacy/2","type":"function"},{"doc":"Get team member (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#get_member_legacy/3","title":"GitHub.Teams.get_member_legacy/3","type":"function"},{"doc":"Get team membership for a user Resources API method documentation","ref":"GitHub.Teams.html#get_membership_for_user_in_org/4","title":"GitHub.Teams.get_membership_for_user_in_org/4","type":"function"},{"doc":"Get team membership for a user (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#get_membership_for_user_legacy/3","title":"GitHub.Teams.get_membership_for_user_legacy/3","type":"function"},{"doc":"List teams Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list/2","title":"GitHub.Teams.list/2","type":"function"},{"doc":"List child teams Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_child_in_org/3","title":"GitHub.Teams.list_child_in_org/3","type":"function"},{"doc":"List child teams (Legacy) Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_child_legacy/2","title":"GitHub.Teams.list_child_legacy/2","type":"function"},{"doc":"List discussion comments Options direction (String.t()): The direction to sort the results by. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_discussion_comments_in_org/4","title":"GitHub.Teams.list_discussion_comments_in_org/4","type":"function"},{"doc":"List discussion comments (Legacy) Options direction (String.t()): The direction to sort the results by. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_discussion_comments_legacy/3","title":"GitHub.Teams.list_discussion_comments_legacy/3","type":"function"},{"doc":"List discussions Options direction (String.t()): The direction to sort the results by. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. pinned (String.t()): Pinned discussions only filter Resources API method documentation","ref":"GitHub.Teams.html#list_discussions_in_org/3","title":"GitHub.Teams.list_discussions_in_org/3","type":"function"},{"doc":"List discussions (Legacy) Options direction (String.t()): The direction to sort the results by. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_discussions_legacy/2","title":"GitHub.Teams.list_discussions_legacy/2","type":"function"},{"doc":"List teams for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_for_authenticated_user/1","title":"GitHub.Teams.list_for_authenticated_user/1","type":"function"},{"doc":"List team members Options role (String.t()): Filters members returned by their role in the team. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_members_in_org/3","title":"GitHub.Teams.list_members_in_org/3","type":"function"},{"doc":"List team members (Legacy) Options role (String.t()): Filters members returned by their role in the team. per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_members_legacy/2","title":"GitHub.Teams.list_members_legacy/2","type":"function"},{"doc":"List pending team invitations Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_pending_invitations_in_org/3","title":"GitHub.Teams.list_pending_invitations_in_org/3","type":"function"},{"doc":"List pending team invitations (Legacy) Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_pending_invitations_legacy/2","title":"GitHub.Teams.list_pending_invitations_legacy/2","type":"function"},{"doc":"List team projects Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_projects_in_org/3","title":"GitHub.Teams.list_projects_in_org/3","type":"function"},{"doc":"List team projects (Legacy) Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_projects_legacy/2","title":"GitHub.Teams.list_projects_legacy/2","type":"function"},{"doc":"List team repositories Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_repos_in_org/3","title":"GitHub.Teams.list_repos_in_org/3","type":"function"},{"doc":"List team repositories (Legacy) Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_repos_legacy/2","title":"GitHub.Teams.list_repos_legacy/2","type":"function"},{"doc":"Remove team member (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#remove_member_legacy/3","title":"GitHub.Teams.remove_member_legacy/3","type":"function"},{"doc":"Remove team membership for a user Resources API method documentation","ref":"GitHub.Teams.html#remove_membership_for_user_in_org/4","title":"GitHub.Teams.remove_membership_for_user_in_org/4","type":"function"},{"doc":"Remove team membership for a user (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#remove_membership_for_user_legacy/3","title":"GitHub.Teams.remove_membership_for_user_legacy/3","type":"function"},{"doc":"Remove a project from a team Resources API method documentation","ref":"GitHub.Teams.html#remove_project_in_org/4","title":"GitHub.Teams.remove_project_in_org/4","type":"function"},{"doc":"Remove a project from a team (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#remove_project_legacy/3","title":"GitHub.Teams.remove_project_legacy/3","type":"function"},{"doc":"Remove a repository from a team Resources API method documentation","ref":"GitHub.Teams.html#remove_repo_in_org/5","title":"GitHub.Teams.remove_repo_in_org/5","type":"function"},{"doc":"Remove a repository from a team (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#remove_repo_legacy/4","title":"GitHub.Teams.remove_repo_legacy/4","type":"function"},{"doc":"Update a discussion comment Resources API method documentation","ref":"GitHub.Teams.html#update_discussion_comment_in_org/6","title":"GitHub.Teams.update_discussion_comment_in_org/6","type":"function"},{"doc":"Update a discussion comment (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#update_discussion_comment_legacy/5","title":"GitHub.Teams.update_discussion_comment_legacy/5","type":"function"},{"doc":"Update a discussion Resources API method documentation","ref":"GitHub.Teams.html#update_discussion_in_org/5","title":"GitHub.Teams.update_discussion_in_org/5","type":"function"},{"doc":"Update a discussion (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#update_discussion_legacy/4","title":"GitHub.Teams.update_discussion_legacy/4","type":"function"},{"doc":"Update a team Resources API method documentation","ref":"GitHub.Teams.html#update_in_org/4","title":"GitHub.Teams.update_in_org/4","type":"function"},{"doc":"Update a team (Legacy) Resources API method documentation","ref":"GitHub.Teams.html#update_legacy/3","title":"GitHub.Teams.update_legacy/3","type":"function"},{"doc":"Provides API endpoints related to users","ref":"GitHub.Users.html","title":"GitHub.Users","type":"module"},{"doc":"Add an email address for the authenticated user Resources API method documentation","ref":"GitHub.Users.html#add_email_for_authenticated_user/2","title":"GitHub.Users.add_email_for_authenticated_user/2","type":"function"},{"doc":"Add social accounts for the authenticated user Resources API method documentation","ref":"GitHub.Users.html#add_social_account_for_authenticated_user/2","title":"GitHub.Users.add_social_account_for_authenticated_user/2","type":"function"},{"doc":"Block a user Resources API method documentation","ref":"GitHub.Users.html#block/2","title":"GitHub.Users.block/2","type":"function"},{"doc":"Check if a user is blocked by the authenticated user Resources API method documentation","ref":"GitHub.Users.html#check_blocked/2","title":"GitHub.Users.check_blocked/2","type":"function"},{"doc":"Check if a user follows another user Resources API method documentation","ref":"GitHub.Users.html#check_following_for_user/3","title":"GitHub.Users.check_following_for_user/3","type":"function"},{"doc":"Check if a person is followed by the authenticated user Resources API method documentation","ref":"GitHub.Users.html#check_person_is_followed_by_authenticated/2","title":"GitHub.Users.check_person_is_followed_by_authenticated/2","type":"function"},{"doc":"Create a GPG key for the authenticated user Resources API method documentation","ref":"GitHub.Users.html#create_gpg_key_for_authenticated_user/2","title":"GitHub.Users.create_gpg_key_for_authenticated_user/2","type":"function"},{"doc":"Create a public SSH key for the authenticated user Resources API method documentation","ref":"GitHub.Users.html#create_public_ssh_key_for_authenticated_user/2","title":"GitHub.Users.create_public_ssh_key_for_authenticated_user/2","type":"function"},{"doc":"Create a SSH signing key for the authenticated user Resources API method documentation","ref":"GitHub.Users.html#create_ssh_signing_key_for_authenticated_user/2","title":"GitHub.Users.create_ssh_signing_key_for_authenticated_user/2","type":"function"},{"doc":"Delete an email address for the authenticated user Resources API method documentation","ref":"GitHub.Users.html#delete_email_for_authenticated_user/2","title":"GitHub.Users.delete_email_for_authenticated_user/2","type":"function"},{"doc":"Delete a GPG key for the authenticated user Resources API method documentation","ref":"GitHub.Users.html#delete_gpg_key_for_authenticated_user/2","title":"GitHub.Users.delete_gpg_key_for_authenticated_user/2","type":"function"},{"doc":"Delete a public SSH key for the authenticated user Resources API method documentation","ref":"GitHub.Users.html#delete_public_ssh_key_for_authenticated_user/2","title":"GitHub.Users.delete_public_ssh_key_for_authenticated_user/2","type":"function"},{"doc":"Delete social accounts for the authenticated user Resources API method documentation","ref":"GitHub.Users.html#delete_social_account_for_authenticated_user/2","title":"GitHub.Users.delete_social_account_for_authenticated_user/2","type":"function"},{"doc":"Delete an SSH signing key for the authenticated user Resources API method documentation","ref":"GitHub.Users.html#delete_ssh_signing_key_for_authenticated_user/2","title":"GitHub.Users.delete_ssh_signing_key_for_authenticated_user/2","type":"function"},{"doc":"Follow a user Resources API method documentation","ref":"GitHub.Users.html#follow/2","title":"GitHub.Users.follow/2","type":"function"},{"doc":"Get the authenticated user Resources API method documentation","ref":"GitHub.Users.html#get_authenticated/1","title":"GitHub.Users.get_authenticated/1","type":"function"},{"doc":"Get a user Resources API method documentation","ref":"GitHub.Users.html#get_by_username/2","title":"GitHub.Users.get_by_username/2","type":"function"},{"doc":"Get contextual information for a user Options subject_type (String.t()): Identifies which additional information you'd like to receive about the person's hovercard. Can be organization , repository , issue , pull_request . Required when using subject_id . subject_id (String.t()): Uses the ID for the subject_type you specified. Required when using subject_type . Resources API method documentation","ref":"GitHub.Users.html#get_context_for_user/2","title":"GitHub.Users.get_context_for_user/2","type":"function"},{"doc":"Get a GPG key for the authenticated user Resources API method documentation","ref":"GitHub.Users.html#get_gpg_key_for_authenticated_user/2","title":"GitHub.Users.get_gpg_key_for_authenticated_user/2","type":"function"},{"doc":"Get a public SSH key for the authenticated user Resources API method documentation","ref":"GitHub.Users.html#get_public_ssh_key_for_authenticated_user/2","title":"GitHub.Users.get_public_ssh_key_for_authenticated_user/2","type":"function"},{"doc":"Get an SSH signing key for the authenticated user Resources API method documentation","ref":"GitHub.Users.html#get_ssh_signing_key_for_authenticated_user/2","title":"GitHub.Users.get_ssh_signing_key_for_authenticated_user/2","type":"function"},{"doc":"List users Options since (integer): A user ID. Only return users with an ID greater than this ID. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Users.html#list/1","title":"GitHub.Users.list/1","type":"function"},{"doc":"List users blocked by the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_blocked_by_authenticated_user/1","title":"GitHub.Users.list_blocked_by_authenticated_user/1","type":"function"},{"doc":"List email addresses for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_emails_for_authenticated_user/1","title":"GitHub.Users.list_emails_for_authenticated_user/1","type":"function"},{"doc":"List the people the authenticated user follows Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_followed_by_authenticated_user/1","title":"GitHub.Users.list_followed_by_authenticated_user/1","type":"function"},{"doc":"List followers of the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_followers_for_authenticated_user/1","title":"GitHub.Users.list_followers_for_authenticated_user/1","type":"function"},{"doc":"List followers of a user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_followers_for_user/2","title":"GitHub.Users.list_followers_for_user/2","type":"function"},{"doc":"List the people a user follows Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_following_for_user/2","title":"GitHub.Users.list_following_for_user/2","type":"function"},{"doc":"List GPG keys for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_gpg_keys_for_authenticated_user/1","title":"GitHub.Users.list_gpg_keys_for_authenticated_user/1","type":"function"},{"doc":"List GPG keys for a user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_gpg_keys_for_user/2","title":"GitHub.Users.list_gpg_keys_for_user/2","type":"function"},{"doc":"List public email addresses for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_public_emails_for_authenticated_user/1","title":"GitHub.Users.list_public_emails_for_authenticated_user/1","type":"function"},{"doc":"List public keys for a user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_public_keys_for_user/2","title":"GitHub.Users.list_public_keys_for_user/2","type":"function"},{"doc":"List public SSH keys for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_public_ssh_keys_for_authenticated_user/1","title":"GitHub.Users.list_public_ssh_keys_for_authenticated_user/1","type":"function"},{"doc":"List social accounts for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_social_accounts_for_authenticated_user/1","title":"GitHub.Users.list_social_accounts_for_authenticated_user/1","type":"function"},{"doc":"List social accounts for a user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_social_accounts_for_user/2","title":"GitHub.Users.list_social_accounts_for_user/2","type":"function"},{"doc":"List SSH signing keys for the authenticated user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_ssh_signing_keys_for_authenticated_user/1","title":"GitHub.Users.list_ssh_signing_keys_for_authenticated_user/1","type":"function"},{"doc":"List SSH signing keys for a user Options per_page (integer): The number of results per page (max 100). page (integer): Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_ssh_signing_keys_for_user/2","title":"GitHub.Users.list_ssh_signing_keys_for_user/2","type":"function"},{"doc":"Set primary email visibility for the authenticated user Resources API method documentation","ref":"GitHub.Users.html#set_primary_email_visibility_for_authenticated_user/2","title":"GitHub.Users.set_primary_email_visibility_for_authenticated_user/2","type":"function"},{"doc":"Unblock a user Resources API method documentation","ref":"GitHub.Users.html#unblock/2","title":"GitHub.Users.unblock/2","type":"function"},{"doc":"Unfollow a user Resources API method documentation","ref":"GitHub.Users.html#unfollow/2","title":"GitHub.Users.unfollow/2","type":"function"},{"doc":"Update the authenticated user Resources API method documentation","ref":"GitHub.Users.html#update_authenticated/2","title":"GitHub.Users.update_authenticated/2","type":"function"},{"doc":"Provides struct and type for ActionsBillingUsage","ref":"GitHub.Actions.BillingUsage.html","title":"GitHub.Actions.BillingUsage","type":"module"},{"doc":"","ref":"GitHub.Actions.BillingUsage.html#t:t/0","title":"GitHub.Actions.BillingUsage.t/0","type":"type"},{"doc":"Provides struct and type for ActionsCacheList","ref":"GitHub.Actions.CacheList.html","title":"GitHub.Actions.CacheList","type":"module"},{"doc":"","ref":"GitHub.Actions.CacheList.html#t:t/0","title":"GitHub.Actions.CacheList.t/0","type":"type"},{"doc":"Provides struct and type for ActionsCacheUsageByRepository","ref":"GitHub.Actions.CacheUsageByRepository.html","title":"GitHub.Actions.CacheUsageByRepository","type":"module"},{"doc":"","ref":"GitHub.Actions.CacheUsageByRepository.html#t:t/0","title":"GitHub.Actions.CacheUsageByRepository.t/0","type":"type"},{"doc":"Provides struct and type for ActionsCacheUsageOrgEnterprise","ref":"GitHub.Actions.CacheUsageOrgEnterprise.html","title":"GitHub.Actions.CacheUsageOrgEnterprise","type":"module"},{"doc":"","ref":"GitHub.Actions.CacheUsageOrgEnterprise.html#t:t/0","title":"GitHub.Actions.CacheUsageOrgEnterprise.t/0","type":"type"},{"doc":"Provides struct and type for ActionsCanApprovePullRequestReviews","ref":"GitHub.Actions.CanApprovePullRequestReviews.html","title":"GitHub.Actions.CanApprovePullRequestReviews","type":"module"},{"doc":"","ref":"GitHub.Actions.CanApprovePullRequestReviews.html#t:t/0","title":"GitHub.Actions.CanApprovePullRequestReviews.t/0","type":"type"},{"doc":"Provides struct and type for ActionsDefaultWorkflowPermissions","ref":"GitHub.Actions.DefaultWorkflowPermissions.html","title":"GitHub.Actions.DefaultWorkflowPermissions","type":"module"},{"doc":"","ref":"GitHub.Actions.DefaultWorkflowPermissions.html#t:t/0","title":"GitHub.Actions.DefaultWorkflowPermissions.t/0","type":"type"},{"doc":"Provides struct and type for ActionsEnabled","ref":"GitHub.Actions.Enabled.html","title":"GitHub.Actions.Enabled","type":"module"},{"doc":"","ref":"GitHub.Actions.Enabled.html#t:t/0","title":"GitHub.Actions.Enabled.t/0","type":"type"},{"doc":"Provides struct and type for ActionsGetDefaultWorkflowPermissions","ref":"GitHub.Actions.GetDefaultWorkflowPermissions.html","title":"GitHub.Actions.GetDefaultWorkflowPermissions","type":"module"},{"doc":"","ref":"GitHub.Actions.GetDefaultWorkflowPermissions.html#t:t/0","title":"GitHub.Actions.GetDefaultWorkflowPermissions.t/0","type":"type"},{"doc":"Provides struct and type for Job","ref":"GitHub.Actions.Job.html","title":"GitHub.Actions.Job","type":"module"},{"doc":"","ref":"GitHub.Actions.Job.html#t:t/0","title":"GitHub.Actions.Job.t/0","type":"type"},{"doc":"Provides struct and type for ActionsOrganizationPermissions","ref":"GitHub.Actions.OrganizationPermissions.html","title":"GitHub.Actions.OrganizationPermissions","type":"module"},{"doc":"","ref":"GitHub.Actions.OrganizationPermissions.html#t:t/0","title":"GitHub.Actions.OrganizationPermissions.t/0","type":"type"},{"doc":"Provides struct and type for ActionsPublicKey","ref":"GitHub.Actions.PublicKey.html","title":"GitHub.Actions.PublicKey","type":"module"},{"doc":"","ref":"GitHub.Actions.PublicKey.html#t:t/0","title":"GitHub.Actions.PublicKey.t/0","type":"type"},{"doc":"Provides struct and type for ActionsRepositoryPermissions","ref":"GitHub.Actions.RepositoryPermissions.html","title":"GitHub.Actions.RepositoryPermissions","type":"module"},{"doc":"","ref":"GitHub.Actions.RepositoryPermissions.html#t:t/0","title":"GitHub.Actions.RepositoryPermissions.t/0","type":"type"},{"doc":"Provides struct and type for ReviewCustomGatesCommentRequired","ref":"GitHub.Actions.ReviewCustomGates.CommentRequired.html","title":"GitHub.Actions.ReviewCustomGates.CommentRequired","type":"module"},{"doc":"","ref":"GitHub.Actions.ReviewCustomGates.CommentRequired.html#t:t/0","title":"GitHub.Actions.ReviewCustomGates.CommentRequired.t/0","type":"type"},{"doc":"Provides struct and type for ReviewCustomGatesStateRequired","ref":"GitHub.Actions.ReviewCustomGates.StateRequired.html","title":"GitHub.Actions.ReviewCustomGates.StateRequired","type":"module"},{"doc":"","ref":"GitHub.Actions.ReviewCustomGates.StateRequired.html#t:t/0","title":"GitHub.Actions.ReviewCustomGates.StateRequired.t/0","type":"type"},{"doc":"Provides struct and type for Runner","ref":"GitHub.Actions.Runner.html","title":"GitHub.Actions.Runner","type":"module"},{"doc":"","ref":"GitHub.Actions.Runner.html#t:t/0","title":"GitHub.Actions.Runner.t/0","type":"type"},{"doc":"Provides struct and type for RunnerApplication","ref":"GitHub.Actions.Runner.Application.html","title":"GitHub.Actions.Runner.Application","type":"module"},{"doc":"","ref":"GitHub.Actions.Runner.Application.html#t:t/0","title":"GitHub.Actions.Runner.Application.t/0","type":"type"},{"doc":"Provides struct and type for RunnerLabel","ref":"GitHub.Actions.Runner.Label.html","title":"GitHub.Actions.Runner.Label","type":"module"},{"doc":"","ref":"GitHub.Actions.Runner.Label.html#t:t/0","title":"GitHub.Actions.Runner.Label.t/0","type":"type"},{"doc":"Provides struct and type for ActionsSecret","ref":"GitHub.Actions.Secret.html","title":"GitHub.Actions.Secret","type":"module"},{"doc":"","ref":"GitHub.Actions.Secret.html#t:t/0","title":"GitHub.Actions.Secret.t/0","type":"type"},{"doc":"Provides struct and type for ActionsSetDefaultWorkflowPermissions","ref":"GitHub.Actions.SetDefaultWorkflowPermissions.html","title":"GitHub.Actions.SetDefaultWorkflowPermissions","type":"module"},{"doc":"","ref":"GitHub.Actions.SetDefaultWorkflowPermissions.html#t:t/0","title":"GitHub.Actions.SetDefaultWorkflowPermissions.t/0","type":"type"},{"doc":"Provides struct and type for ActionsVariable","ref":"GitHub.Actions.Variable.html","title":"GitHub.Actions.Variable","type":"module"},{"doc":"","ref":"GitHub.Actions.Variable.html#t:t/0","title":"GitHub.Actions.Variable.t/0","type":"type"},{"doc":"Provides struct and type for Workflow","ref":"GitHub.Actions.Workflow.html","title":"GitHub.Actions.Workflow","type":"module"},{"doc":"","ref":"GitHub.Actions.Workflow.html#t:t/0","title":"GitHub.Actions.Workflow.t/0","type":"type"},{"doc":"Provides struct and type for ActionsWorkflowAccessToRepository","ref":"GitHub.Actions.Workflow.AccessToRepository.html","title":"GitHub.Actions.Workflow.AccessToRepository","type":"module"},{"doc":"","ref":"GitHub.Actions.Workflow.AccessToRepository.html#t:t/0","title":"GitHub.Actions.Workflow.AccessToRepository.t/0","type":"type"},{"doc":"Provides struct and type for WorkflowRun","ref":"GitHub.Actions.Workflow.Run.html","title":"GitHub.Actions.Workflow.Run","type":"module"},{"doc":"","ref":"GitHub.Actions.Workflow.Run.html#t:t/0","title":"GitHub.Actions.Workflow.Run.t/0","type":"type"},{"doc":"Provides struct and type for WorkflowRunUsage","ref":"GitHub.Actions.Workflow.RunUsage.html","title":"GitHub.Actions.Workflow.RunUsage","type":"module"},{"doc":"","ref":"GitHub.Actions.Workflow.RunUsage.html#t:t/0","title":"GitHub.Actions.Workflow.RunUsage.t/0","type":"type"},{"doc":"Provides struct and type for WorkflowUsage","ref":"GitHub.Actions.Workflow.Usage.html","title":"GitHub.Actions.Workflow.Usage","type":"module"},{"doc":"","ref":"GitHub.Actions.Workflow.Usage.html#t:t/0","title":"GitHub.Actions.Workflow.Usage.t/0","type":"type"},{"doc":"Provides struct and type for Actor","ref":"GitHub.Actor.html","title":"GitHub.Actor","type":"module"},{"doc":"","ref":"GitHub.Actor.html#t:t/0","title":"GitHub.Actor.t/0","type":"type"},{"doc":"Provides struct and type for AddedToProjectIssueEvent","ref":"GitHub.AddedToProjectIssueEvent.html","title":"GitHub.AddedToProjectIssueEvent","type":"module"},{"doc":"","ref":"GitHub.AddedToProjectIssueEvent.html#t:t/0","title":"GitHub.AddedToProjectIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for AlertAutoDismissedAt","ref":"GitHub.Alert.AutoDismissedAt.html","title":"GitHub.Alert.AutoDismissedAt","type":"module"},{"doc":"","ref":"GitHub.Alert.AutoDismissedAt.html#t:t/0","title":"GitHub.Alert.AutoDismissedAt.t/0","type":"type"},{"doc":"Provides struct and type for AlertCreatedAt","ref":"GitHub.Alert.CreatedAt.html","title":"GitHub.Alert.CreatedAt","type":"module"},{"doc":"","ref":"GitHub.Alert.CreatedAt.html#t:t/0","title":"GitHub.Alert.CreatedAt.t/0","type":"type"},{"doc":"Provides struct and type for AlertDismissedAt","ref":"GitHub.Alert.DismissedAt.html","title":"GitHub.Alert.DismissedAt","type":"module"},{"doc":"","ref":"GitHub.Alert.DismissedAt.html#t:t/0","title":"GitHub.Alert.DismissedAt.t/0","type":"type"},{"doc":"Provides struct and type for AlertFixedAt","ref":"GitHub.Alert.FixedAt.html","title":"GitHub.Alert.FixedAt","type":"module"},{"doc":"","ref":"GitHub.Alert.FixedAt.html#t:t/0","title":"GitHub.Alert.FixedAt.t/0","type":"type"},{"doc":"Provides struct and type for AlertHtmlUrl","ref":"GitHub.Alert.HtmlUrl.html","title":"GitHub.Alert.HtmlUrl","type":"module"},{"doc":"","ref":"GitHub.Alert.HtmlUrl.html#t:t/0","title":"GitHub.Alert.HtmlUrl.t/0","type":"type"},{"doc":"Provides struct and type for AlertInstancesUrl","ref":"GitHub.Alert.InstancesUrl.html","title":"GitHub.Alert.InstancesUrl","type":"module"},{"doc":"","ref":"GitHub.Alert.InstancesUrl.html#t:t/0","title":"GitHub.Alert.InstancesUrl.t/0","type":"type"},{"doc":"Provides struct and type for AlertNumber","ref":"GitHub.Alert.Number.html","title":"GitHub.Alert.Number","type":"module"},{"doc":"","ref":"GitHub.Alert.Number.html#t:t/0","title":"GitHub.Alert.Number.t/0","type":"type"},{"doc":"Provides struct and type for AlertUpdatedAt","ref":"GitHub.Alert.UpdatedAt.html","title":"GitHub.Alert.UpdatedAt","type":"module"},{"doc":"","ref":"GitHub.Alert.UpdatedAt.html#t:t/0","title":"GitHub.Alert.UpdatedAt.t/0","type":"type"},{"doc":"Provides struct and type for AlertUrl","ref":"GitHub.Alert.Url.html","title":"GitHub.Alert.Url","type":"module"},{"doc":"","ref":"GitHub.Alert.Url.html#t:t/0","title":"GitHub.Alert.Url.t/0","type":"type"},{"doc":"Provides struct and type for AllowedActions","ref":"GitHub.AllowedActions.html","title":"GitHub.AllowedActions","type":"module"},{"doc":"","ref":"GitHub.AllowedActions.html#t:t/0","title":"GitHub.AllowedActions.t/0","type":"type"},{"doc":"Provides struct and type for ApiOverview","ref":"GitHub.ApiOverview.html","title":"GitHub.ApiOverview","type":"module"},{"doc":"","ref":"GitHub.ApiOverview.html#t:t/0","title":"GitHub.ApiOverview.t/0","type":"type"},{"doc":"Provides struct and type for Integration","ref":"GitHub.App.html","title":"GitHub.App","type":"module"},{"doc":"","ref":"GitHub.App.html#t:t/0","title":"GitHub.App.t/0","type":"type"},{"doc":"Provides struct and type for IntegrationInstallationRequest","ref":"GitHub.App.InstallationRequest.html","title":"GitHub.App.InstallationRequest","type":"module"},{"doc":"","ref":"GitHub.App.InstallationRequest.html#t:t/0","title":"GitHub.App.InstallationRequest.t/0","type":"type"},{"doc":"Provides struct and type for AppPermissions","ref":"GitHub.App.Permissions.html","title":"GitHub.App.Permissions","type":"module"},{"doc":"","ref":"GitHub.App.Permissions.html#t:t/0","title":"GitHub.App.Permissions.t/0","type":"type"},{"doc":"Provides struct and type for Artifact","ref":"GitHub.Artifact.html","title":"GitHub.Artifact","type":"module"},{"doc":"","ref":"GitHub.Artifact.html#t:t/0","title":"GitHub.Artifact.t/0","type":"type"},{"doc":"Provides struct and type for AssignedIssueEvent","ref":"GitHub.AssignedIssueEvent.html","title":"GitHub.AssignedIssueEvent","type":"module"},{"doc":"","ref":"GitHub.AssignedIssueEvent.html#t:t/0","title":"GitHub.AssignedIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for AuthenticationToken","ref":"GitHub.AuthenticationToken.html","title":"GitHub.AuthenticationToken","type":"module"},{"doc":"","ref":"GitHub.AuthenticationToken.html#t:t/0","title":"GitHub.AuthenticationToken.t/0","type":"type"},{"doc":"Provides struct and type for AuthorAssociation","ref":"GitHub.AuthorAssociation.html","title":"GitHub.AuthorAssociation","type":"module"},{"doc":"","ref":"GitHub.AuthorAssociation.html#t:t/0","title":"GitHub.AuthorAssociation.t/0","type":"type"},{"doc":"Provides struct and type for Authorization","ref":"GitHub.Authorization.html","title":"GitHub.Authorization","type":"module"},{"doc":"","ref":"GitHub.Authorization.html#t:t/0","title":"GitHub.Authorization.t/0","type":"type"},{"doc":"Provides struct and type for AutoMerge","ref":"GitHub.AutoMerge.html","title":"GitHub.AutoMerge","type":"module"},{"doc":"","ref":"GitHub.AutoMerge.html#t:t/0","title":"GitHub.AutoMerge.t/0","type":"type"},{"doc":"Provides struct and type for Autolink","ref":"GitHub.Autolink.html","title":"GitHub.Autolink","type":"module"},{"doc":"","ref":"GitHub.Autolink.html#t:t/0","title":"GitHub.Autolink.t/0","type":"type"},{"doc":"Provides struct and type for BaseGist","ref":"GitHub.BaseGist.html","title":"GitHub.BaseGist","type":"module"},{"doc":"","ref":"GitHub.BaseGist.html#t:t/0","title":"GitHub.BaseGist.t/0","type":"type"},{"doc":"Provides struct and type for BasicError","ref":"GitHub.BasicError.html","title":"GitHub.BasicError","type":"module"},{"doc":"","ref":"GitHub.BasicError.html#t:t/0","title":"GitHub.BasicError.t/0","type":"type"},{"doc":"Provides struct and type for Blob","ref":"GitHub.Blob.html","title":"GitHub.Blob","type":"module"},{"doc":"","ref":"GitHub.Blob.html#t:t/0","title":"GitHub.Blob.t/0","type":"type"},{"doc":"Provides struct and type for BranchProtection","ref":"GitHub.Branch.Protection.html","title":"GitHub.Branch.Protection","type":"module"},{"doc":"","ref":"GitHub.Branch.Protection.html#t:t/0","title":"GitHub.Branch.Protection.t/0","type":"type"},{"doc":"Provides struct and type for BranchRestrictionPolicy","ref":"GitHub.Branch.RestrictionPolicy.html","title":"GitHub.Branch.RestrictionPolicy","type":"module"},{"doc":"","ref":"GitHub.Branch.RestrictionPolicy.html#t:t/0","title":"GitHub.Branch.RestrictionPolicy.t/0","type":"type"},{"doc":"Provides struct and type for BranchShort","ref":"GitHub.Branch.Short.html","title":"GitHub.Branch.Short","type":"module"},{"doc":"","ref":"GitHub.Branch.Short.html#t:t/0","title":"GitHub.Branch.Short.t/0","type":"type"},{"doc":"Provides struct and type for BranchWithProtection","ref":"GitHub.Branch.WithProtection.html","title":"GitHub.Branch.WithProtection","type":"module"},{"doc":"","ref":"GitHub.Branch.WithProtection.html#t:t/0","title":"GitHub.Branch.WithProtection.t/0","type":"type"},{"doc":"Provides struct and type for CheckAnnotation","ref":"GitHub.Check.Annotation.html","title":"GitHub.Check.Annotation","type":"module"},{"doc":"","ref":"GitHub.Check.Annotation.html#t:t/0","title":"GitHub.Check.Annotation.t/0","type":"type"},{"doc":"Provides struct and type for CheckAutomatedSecurityFixes","ref":"GitHub.Check.AutomatedSecurityFixes.html","title":"GitHub.Check.AutomatedSecurityFixes","type":"module"},{"doc":"","ref":"GitHub.Check.AutomatedSecurityFixes.html#t:t/0","title":"GitHub.Check.AutomatedSecurityFixes.t/0","type":"type"},{"doc":"Provides struct and type for CheckRun","ref":"GitHub.Check.Run.html","title":"GitHub.Check.Run","type":"module"},{"doc":"","ref":"GitHub.Check.Run.html#t:t/0","title":"GitHub.Check.Run.t/0","type":"type"},{"doc":"Provides struct and type for CheckSuite","ref":"GitHub.Check.Suite.html","title":"GitHub.Check.Suite","type":"module"},{"doc":"","ref":"GitHub.Check.Suite.html#t:t/0","title":"GitHub.Check.Suite.t/0","type":"type"},{"doc":"Provides struct and type for CheckSuitePreference","ref":"GitHub.Check.SuitePreference.html","title":"GitHub.Check.SuitePreference","type":"module"},{"doc":"","ref":"GitHub.Check.SuitePreference.html#t:t/0","title":"GitHub.Check.SuitePreference.t/0","type":"type"},{"doc":"Provides struct and type for CloneTraffic","ref":"GitHub.CloneTraffic.html","title":"GitHub.CloneTraffic","type":"module"},{"doc":"","ref":"GitHub.CloneTraffic.html#t:t/0","title":"GitHub.CloneTraffic.t/0","type":"type"},{"doc":"Provides struct and type for CodeFrequencyStat","ref":"GitHub.CodeFrequencyStat.html","title":"GitHub.CodeFrequencyStat","type":"module"},{"doc":"","ref":"GitHub.CodeFrequencyStat.html#t:t/0","title":"GitHub.CodeFrequencyStat.t/0","type":"type"},{"doc":"Provides struct and types for CodeOfConduct, CodeOfConductSimple","ref":"GitHub.CodeOfConduct.html","title":"GitHub.CodeOfConduct","type":"module"},{"doc":"","ref":"GitHub.CodeOfConduct.html#t:simple/0","title":"GitHub.CodeOfConduct.simple/0","type":"type"},{"doc":"","ref":"GitHub.CodeOfConduct.html#t:t/0","title":"GitHub.CodeOfConduct.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAlert","ref":"GitHub.CodeScanning.Alert.html","title":"GitHub.CodeScanning.Alert","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.Alert.html#t:t/0","title":"GitHub.CodeScanning.Alert.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAlertClassification","ref":"GitHub.CodeScanning.AlertClassification.html","title":"GitHub.CodeScanning.AlertClassification","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertClassification.html#t:t/0","title":"GitHub.CodeScanning.AlertClassification.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAlertDismissedComment","ref":"GitHub.CodeScanning.AlertDismissedComment.html","title":"GitHub.CodeScanning.AlertDismissedComment","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertDismissedComment.html#t:t/0","title":"GitHub.CodeScanning.AlertDismissedComment.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAlertDismissedReason","ref":"GitHub.CodeScanning.AlertDismissedReason.html","title":"GitHub.CodeScanning.AlertDismissedReason","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertDismissedReason.html#t:t/0","title":"GitHub.CodeScanning.AlertDismissedReason.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAlertEnvironment","ref":"GitHub.CodeScanning.AlertEnvironment.html","title":"GitHub.CodeScanning.AlertEnvironment","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertEnvironment.html#t:t/0","title":"GitHub.CodeScanning.AlertEnvironment.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAlertInstance","ref":"GitHub.CodeScanning.AlertInstance.html","title":"GitHub.CodeScanning.AlertInstance","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertInstance.html#t:t/0","title":"GitHub.CodeScanning.AlertInstance.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAlertItems","ref":"GitHub.CodeScanning.AlertItems.html","title":"GitHub.CodeScanning.AlertItems","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertItems.html#t:t/0","title":"GitHub.CodeScanning.AlertItems.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAlertLocation","ref":"GitHub.CodeScanning.AlertLocation.html","title":"GitHub.CodeScanning.AlertLocation","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertLocation.html#t:t/0","title":"GitHub.CodeScanning.AlertLocation.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAlertRule","ref":"GitHub.CodeScanning.AlertRule.html","title":"GitHub.CodeScanning.AlertRule","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertRule.html#t:t/0","title":"GitHub.CodeScanning.AlertRule.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAlertRuleSummary","ref":"GitHub.CodeScanning.AlertRuleSummary.html","title":"GitHub.CodeScanning.AlertRuleSummary","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertRuleSummary.html#t:t/0","title":"GitHub.CodeScanning.AlertRuleSummary.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAlertSetState","ref":"GitHub.CodeScanning.AlertSetState.html","title":"GitHub.CodeScanning.AlertSetState","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertSetState.html#t:t/0","title":"GitHub.CodeScanning.AlertSetState.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAlertSeverity","ref":"GitHub.CodeScanning.AlertSeverity.html","title":"GitHub.CodeScanning.AlertSeverity","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertSeverity.html#t:t/0","title":"GitHub.CodeScanning.AlertSeverity.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAlertState","ref":"GitHub.CodeScanning.AlertState.html","title":"GitHub.CodeScanning.AlertState","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertState.html#t:t/0","title":"GitHub.CodeScanning.AlertState.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAlertStateQuery","ref":"GitHub.CodeScanning.AlertStateQuery.html","title":"GitHub.CodeScanning.AlertStateQuery","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertStateQuery.html#t:t/0","title":"GitHub.CodeScanning.AlertStateQuery.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAnalysis","ref":"GitHub.CodeScanning.Analysis.html","title":"GitHub.CodeScanning.Analysis","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.Analysis.html#t:t/0","title":"GitHub.CodeScanning.Analysis.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAnalysisAnalysisKey","ref":"GitHub.CodeScanning.AnalysisAnalysisKey.html","title":"GitHub.CodeScanning.AnalysisAnalysisKey","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisAnalysisKey.html#t:t/0","title":"GitHub.CodeScanning.AnalysisAnalysisKey.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAnalysisCategory","ref":"GitHub.CodeScanning.AnalysisCategory.html","title":"GitHub.CodeScanning.AnalysisCategory","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisCategory.html#t:t/0","title":"GitHub.CodeScanning.AnalysisCategory.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAnalysisCommitSha","ref":"GitHub.CodeScanning.AnalysisCommitSha.html","title":"GitHub.CodeScanning.AnalysisCommitSha","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisCommitSha.html#t:t/0","title":"GitHub.CodeScanning.AnalysisCommitSha.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAnalysisCreatedAt","ref":"GitHub.CodeScanning.AnalysisCreatedAt.html","title":"GitHub.CodeScanning.AnalysisCreatedAt","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisCreatedAt.html#t:t/0","title":"GitHub.CodeScanning.AnalysisCreatedAt.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAnalysisDeletion","ref":"GitHub.CodeScanning.AnalysisDeletion.html","title":"GitHub.CodeScanning.AnalysisDeletion","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisDeletion.html#t:t/0","title":"GitHub.CodeScanning.AnalysisDeletion.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAnalysisEnvironment","ref":"GitHub.CodeScanning.AnalysisEnvironment.html","title":"GitHub.CodeScanning.AnalysisEnvironment","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisEnvironment.html#t:t/0","title":"GitHub.CodeScanning.AnalysisEnvironment.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAnalysisSarifFile","ref":"GitHub.CodeScanning.AnalysisSarifFile.html","title":"GitHub.CodeScanning.AnalysisSarifFile","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisSarifFile.html#t:t/0","title":"GitHub.CodeScanning.AnalysisSarifFile.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAnalysisSarifId","ref":"GitHub.CodeScanning.AnalysisSarifId.html","title":"GitHub.CodeScanning.AnalysisSarifId","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisSarifId.html#t:t/0","title":"GitHub.CodeScanning.AnalysisSarifId.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAnalysisTool","ref":"GitHub.CodeScanning.AnalysisTool.html","title":"GitHub.CodeScanning.AnalysisTool","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisTool.html#t:t/0","title":"GitHub.CodeScanning.AnalysisTool.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAnalysisToolGuid","ref":"GitHub.CodeScanning.AnalysisToolGuid.html","title":"GitHub.CodeScanning.AnalysisToolGuid","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisToolGuid.html#t:t/0","title":"GitHub.CodeScanning.AnalysisToolGuid.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAnalysisToolName","ref":"GitHub.CodeScanning.AnalysisToolName.html","title":"GitHub.CodeScanning.AnalysisToolName","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisToolName.html#t:t/0","title":"GitHub.CodeScanning.AnalysisToolName.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAnalysisToolVersion","ref":"GitHub.CodeScanning.AnalysisToolVersion.html","title":"GitHub.CodeScanning.AnalysisToolVersion","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisToolVersion.html#t:t/0","title":"GitHub.CodeScanning.AnalysisToolVersion.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningAnalysisUrl","ref":"GitHub.CodeScanning.AnalysisUrl.html","title":"GitHub.CodeScanning.AnalysisUrl","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisUrl.html#t:t/0","title":"GitHub.CodeScanning.AnalysisUrl.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningCodeqlDatabase","ref":"GitHub.CodeScanning.CodeqlDatabase.html","title":"GitHub.CodeScanning.CodeqlDatabase","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.CodeqlDatabase.html#t:t/0","title":"GitHub.CodeScanning.CodeqlDatabase.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningDefaultSetup","ref":"GitHub.CodeScanning.DefaultSetup.html","title":"GitHub.CodeScanning.DefaultSetup","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.DefaultSetup.html#t:t/0","title":"GitHub.CodeScanning.DefaultSetup.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningDefaultSetupUpdate","ref":"GitHub.CodeScanning.DefaultSetupUpdate.html","title":"GitHub.CodeScanning.DefaultSetupUpdate","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.DefaultSetupUpdate.html#t:t/0","title":"GitHub.CodeScanning.DefaultSetupUpdate.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningDefaultSetupUpdateResponse","ref":"GitHub.CodeScanning.DefaultSetupUpdateResponse.html","title":"GitHub.CodeScanning.DefaultSetupUpdateResponse","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.DefaultSetupUpdateResponse.html#t:t/0","title":"GitHub.CodeScanning.DefaultSetupUpdateResponse.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningOrganizationAlertItems","ref":"GitHub.CodeScanning.OrganizationAlertItems.html","title":"GitHub.CodeScanning.OrganizationAlertItems","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.OrganizationAlertItems.html#t:t/0","title":"GitHub.CodeScanning.OrganizationAlertItems.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningRef","ref":"GitHub.CodeScanning.Ref.html","title":"GitHub.CodeScanning.Ref","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.Ref.html#t:t/0","title":"GitHub.CodeScanning.Ref.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningSarifsReceipt","ref":"GitHub.CodeScanning.SarifsReceipt.html","title":"GitHub.CodeScanning.SarifsReceipt","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.SarifsReceipt.html#t:t/0","title":"GitHub.CodeScanning.SarifsReceipt.t/0","type":"type"},{"doc":"Provides struct and type for CodeScanningSarifsStatus","ref":"GitHub.CodeScanning.SarifsStatus.html","title":"GitHub.CodeScanning.SarifsStatus","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.SarifsStatus.html#t:t/0","title":"GitHub.CodeScanning.SarifsStatus.t/0","type":"type"},{"doc":"Provides struct and type for CodeSearchResultItem","ref":"GitHub.CodeSearchResultItem.html","title":"GitHub.CodeSearchResultItem","type":"module"},{"doc":"","ref":"GitHub.CodeSearchResultItem.html#t:t/0","title":"GitHub.CodeSearchResultItem.t/0","type":"type"},{"doc":"Provides struct and type for CodeownersErrors","ref":"GitHub.CodeownersErrors.html","title":"GitHub.CodeownersErrors","type":"module"},{"doc":"","ref":"GitHub.CodeownersErrors.html#t:t/0","title":"GitHub.CodeownersErrors.t/0","type":"type"},{"doc":"Provides struct and type for Codespace","ref":"GitHub.Codespace.html","title":"GitHub.Codespace","type":"module"},{"doc":"","ref":"GitHub.Codespace.html#t:t/0","title":"GitHub.Codespace.t/0","type":"type"},{"doc":"Provides struct and type for CodespaceExportDetails","ref":"GitHub.Codespace.ExportDetails.html","title":"GitHub.Codespace.ExportDetails","type":"module"},{"doc":"","ref":"GitHub.Codespace.ExportDetails.html#t:t/0","title":"GitHub.Codespace.ExportDetails.t/0","type":"type"},{"doc":"Provides struct and type for CodespaceMachine","ref":"GitHub.Codespace.Machine.html","title":"GitHub.Codespace.Machine","type":"module"},{"doc":"","ref":"GitHub.Codespace.Machine.html#t:t/0","title":"GitHub.Codespace.Machine.t/0","type":"type"},{"doc":"Provides struct and type for CodespacesOrgSecret","ref":"GitHub.Codespace.OrgSecret.html","title":"GitHub.Codespace.OrgSecret","type":"module"},{"doc":"","ref":"GitHub.Codespace.OrgSecret.html#t:t/0","title":"GitHub.Codespace.OrgSecret.t/0","type":"type"},{"doc":"Provides struct and type for CodespacesPublicKey","ref":"GitHub.Codespace.PublicKey.html","title":"GitHub.Codespace.PublicKey","type":"module"},{"doc":"","ref":"GitHub.Codespace.PublicKey.html#t:t/0","title":"GitHub.Codespace.PublicKey.t/0","type":"type"},{"doc":"Provides struct and type for CodespacesSecret","ref":"GitHub.Codespace.Secret.html","title":"GitHub.Codespace.Secret","type":"module"},{"doc":"","ref":"GitHub.Codespace.Secret.html#t:t/0","title":"GitHub.Codespace.Secret.t/0","type":"type"},{"doc":"Provides struct and type for CodespacesUserPublicKey","ref":"GitHub.Codespace.UserPublicKey.html","title":"GitHub.Codespace.UserPublicKey","type":"module"},{"doc":"","ref":"GitHub.Codespace.UserPublicKey.html#t:t/0","title":"GitHub.Codespace.UserPublicKey.t/0","type":"type"},{"doc":"Provides struct and type for CodespaceWithFullRepository","ref":"GitHub.Codespace.WithFullRepository.html","title":"GitHub.Codespace.WithFullRepository","type":"module"},{"doc":"","ref":"GitHub.Codespace.WithFullRepository.html#t:t/0","title":"GitHub.Codespace.WithFullRepository.t/0","type":"type"},{"doc":"Provides struct and type for Collaborator","ref":"GitHub.Collaborator.html","title":"GitHub.Collaborator","type":"module"},{"doc":"","ref":"GitHub.Collaborator.html#t:t/0","title":"GitHub.Collaborator.t/0","type":"type"},{"doc":"Provides struct and type for CombinedBillingUsage","ref":"GitHub.CombinedBillingUsage.html","title":"GitHub.CombinedBillingUsage","type":"module"},{"doc":"","ref":"GitHub.CombinedBillingUsage.html#t:t/0","title":"GitHub.CombinedBillingUsage.t/0","type":"type"},{"doc":"Provides struct and type for CombinedCommitStatus","ref":"GitHub.CombinedCommitStatus.html","title":"GitHub.CombinedCommitStatus","type":"module"},{"doc":"","ref":"GitHub.CombinedCommitStatus.html#t:t/0","title":"GitHub.CombinedCommitStatus.t/0","type":"type"},{"doc":"Provides struct and types for Commit, SimpleCommit","ref":"GitHub.Commit.html","title":"GitHub.Commit","type":"module"},{"doc":"","ref":"GitHub.Commit.html#t:simple/0","title":"GitHub.Commit.simple/0","type":"type"},{"doc":"","ref":"GitHub.Commit.html#t:t/0","title":"GitHub.Commit.t/0","type":"type"},{"doc":"Provides struct and type for CommitActivity","ref":"GitHub.Commit.Activity.html","title":"GitHub.Commit.Activity","type":"module"},{"doc":"","ref":"GitHub.Commit.Activity.html#t:t/0","title":"GitHub.Commit.Activity.t/0","type":"type"},{"doc":"Provides struct and type for CommitComment","ref":"GitHub.Commit.Comment.html","title":"GitHub.Commit.Comment","type":"module"},{"doc":"","ref":"GitHub.Commit.Comment.html#t:t/0","title":"GitHub.Commit.Comment.t/0","type":"type"},{"doc":"Provides struct and type for CommitComparison","ref":"GitHub.Commit.Comparison.html","title":"GitHub.Commit.Comparison","type":"module"},{"doc":"","ref":"GitHub.Commit.Comparison.html#t:t/0","title":"GitHub.Commit.Comparison.t/0","type":"type"},{"doc":"Provides struct and type for CommitSearchResultItem","ref":"GitHub.Commit.SearchResultItem.html","title":"GitHub.Commit.SearchResultItem","type":"module"},{"doc":"","ref":"GitHub.Commit.SearchResultItem.html#t:t/0","title":"GitHub.Commit.SearchResultItem.t/0","type":"type"},{"doc":"Provides struct and type for SimpleCommitStatus","ref":"GitHub.Commit.Status.html","title":"GitHub.Commit.Status","type":"module"},{"doc":"","ref":"GitHub.Commit.Status.html#t:simple/0","title":"GitHub.Commit.Status.simple/0","type":"type"},{"doc":"Provides struct and type for CommunityHealthFile","ref":"GitHub.CommunityHealthFile.html","title":"GitHub.CommunityHealthFile","type":"module"},{"doc":"","ref":"GitHub.CommunityHealthFile.html#t:t/0","title":"GitHub.CommunityHealthFile.t/0","type":"type"},{"doc":"Provides struct and type for CommunityProfile","ref":"GitHub.CommunityProfile.html","title":"GitHub.CommunityProfile","type":"module"},{"doc":"","ref":"GitHub.CommunityProfile.html#t:t/0","title":"GitHub.CommunityProfile.t/0","type":"type"},{"doc":"Provides struct and type for ContentDirectory","ref":"GitHub.Content.Directory.html","title":"GitHub.Content.Directory","type":"module"},{"doc":"","ref":"GitHub.Content.Directory.html#t:t/0","title":"GitHub.Content.Directory.t/0","type":"type"},{"doc":"Provides struct and type for ContentFile","ref":"GitHub.Content.File.html","title":"GitHub.Content.File","type":"module"},{"doc":"","ref":"GitHub.Content.File.html#t:t/0","title":"GitHub.Content.File.t/0","type":"type"},{"doc":"Provides struct and type for ContentSubmodule","ref":"GitHub.Content.Submodule.html","title":"GitHub.Content.Submodule","type":"module"},{"doc":"","ref":"GitHub.Content.Submodule.html#t:t/0","title":"GitHub.Content.Submodule.t/0","type":"type"},{"doc":"Provides struct and type for ContentSymlink","ref":"GitHub.Content.Symlink.html","title":"GitHub.Content.Symlink","type":"module"},{"doc":"","ref":"GitHub.Content.Symlink.html#t:t/0","title":"GitHub.Content.Symlink.t/0","type":"type"},{"doc":"Provides struct and type for ContentTraffic","ref":"GitHub.Content.Traffic.html","title":"GitHub.Content.Traffic","type":"module"},{"doc":"","ref":"GitHub.Content.Traffic.html#t:t/0","title":"GitHub.Content.Traffic.t/0","type":"type"},{"doc":"Provides struct and type for ContentTree","ref":"GitHub.Content.Tree.html","title":"GitHub.Content.Tree","type":"module"},{"doc":"","ref":"GitHub.Content.Tree.html#t:t/0","title":"GitHub.Content.Tree.t/0","type":"type"},{"doc":"Provides struct and type for Contributor","ref":"GitHub.Contributor.html","title":"GitHub.Contributor","type":"module"},{"doc":"","ref":"GitHub.Contributor.html#t:t/0","title":"GitHub.Contributor.t/0","type":"type"},{"doc":"Provides struct and type for ContributorActivity","ref":"GitHub.ContributorActivity.html","title":"GitHub.ContributorActivity","type":"module"},{"doc":"","ref":"GitHub.ContributorActivity.html#t:t/0","title":"GitHub.ContributorActivity.t/0","type":"type"},{"doc":"Provides struct and type for ConvertedNoteToIssueIssueEvent","ref":"GitHub.ConvertedNoteToIssueIssueEvent.html","title":"GitHub.ConvertedNoteToIssueIssueEvent","type":"module"},{"doc":"","ref":"GitHub.ConvertedNoteToIssueIssueEvent.html#t:t/0","title":"GitHub.ConvertedNoteToIssueIssueEvent.t/0","type":"type"},{"doc":"Provides API endpoints related to copilot","ref":"GitHub.Copilot.html","title":"GitHub.Copilot","type":"module"},{"doc":"Add teams to the Copilot for Business subscription for an organization Resources API method documentation","ref":"GitHub.Copilot.html#add_copilot_for_business_seats_for_teams/3","title":"GitHub.Copilot.add_copilot_for_business_seats_for_teams/3","type":"function"},{"doc":"Add users to the Copilot for Business subscription for an organization Resources API method documentation","ref":"GitHub.Copilot.html#add_copilot_for_business_seats_for_users/3","title":"GitHub.Copilot.add_copilot_for_business_seats_for_users/3","type":"function"},{"doc":"Remove teams from the Copilot for Business subscription for an organization Resources API method documentation","ref":"GitHub.Copilot.html#cancel_copilot_seat_assignment_for_teams/3","title":"GitHub.Copilot.cancel_copilot_seat_assignment_for_teams/3","type":"function"},{"doc":"Remove users from the Copilot for Business subscription for an organization Resources API method documentation","ref":"GitHub.Copilot.html#cancel_copilot_seat_assignment_for_users/3","title":"GitHub.Copilot.cancel_copilot_seat_assignment_for_users/3","type":"function"},{"doc":"Get Copilot for Business seat information and settings for an organization Resources API method documentation","ref":"GitHub.Copilot.html#get_copilot_organization_details/2","title":"GitHub.Copilot.get_copilot_organization_details/2","type":"function"},{"doc":"Get Copilot for Business seat assignment details for a user Resources API method documentation","ref":"GitHub.Copilot.html#get_copilot_seat_assignment_details_for_user/3","title":"GitHub.Copilot.get_copilot_seat_assignment_details_for_user/3","type":"function"},{"doc":"List all Copilot for Business seat assignments for an organization Options page (integer): Page number of the results to fetch. per_page (integer): The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Copilot.html#list_copilot_seats/2","title":"GitHub.Copilot.list_copilot_seats/2","type":"function"},{"doc":"Provides struct and type for CopilotOrganizationDetails","ref":"GitHub.Copilot.OrganizationDetails.html","title":"GitHub.Copilot.OrganizationDetails","type":"module"},{"doc":"","ref":"GitHub.Copilot.OrganizationDetails.html#t:t/0","title":"GitHub.Copilot.OrganizationDetails.t/0","type":"type"},{"doc":"Provides struct and type for CopilotSeatBreakdown","ref":"GitHub.Copilot.SeatBreakdown.html","title":"GitHub.Copilot.SeatBreakdown","type":"module"},{"doc":"","ref":"GitHub.Copilot.SeatBreakdown.html#t:t/0","title":"GitHub.Copilot.SeatBreakdown.t/0","type":"type"},{"doc":"Provides struct and type for CopilotSeatDetails","ref":"GitHub.Copilot.SeatDetails.html","title":"GitHub.Copilot.SeatDetails","type":"module"},{"doc":"","ref":"GitHub.Copilot.SeatDetails.html#t:t/0","title":"GitHub.Copilot.SeatDetails.t/0","type":"type"},{"doc":"Provides struct and type for CustomDeploymentRuleApp","ref":"GitHub.CustomDeploymentRuleApp.html","title":"GitHub.CustomDeploymentRuleApp","type":"module"},{"doc":"","ref":"GitHub.CustomDeploymentRuleApp.html#t:t/0","title":"GitHub.CustomDeploymentRuleApp.t/0","type":"type"},{"doc":"Provides struct and type for DemilestonedIssueEvent","ref":"GitHub.DemilestonedIssueEvent.html","title":"GitHub.DemilestonedIssueEvent","type":"module"},{"doc":"","ref":"GitHub.DemilestonedIssueEvent.html#t:t/0","title":"GitHub.DemilestonedIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for DependabotAlert","ref":"GitHub.Dependabot.Alert.html","title":"GitHub.Dependabot.Alert","type":"module"},{"doc":"","ref":"GitHub.Dependabot.Alert.html#t:t/0","title":"GitHub.Dependabot.Alert.t/0","type":"type"},{"doc":"Provides struct and type for DependabotAlertPackage","ref":"GitHub.Dependabot.Alert.Package.html","title":"GitHub.Dependabot.Alert.Package","type":"module"},{"doc":"","ref":"GitHub.Dependabot.Alert.Package.html#t:t/0","title":"GitHub.Dependabot.Alert.Package.t/0","type":"type"},{"doc":"Provides struct and type for DependabotAlertSecurityAdvisory","ref":"GitHub.Dependabot.Alert.SecurityAdvisory.html","title":"GitHub.Dependabot.Alert.SecurityAdvisory","type":"module"},{"doc":"","ref":"GitHub.Dependabot.Alert.SecurityAdvisory.html#t:t/0","title":"GitHub.Dependabot.Alert.SecurityAdvisory.t/0","type":"type"},{"doc":"Provides struct and type for DependabotAlertSecurityVulnerability","ref":"GitHub.Dependabot.Alert.SecurityVulnerability.html","title":"GitHub.Dependabot.Alert.SecurityVulnerability","type":"module"},{"doc":"","ref":"GitHub.Dependabot.Alert.SecurityVulnerability.html#t:t/0","title":"GitHub.Dependabot.Alert.SecurityVulnerability.t/0","type":"type"},{"doc":"Provides struct and type for DependabotAlertWithRepository","ref":"GitHub.Dependabot.Alert.WithRepository.html","title":"GitHub.Dependabot.Alert.WithRepository","type":"module"},{"doc":"","ref":"GitHub.Dependabot.Alert.WithRepository.html#t:t/0","title":"GitHub.Dependabot.Alert.WithRepository.t/0","type":"type"},{"doc":"Provides struct and type for DependabotPublicKey","ref":"GitHub.Dependabot.PublicKey.html","title":"GitHub.Dependabot.PublicKey","type":"module"},{"doc":"","ref":"GitHub.Dependabot.PublicKey.html#t:t/0","title":"GitHub.Dependabot.PublicKey.t/0","type":"type"},{"doc":"Provides struct and type for DependabotSecret","ref":"GitHub.Dependabot.Secret.html","title":"GitHub.Dependabot.Secret","type":"module"},{"doc":"","ref":"GitHub.Dependabot.Secret.html#t:t/0","title":"GitHub.Dependabot.Secret.t/0","type":"type"},{"doc":"Provides struct and type for Dependency","ref":"GitHub.Dependency.html","title":"GitHub.Dependency","type":"module"},{"doc":"","ref":"GitHub.Dependency.html#t:t/0","title":"GitHub.Dependency.t/0","type":"type"},{"doc":"Provides struct and type for DependencyGraphDiff","ref":"GitHub.DependencyGraph.Diff.html","title":"GitHub.DependencyGraph.Diff","type":"module"},{"doc":"","ref":"GitHub.DependencyGraph.Diff.html#t:t/0","title":"GitHub.DependencyGraph.Diff.t/0","type":"type"},{"doc":"Provides struct and type for DependencyGraphSpdxSbom","ref":"GitHub.DependencyGraph.SpdxSbom.html","title":"GitHub.DependencyGraph.SpdxSbom","type":"module"},{"doc":"","ref":"GitHub.DependencyGraph.SpdxSbom.html#t:t/0","title":"GitHub.DependencyGraph.SpdxSbom.t/0","type":"type"},{"doc":"Provides struct and type for DeployKey","ref":"GitHub.DeployKey.html","title":"GitHub.DeployKey","type":"module"},{"doc":"","ref":"GitHub.DeployKey.html#t:t/0","title":"GitHub.DeployKey.t/0","type":"type"},{"doc":"Provides struct and types for Deployment, DeploymentSimple","ref":"GitHub.Deployment.html","title":"GitHub.Deployment","type":"module"},{"doc":"","ref":"GitHub.Deployment.html#t:simple/0","title":"GitHub.Deployment.simple/0","type":"type"},{"doc":"","ref":"GitHub.Deployment.html#t:t/0","title":"GitHub.Deployment.t/0","type":"type"},{"doc":"Provides struct and type for DeploymentBranchPolicy","ref":"GitHub.Deployment.BranchPolicy.html","title":"GitHub.Deployment.BranchPolicy","type":"module"},{"doc":"","ref":"GitHub.Deployment.BranchPolicy.html#t:t/0","title":"GitHub.Deployment.BranchPolicy.t/0","type":"type"},{"doc":"Provides struct and type for DeploymentBranchPolicyNamePattern","ref":"GitHub.Deployment.BranchPolicyNamePattern.html","title":"GitHub.Deployment.BranchPolicyNamePattern","type":"module"},{"doc":"","ref":"GitHub.Deployment.BranchPolicyNamePattern.html#t:t/0","title":"GitHub.Deployment.BranchPolicyNamePattern.t/0","type":"type"},{"doc":"Provides struct and type for DeploymentBranchPolicySettings","ref":"GitHub.Deployment.BranchPolicySettings.html","title":"GitHub.Deployment.BranchPolicySettings","type":"module"},{"doc":"","ref":"GitHub.Deployment.BranchPolicySettings.html#t:t/0","title":"GitHub.Deployment.BranchPolicySettings.t/0","type":"type"},{"doc":"Provides struct and type for DeploymentProtectionRule","ref":"GitHub.Deployment.ProtectionRule.html","title":"GitHub.Deployment.ProtectionRule","type":"module"},{"doc":"","ref":"GitHub.Deployment.ProtectionRule.html#t:t/0","title":"GitHub.Deployment.ProtectionRule.t/0","type":"type"},{"doc":"Provides struct and type for DeploymentReviewerType","ref":"GitHub.Deployment.ReviewerType.html","title":"GitHub.Deployment.ReviewerType","type":"module"},{"doc":"","ref":"GitHub.Deployment.ReviewerType.html#t:t/0","title":"GitHub.Deployment.ReviewerType.t/0","type":"type"},{"doc":"Provides struct and type for DeploymentStatus","ref":"GitHub.Deployment.Status.html","title":"GitHub.Deployment.Status","type":"module"},{"doc":"","ref":"GitHub.Deployment.Status.html#t:t/0","title":"GitHub.Deployment.Status.t/0","type":"type"},{"doc":"Provides struct and type for DiffEntry","ref":"GitHub.DiffEntry.html","title":"GitHub.DiffEntry","type":"module"},{"doc":"","ref":"GitHub.DiffEntry.html#t:t/0","title":"GitHub.DiffEntry.t/0","type":"type"},{"doc":"Provides struct and type for Email","ref":"GitHub.Email.html","title":"GitHub.Email","type":"module"},{"doc":"","ref":"GitHub.Email.html#t:t/0","title":"GitHub.Email.t/0","type":"type"},{"doc":"Provides struct and type for EmptyObject","ref":"GitHub.EmptyObject.html","title":"GitHub.EmptyObject","type":"module"},{"doc":"","ref":"GitHub.EmptyObject.html#t:t/0","title":"GitHub.EmptyObject.t/0","type":"type"},{"doc":"Provides struct and type for EnabledRepositories","ref":"GitHub.EnabledRepositories.html","title":"GitHub.EnabledRepositories","type":"module"},{"doc":"","ref":"GitHub.EnabledRepositories.html#t:t/0","title":"GitHub.EnabledRepositories.t/0","type":"type"},{"doc":"","ref":"GitHub.Encoder.html","title":"GitHub.Encoder","type":"module"},{"doc":"Provides struct and type for Enterprise","ref":"GitHub.Enterprise.html","title":"GitHub.Enterprise","type":"module"},{"doc":"","ref":"GitHub.Enterprise.html#t:t/0","title":"GitHub.Enterprise.t/0","type":"type"},{"doc":"Provides struct and type for Environment","ref":"GitHub.Environment.html","title":"GitHub.Environment","type":"module"},{"doc":"","ref":"GitHub.Environment.html#t:t/0","title":"GitHub.Environment.t/0","type":"type"},{"doc":"Provides struct and type for EnvironmentApprovals","ref":"GitHub.EnvironmentApprovals.html","title":"GitHub.EnvironmentApprovals","type":"module"},{"doc":"","ref":"GitHub.EnvironmentApprovals.html#t:t/0","title":"GitHub.EnvironmentApprovals.t/0","type":"type"},{"doc":"Provides struct and type for Event","ref":"GitHub.Event.html","title":"GitHub.Event","type":"module"},{"doc":"","ref":"GitHub.Event.html#t:t/0","title":"GitHub.Event.t/0","type":"type"},{"doc":"Provides struct and type for Feed","ref":"GitHub.Feed.html","title":"GitHub.Feed","type":"module"},{"doc":"","ref":"GitHub.Feed.html#t:t/0","title":"GitHub.Feed.t/0","type":"type"},{"doc":"Provides struct and type for FileCommit","ref":"GitHub.FileCommit.html","title":"GitHub.FileCommit","type":"module"},{"doc":"","ref":"GitHub.FileCommit.html#t:t/0","title":"GitHub.FileCommit.t/0","type":"type"},{"doc":"Provides struct and type for GistSimple","ref":"GitHub.Gist.html","title":"GitHub.Gist","type":"module"},{"doc":"","ref":"GitHub.Gist.html#t:simple/0","title":"GitHub.Gist.simple/0","type":"type"},{"doc":"Provides struct and type for GistComment","ref":"GitHub.Gist.Comment.html","title":"GitHub.Gist.Comment","type":"module"},{"doc":"","ref":"GitHub.Gist.Comment.html#t:t/0","title":"GitHub.Gist.Comment.t/0","type":"type"},{"doc":"Provides struct and type for GistCommit","ref":"GitHub.Gist.Commit.html","title":"GitHub.Gist.Commit","type":"module"},{"doc":"","ref":"GitHub.Gist.Commit.html#t:t/0","title":"GitHub.Gist.Commit.t/0","type":"type"},{"doc":"Provides struct and type for GistHistory","ref":"GitHub.Gist.History.html","title":"GitHub.Gist.History","type":"module"},{"doc":"","ref":"GitHub.Gist.History.html#t:t/0","title":"GitHub.Gist.History.t/0","type":"type"},{"doc":"Provides struct and type for GitCommit","ref":"GitHub.Git.Commit.html","title":"GitHub.Git.Commit","type":"module"},{"doc":"","ref":"GitHub.Git.Commit.html#t:t/0","title":"GitHub.Git.Commit.t/0","type":"type"},{"doc":"Provides struct and type for GitignoreTemplate","ref":"GitHub.Git.IgnoreTemplate.html","title":"GitHub.Git.IgnoreTemplate","type":"module"},{"doc":"","ref":"GitHub.Git.IgnoreTemplate.html#t:t/0","title":"GitHub.Git.IgnoreTemplate.t/0","type":"type"},{"doc":"Provides struct and type for GitRef","ref":"GitHub.Git.Ref.html","title":"GitHub.Git.Ref","type":"module"},{"doc":"","ref":"GitHub.Git.Ref.html#t:t/0","title":"GitHub.Git.Ref.t/0","type":"type"},{"doc":"Provides struct and type for GitTag","ref":"GitHub.Git.Tag.html","title":"GitHub.Git.Tag","type":"module"},{"doc":"","ref":"GitHub.Git.Tag.html#t:t/0","title":"GitHub.Git.Tag.t/0","type":"type"},{"doc":"Provides struct and type for GitTree","ref":"GitHub.Git.Tree.html","title":"GitHub.Git.Tree","type":"module"},{"doc":"","ref":"GitHub.Git.Tree.html#t:t/0","title":"GitHub.Git.Tree.t/0","type":"type"},{"doc":"Provides struct and type for GitUser","ref":"GitHub.Git.User.html","title":"GitHub.Git.User","type":"module"},{"doc":"","ref":"GitHub.Git.User.html#t:t/0","title":"GitHub.Git.User.t/0","type":"type"},{"doc":"Provides struct and type for GlobalAdvisory","ref":"GitHub.GlobalAdvisory.html","title":"GitHub.GlobalAdvisory","type":"module"},{"doc":"","ref":"GitHub.GlobalAdvisory.html#t:t/0","title":"GitHub.GlobalAdvisory.t/0","type":"type"},{"doc":"Provides struct and type for GpgKey","ref":"GitHub.GpgKey.html","title":"GitHub.GpgKey","type":"module"},{"doc":"","ref":"GitHub.GpgKey.html#t:t/0","title":"GitHub.GpgKey.t/0","type":"type"},{"doc":"Provides struct and type for Hook","ref":"GitHub.Hook.html","title":"GitHub.Hook","type":"module"},{"doc":"","ref":"GitHub.Hook.html#t:t/0","title":"GitHub.Hook.t/0","type":"type"},{"doc":"Provides struct and type for HookDelivery","ref":"GitHub.Hook.Delivery.html","title":"GitHub.Hook.Delivery","type":"module"},{"doc":"","ref":"GitHub.Hook.Delivery.html#t:t/0","title":"GitHub.Hook.Delivery.t/0","type":"type"},{"doc":"Provides struct and type for HookDeliveryItem","ref":"GitHub.Hook.DeliveryItem.html","title":"GitHub.Hook.DeliveryItem","type":"module"},{"doc":"","ref":"GitHub.Hook.DeliveryItem.html#t:t/0","title":"GitHub.Hook.DeliveryItem.t/0","type":"type"},{"doc":"Provides struct and type for HookResponse","ref":"GitHub.Hook.Response.html","title":"GitHub.Hook.Response","type":"module"},{"doc":"","ref":"GitHub.Hook.Response.html#t:t/0","title":"GitHub.Hook.Response.t/0","type":"type"},{"doc":"Provides struct and type for Hovercard","ref":"GitHub.Hovercard.html","title":"GitHub.Hovercard","type":"module"},{"doc":"","ref":"GitHub.Hovercard.html#t:t/0","title":"GitHub.Hovercard.t/0","type":"type"},{"doc":"Provides struct and type for Import","ref":"GitHub.Import.html","title":"GitHub.Import","type":"module"},{"doc":"","ref":"GitHub.Import.html#t:t/0","title":"GitHub.Import.t/0","type":"type"},{"doc":"Provides struct and type for Installation","ref":"GitHub.Installation.html","title":"GitHub.Installation","type":"module"},{"doc":"","ref":"GitHub.Installation.html#t:t/0","title":"GitHub.Installation.t/0","type":"type"},{"doc":"Provides struct and type for InstallationToken","ref":"GitHub.Installation.Token.html","title":"GitHub.Installation.Token","type":"module"},{"doc":"","ref":"GitHub.Installation.Token.html#t:t/0","title":"GitHub.Installation.Token.t/0","type":"type"},{"doc":"Provides struct and type for InteractionExpiry","ref":"GitHub.Interaction.Expiry.html","title":"GitHub.Interaction.Expiry","type":"module"},{"doc":"","ref":"GitHub.Interaction.Expiry.html#t:t/0","title":"GitHub.Interaction.Expiry.t/0","type":"type"},{"doc":"Provides struct and type for InteractionGroup","ref":"GitHub.Interaction.Group.html","title":"GitHub.Interaction.Group","type":"module"},{"doc":"","ref":"GitHub.Interaction.Group.html#t:t/0","title":"GitHub.Interaction.Group.t/0","type":"type"},{"doc":"Provides struct and type for InteractionLimit","ref":"GitHub.Interaction.Limit.html","title":"GitHub.Interaction.Limit","type":"module"},{"doc":"","ref":"GitHub.Interaction.Limit.html#t:t/0","title":"GitHub.Interaction.Limit.t/0","type":"type"},{"doc":"Provides struct and type for InteractionLimitResponse","ref":"GitHub.Interaction.Limit.Response.html","title":"GitHub.Interaction.Limit.Response","type":"module"},{"doc":"","ref":"GitHub.Interaction.Limit.Response.html#t:t/0","title":"GitHub.Interaction.Limit.Response.t/0","type":"type"},{"doc":"Provides struct and type for Issue","ref":"GitHub.Issue.html","title":"GitHub.Issue","type":"module"},{"doc":"","ref":"GitHub.Issue.html#t:t/0","title":"GitHub.Issue.t/0","type":"type"},{"doc":"Provides struct and type for IssueComment","ref":"GitHub.Issue.Comment.html","title":"GitHub.Issue.Comment","type":"module"},{"doc":"","ref":"GitHub.Issue.Comment.html#t:t/0","title":"GitHub.Issue.Comment.t/0","type":"type"},{"doc":"Provides struct and type for IssueEvent","ref":"GitHub.Issue.Event.html","title":"GitHub.Issue.Event","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.html#t:t/0","title":"GitHub.Issue.Event.t/0","type":"type"},{"doc":"Provides struct and type for IssueEventDismissedReview","ref":"GitHub.Issue.EventDismissedReview.html","title":"GitHub.Issue.EventDismissedReview","type":"module"},{"doc":"","ref":"GitHub.Issue.EventDismissedReview.html#t:t/0","title":"GitHub.Issue.EventDismissedReview.t/0","type":"type"},{"doc":"Provides struct and type for IssueEventForIssue","ref":"GitHub.Issue.EventForIssue.html","title":"GitHub.Issue.EventForIssue","type":"module"},{"doc":"","ref":"GitHub.Issue.EventForIssue.html#t:t/0","title":"GitHub.Issue.EventForIssue.t/0","type":"type"},{"doc":"Provides struct and type for IssueEventLabel","ref":"GitHub.Issue.EventLabel.html","title":"GitHub.Issue.EventLabel","type":"module"},{"doc":"","ref":"GitHub.Issue.EventLabel.html#t:t/0","title":"GitHub.Issue.EventLabel.t/0","type":"type"},{"doc":"Provides struct and type for IssueEventMilestone","ref":"GitHub.Issue.EventMilestone.html","title":"GitHub.Issue.EventMilestone","type":"module"},{"doc":"","ref":"GitHub.Issue.EventMilestone.html#t:t/0","title":"GitHub.Issue.EventMilestone.t/0","type":"type"},{"doc":"Provides struct and type for IssueEventProjectCard","ref":"GitHub.Issue.EventProjectCard.html","title":"GitHub.Issue.EventProjectCard","type":"module"},{"doc":"","ref":"GitHub.Issue.EventProjectCard.html#t:t/0","title":"GitHub.Issue.EventProjectCard.t/0","type":"type"},{"doc":"Provides struct and type for IssueEventRename","ref":"GitHub.Issue.EventRename.html","title":"GitHub.Issue.EventRename","type":"module"},{"doc":"","ref":"GitHub.Issue.EventRename.html#t:t/0","title":"GitHub.Issue.EventRename.t/0","type":"type"},{"doc":"Provides struct and type for IssueSearchResultItem","ref":"GitHub.Issue.SearchResultItem.html","title":"GitHub.Issue.SearchResultItem","type":"module"},{"doc":"","ref":"GitHub.Issue.SearchResultItem.html#t:t/0","title":"GitHub.Issue.SearchResultItem.t/0","type":"type"},{"doc":"Provides struct and types for Key, KeySimple","ref":"GitHub.Key.html","title":"GitHub.Key","type":"module"},{"doc":"","ref":"GitHub.Key.html#t:simple/0","title":"GitHub.Key.simple/0","type":"type"},{"doc":"","ref":"GitHub.Key.html#t:t/0","title":"GitHub.Key.t/0","type":"type"},{"doc":"Provides struct and type for Label","ref":"GitHub.Label.html","title":"GitHub.Label","type":"module"},{"doc":"","ref":"GitHub.Label.html#t:t/0","title":"GitHub.Label.t/0","type":"type"},{"doc":"Provides struct and type for LabelSearchResultItem","ref":"GitHub.LabelSearchResultItem.html","title":"GitHub.LabelSearchResultItem","type":"module"},{"doc":"","ref":"GitHub.LabelSearchResultItem.html#t:t/0","title":"GitHub.LabelSearchResultItem.t/0","type":"type"},{"doc":"Provides struct and type for LabeledIssueEvent","ref":"GitHub.LabeledIssueEvent.html","title":"GitHub.LabeledIssueEvent","type":"module"},{"doc":"","ref":"GitHub.LabeledIssueEvent.html#t:t/0","title":"GitHub.LabeledIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for Language","ref":"GitHub.Language.html","title":"GitHub.Language","type":"module"},{"doc":"","ref":"GitHub.Language.html#t:t/0","title":"GitHub.Language.t/0","type":"type"},{"doc":"Provides struct and types for License, LicenseSimple","ref":"GitHub.License.html","title":"GitHub.License","type":"module"},{"doc":"","ref":"GitHub.License.html#t:simple/0","title":"GitHub.License.simple/0","type":"type"},{"doc":"","ref":"GitHub.License.html#t:t/0","title":"GitHub.License.t/0","type":"type"},{"doc":"Provides struct and type for LicenseContent","ref":"GitHub.License.Content.html","title":"GitHub.License.Content","type":"module"},{"doc":"","ref":"GitHub.License.Content.html#t:t/0","title":"GitHub.License.Content.t/0","type":"type"},{"doc":"Provides struct and type for Link","ref":"GitHub.Link.html","title":"GitHub.Link","type":"module"},{"doc":"","ref":"GitHub.Link.html#t:t/0","title":"GitHub.Link.t/0","type":"type"},{"doc":"Provides struct and type for LinkWithType","ref":"GitHub.LinkWithType.html","title":"GitHub.LinkWithType","type":"module"},{"doc":"","ref":"GitHub.LinkWithType.html#t:t/0","title":"GitHub.LinkWithType.t/0","type":"type"},{"doc":"Provides struct and type for LockedIssueEvent","ref":"GitHub.LockedIssueEvent.html","title":"GitHub.LockedIssueEvent","type":"module"},{"doc":"","ref":"GitHub.LockedIssueEvent.html#t:t/0","title":"GitHub.LockedIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for Manifest","ref":"GitHub.Manifest.html","title":"GitHub.Manifest","type":"module"},{"doc":"","ref":"GitHub.Manifest.html#t:t/0","title":"GitHub.Manifest.t/0","type":"type"},{"doc":"Provides struct and type for MarketplaceAccount","ref":"GitHub.Marketplace.Account.html","title":"GitHub.Marketplace.Account","type":"module"},{"doc":"","ref":"GitHub.Marketplace.Account.html#t:t/0","title":"GitHub.Marketplace.Account.t/0","type":"type"},{"doc":"Provides struct and type for MarketplaceListingPlan","ref":"GitHub.Marketplace.ListingPlan.html","title":"GitHub.Marketplace.ListingPlan","type":"module"},{"doc":"","ref":"GitHub.Marketplace.ListingPlan.html#t:t/0","title":"GitHub.Marketplace.ListingPlan.t/0","type":"type"},{"doc":"Provides struct and type for MarketplacePurchase","ref":"GitHub.Marketplace.Purchase.html","title":"GitHub.Marketplace.Purchase","type":"module"},{"doc":"","ref":"GitHub.Marketplace.Purchase.html#t:t/0","title":"GitHub.Marketplace.Purchase.t/0","type":"type"},{"doc":"Provides struct and type for MergedUpstream","ref":"GitHub.MergedUpstream.html","title":"GitHub.MergedUpstream","type":"module"},{"doc":"","ref":"GitHub.MergedUpstream.html#t:t/0","title":"GitHub.MergedUpstream.t/0","type":"type"},{"doc":"Provides struct and type for Metadata","ref":"GitHub.Metadata.html","title":"GitHub.Metadata","type":"module"},{"doc":"","ref":"GitHub.Metadata.html#t:t/0","title":"GitHub.Metadata.t/0","type":"type"},{"doc":"Provides struct and type for Migration","ref":"GitHub.Migration.html","title":"GitHub.Migration","type":"module"},{"doc":"","ref":"GitHub.Migration.html#t:t/0","title":"GitHub.Migration.t/0","type":"type"},{"doc":"Provides struct and type for Milestone","ref":"GitHub.Milestone.html","title":"GitHub.Milestone","type":"module"},{"doc":"","ref":"GitHub.Milestone.html#t:t/0","title":"GitHub.Milestone.t/0","type":"type"},{"doc":"Provides struct and type for MilestonedIssueEvent","ref":"GitHub.MilestonedIssueEvent.html","title":"GitHub.MilestonedIssueEvent","type":"module"},{"doc":"","ref":"GitHub.MilestonedIssueEvent.html#t:t/0","title":"GitHub.MilestonedIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for MovedColumnInProjectIssueEvent","ref":"GitHub.MovedColumnInProjectIssueEvent.html","title":"GitHub.MovedColumnInProjectIssueEvent","type":"module"},{"doc":"","ref":"GitHub.MovedColumnInProjectIssueEvent.html#t:t/0","title":"GitHub.MovedColumnInProjectIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for OidcCustomSub","ref":"GitHub.OIDCCustomSub.html","title":"GitHub.OIDCCustomSub","type":"module"},{"doc":"","ref":"GitHub.OIDCCustomSub.html#t:t/0","title":"GitHub.OIDCCustomSub.t/0","type":"type"},{"doc":"Provides struct and type for OidcCustomSubRepo","ref":"GitHub.OIDCCustomSubRepo.html","title":"GitHub.OIDCCustomSubRepo","type":"module"},{"doc":"","ref":"GitHub.OIDCCustomSubRepo.html#t:t/0","title":"GitHub.OIDCCustomSubRepo.t/0","type":"type"},{"doc":"Provides struct and type for OrgHook","ref":"GitHub.OrgHook.html","title":"GitHub.OrgHook","type":"module"},{"doc":"","ref":"GitHub.OrgHook.html#t:t/0","title":"GitHub.OrgHook.t/0","type":"type"},{"doc":"Provides struct and type for OrgMembership","ref":"GitHub.OrgMembership.html","title":"GitHub.OrgMembership","type":"module"},{"doc":"","ref":"GitHub.OrgMembership.html#t:t/0","title":"GitHub.OrgMembership.t/0","type":"type"},{"doc":"Provides struct and type for OrgRulesetConditions","ref":"GitHub.OrgRuleset.Conditions.html","title":"GitHub.OrgRuleset.Conditions","type":"module"},{"doc":"","ref":"GitHub.OrgRuleset.Conditions.html#t:t/0","title":"GitHub.OrgRuleset.Conditions.t/0","type":"type"},{"doc":"Provides struct and types for OrganizationFull, OrganizationSimple","ref":"GitHub.Organization.html","title":"GitHub.Organization","type":"module"},{"doc":"","ref":"GitHub.Organization.html#t:full/0","title":"GitHub.Organization.full/0","type":"type"},{"doc":"","ref":"GitHub.Organization.html#t:simple/0","title":"GitHub.Organization.simple/0","type":"type"},{"doc":"Provides struct and type for OrganizationActionsSecret","ref":"GitHub.Organization.ActionsSecret.html","title":"GitHub.Organization.ActionsSecret","type":"module"},{"doc":"","ref":"GitHub.Organization.ActionsSecret.html#t:t/0","title":"GitHub.Organization.ActionsSecret.t/0","type":"type"},{"doc":"Provides struct and type for OrganizationActionsVariable","ref":"GitHub.Organization.ActionsVariable.html","title":"GitHub.Organization.ActionsVariable","type":"module"},{"doc":"","ref":"GitHub.Organization.ActionsVariable.html#t:t/0","title":"GitHub.Organization.ActionsVariable.t/0","type":"type"},{"doc":"Provides struct and type for OrganizationDependabotSecret","ref":"GitHub.Organization.DependabotSecret.html","title":"GitHub.Organization.DependabotSecret","type":"module"},{"doc":"","ref":"GitHub.Organization.DependabotSecret.html#t:t/0","title":"GitHub.Organization.DependabotSecret.t/0","type":"type"},{"doc":"Provides struct and type for OrganizationInvitation","ref":"GitHub.Organization.Invitation.html","title":"GitHub.Organization.Invitation","type":"module"},{"doc":"","ref":"GitHub.Organization.Invitation.html#t:t/0","title":"GitHub.Organization.Invitation.t/0","type":"type"},{"doc":"Provides struct and type for OrganizationProgrammaticAccessGrant","ref":"GitHub.Organization.ProgrammaticAccessGrant.html","title":"GitHub.Organization.ProgrammaticAccessGrant","type":"module"},{"doc":"","ref":"GitHub.Organization.ProgrammaticAccessGrant.html#t:t/0","title":"GitHub.Organization.ProgrammaticAccessGrant.t/0","type":"type"},{"doc":"Provides struct and type for OrganizationProgrammaticAccessGrantRequest","ref":"GitHub.Organization.ProgrammaticAccessGrant.Request.html","title":"GitHub.Organization.ProgrammaticAccessGrant.Request","type":"module"},{"doc":"","ref":"GitHub.Organization.ProgrammaticAccessGrant.Request.html#t:t/0","title":"GitHub.Organization.ProgrammaticAccessGrant.Request.t/0","type":"type"},{"doc":"Provides struct and type for OrganizationSecretScanningAlert","ref":"GitHub.Organization.SecretScanningAlert.html","title":"GitHub.Organization.SecretScanningAlert","type":"module"},{"doc":"","ref":"GitHub.Organization.SecretScanningAlert.html#t:t/0","title":"GitHub.Organization.SecretScanningAlert.t/0","type":"type"},{"doc":"Provides struct and type for Package","ref":"GitHub.Package.html","title":"GitHub.Package","type":"module"},{"doc":"","ref":"GitHub.Package.html#t:t/0","title":"GitHub.Package.t/0","type":"type"},{"doc":"Provides struct and type for PackageVersion","ref":"GitHub.PackageVersion.html","title":"GitHub.PackageVersion","type":"module"},{"doc":"","ref":"GitHub.PackageVersion.html#t:t/0","title":"GitHub.PackageVersion.t/0","type":"type"},{"doc":"Provides struct and type for PackagesBillingUsage","ref":"GitHub.PackagesBillingUsage.html","title":"GitHub.PackagesBillingUsage","type":"module"},{"doc":"","ref":"GitHub.PackagesBillingUsage.html#t:t/0","title":"GitHub.PackagesBillingUsage.t/0","type":"type"},{"doc":"Provides struct and type for Page","ref":"GitHub.Page.html","title":"GitHub.Page","type":"module"},{"doc":"","ref":"GitHub.Page.html#t:t/0","title":"GitHub.Page.t/0","type":"type"},{"doc":"Provides struct and type for PageBuild","ref":"GitHub.Pages.Build.html","title":"GitHub.Pages.Build","type":"module"},{"doc":"","ref":"GitHub.Pages.Build.html#t:t/0","title":"GitHub.Pages.Build.t/0","type":"type"},{"doc":"Provides struct and type for PageBuildStatus","ref":"GitHub.Pages.BuildStatus.html","title":"GitHub.Pages.BuildStatus","type":"module"},{"doc":"","ref":"GitHub.Pages.BuildStatus.html#t:t/0","title":"GitHub.Pages.BuildStatus.t/0","type":"type"},{"doc":"Provides struct and type for PageDeployment","ref":"GitHub.Pages.Deployment.html","title":"GitHub.Pages.Deployment","type":"module"},{"doc":"","ref":"GitHub.Pages.Deployment.html#t:t/0","title":"GitHub.Pages.Deployment.t/0","type":"type"},{"doc":"Provides struct and type for PagesHealthCheck","ref":"GitHub.Pages.HealthCheck.html","title":"GitHub.Pages.HealthCheck","type":"module"},{"doc":"","ref":"GitHub.Pages.HealthCheck.html#t:t/0","title":"GitHub.Pages.HealthCheck.t/0","type":"type"},{"doc":"Provides struct and type for PagesHttpsCertificate","ref":"GitHub.Pages.HttpsCertificate.html","title":"GitHub.Pages.HttpsCertificate","type":"module"},{"doc":"","ref":"GitHub.Pages.HttpsCertificate.html#t:t/0","title":"GitHub.Pages.HttpsCertificate.t/0","type":"type"},{"doc":"Provides struct and type for PagesSourceHash","ref":"GitHub.Pages.SourceHash.html","title":"GitHub.Pages.SourceHash","type":"module"},{"doc":"","ref":"GitHub.Pages.SourceHash.html#t:t/0","title":"GitHub.Pages.SourceHash.t/0","type":"type"},{"doc":"Provides struct and type for ParticipationStats","ref":"GitHub.ParticipationStats.html","title":"GitHub.ParticipationStats","type":"module"},{"doc":"","ref":"GitHub.ParticipationStats.html#t:t/0","title":"GitHub.ParticipationStats.t/0","type":"type"},{"doc":"Provides struct and type for PendingDeployment","ref":"GitHub.PendingDeployment.html","title":"GitHub.PendingDeployment","type":"module"},{"doc":"","ref":"GitHub.PendingDeployment.html#t:t/0","title":"GitHub.PendingDeployment.t/0","type":"type"},{"doc":"Provides struct and type for PorterAuthor","ref":"GitHub.PorterAuthor.html","title":"GitHub.PorterAuthor","type":"module"},{"doc":"","ref":"GitHub.PorterAuthor.html#t:t/0","title":"GitHub.PorterAuthor.t/0","type":"type"},{"doc":"Provides struct and type for PorterLargeFile","ref":"GitHub.PorterLargeFile.html","title":"GitHub.PorterLargeFile","type":"module"},{"doc":"","ref":"GitHub.PorterLargeFile.html#t:t/0","title":"GitHub.PorterLargeFile.t/0","type":"type"},{"doc":"Provides struct and type for PrivateVulnerabilityReportCreate","ref":"GitHub.PrivateVulnerabilityReport.Create.html","title":"GitHub.PrivateVulnerabilityReport.Create","type":"module"},{"doc":"","ref":"GitHub.PrivateVulnerabilityReport.Create.html#t:t/0","title":"GitHub.PrivateVulnerabilityReport.Create.t/0","type":"type"},{"doc":"Provides struct and type for Project","ref":"GitHub.Project.html","title":"GitHub.Project","type":"module"},{"doc":"","ref":"GitHub.Project.html#t:t/0","title":"GitHub.Project.t/0","type":"type"},{"doc":"Provides struct and type for ProjectCard","ref":"GitHub.Project.Card.html","title":"GitHub.Project.Card","type":"module"},{"doc":"","ref":"GitHub.Project.Card.html#t:t/0","title":"GitHub.Project.Card.t/0","type":"type"},{"doc":"Provides struct and type for ProjectCollaboratorPermission","ref":"GitHub.Project.CollaboratorPermission.html","title":"GitHub.Project.CollaboratorPermission","type":"module"},{"doc":"","ref":"GitHub.Project.CollaboratorPermission.html#t:t/0","title":"GitHub.Project.CollaboratorPermission.t/0","type":"type"},{"doc":"Provides struct and type for ProjectColumn","ref":"GitHub.Project.Column.html","title":"GitHub.Project.Column","type":"module"},{"doc":"","ref":"GitHub.Project.Column.html#t:t/0","title":"GitHub.Project.Column.t/0","type":"type"},{"doc":"Provides struct and type for ProtectedBranch","ref":"GitHub.ProtectedBranch.html","title":"GitHub.ProtectedBranch","type":"module"},{"doc":"","ref":"GitHub.ProtectedBranch.html#t:t/0","title":"GitHub.ProtectedBranch.t/0","type":"type"},{"doc":"Provides struct and type for ProtectedBranchAdminEnforced","ref":"GitHub.ProtectedBranch.AdminEnforced.html","title":"GitHub.ProtectedBranch.AdminEnforced","type":"module"},{"doc":"","ref":"GitHub.ProtectedBranch.AdminEnforced.html#t:t/0","title":"GitHub.ProtectedBranch.AdminEnforced.t/0","type":"type"},{"doc":"Provides struct and type for ProtectedBranchPullRequestReview","ref":"GitHub.ProtectedBranch.PullRequestReview.html","title":"GitHub.ProtectedBranch.PullRequestReview","type":"module"},{"doc":"","ref":"GitHub.ProtectedBranch.PullRequestReview.html#t:t/0","title":"GitHub.ProtectedBranch.PullRequestReview.t/0","type":"type"},{"doc":"Provides struct and type for ProtectedBranchRequiredStatusCheck","ref":"GitHub.ProtectedBranch.RequiredStatusCheck.html","title":"GitHub.ProtectedBranch.RequiredStatusCheck","type":"module"},{"doc":"","ref":"GitHub.ProtectedBranch.RequiredStatusCheck.html#t:t/0","title":"GitHub.ProtectedBranch.RequiredStatusCheck.t/0","type":"type"},{"doc":"Provides struct and types for PullRequest, PullRequestMinimal, PullRequestSimple","ref":"GitHub.PullRequest.html","title":"GitHub.PullRequest","type":"module"},{"doc":"","ref":"GitHub.PullRequest.html#t:minimal/0","title":"GitHub.PullRequest.minimal/0","type":"type"},{"doc":"","ref":"GitHub.PullRequest.html#t:simple/0","title":"GitHub.PullRequest.simple/0","type":"type"},{"doc":"","ref":"GitHub.PullRequest.html#t:t/0","title":"GitHub.PullRequest.t/0","type":"type"},{"doc":"Provides struct and type for PullRequestMergeResult","ref":"GitHub.PullRequest.MergeResult.html","title":"GitHub.PullRequest.MergeResult","type":"module"},{"doc":"","ref":"GitHub.PullRequest.MergeResult.html#t:t/0","title":"GitHub.PullRequest.MergeResult.t/0","type":"type"},{"doc":"Provides struct and type for PullRequestReview","ref":"GitHub.PullRequest.Review.html","title":"GitHub.PullRequest.Review","type":"module"},{"doc":"","ref":"GitHub.PullRequest.Review.html#t:t/0","title":"GitHub.PullRequest.Review.t/0","type":"type"},{"doc":"Provides struct and type for PullRequestReviewComment","ref":"GitHub.PullRequest.ReviewComment.html","title":"GitHub.PullRequest.ReviewComment","type":"module"},{"doc":"","ref":"GitHub.PullRequest.ReviewComment.html#t:t/0","title":"GitHub.PullRequest.ReviewComment.t/0","type":"type"},{"doc":"Provides struct and type for PullRequestReviewRequest","ref":"GitHub.PullRequest.ReviewRequest.html","title":"GitHub.PullRequest.ReviewRequest","type":"module"},{"doc":"","ref":"GitHub.PullRequest.ReviewRequest.html#t:t/0","title":"GitHub.PullRequest.ReviewRequest.t/0","type":"type"},{"doc":"Provides struct and type for RateLimitOverview","ref":"GitHub.RateLimit.Overview.html","title":"GitHub.RateLimit.Overview","type":"module"},{"doc":"","ref":"GitHub.RateLimit.Overview.html#t:t/0","title":"GitHub.RateLimit.Overview.t/0","type":"type"},{"doc":"Provides struct and type for Reaction","ref":"GitHub.Reaction.html","title":"GitHub.Reaction","type":"module"},{"doc":"","ref":"GitHub.Reaction.html#t:t/0","title":"GitHub.Reaction.t/0","type":"type"},{"doc":"Provides struct and type for ReactionRollup","ref":"GitHub.Reaction.Rollup.html","title":"GitHub.Reaction.Rollup","type":"module"},{"doc":"","ref":"GitHub.Reaction.Rollup.html#t:t/0","title":"GitHub.Reaction.Rollup.t/0","type":"type"},{"doc":"Provides struct and type for ReferencedWorkflow","ref":"GitHub.ReferencedWorkflow.html","title":"GitHub.ReferencedWorkflow","type":"module"},{"doc":"","ref":"GitHub.ReferencedWorkflow.html#t:t/0","title":"GitHub.ReferencedWorkflow.t/0","type":"type"},{"doc":"Provides struct and type for ReferrerTraffic","ref":"GitHub.ReferrerTraffic.html","title":"GitHub.ReferrerTraffic","type":"module"},{"doc":"","ref":"GitHub.ReferrerTraffic.html#t:t/0","title":"GitHub.ReferrerTraffic.t/0","type":"type"},{"doc":"Provides struct and type for Release","ref":"GitHub.Release.html","title":"GitHub.Release","type":"module"},{"doc":"","ref":"GitHub.Release.html#t:t/0","title":"GitHub.Release.t/0","type":"type"},{"doc":"Provides struct and type for ReleaseAsset","ref":"GitHub.Release.Asset.html","title":"GitHub.Release.Asset","type":"module"},{"doc":"","ref":"GitHub.Release.Asset.html#t:t/0","title":"GitHub.Release.Asset.t/0","type":"type"},{"doc":"Provides struct and type for ReleaseNotesContent","ref":"GitHub.Release.NotesContent.html","title":"GitHub.Release.NotesContent","type":"module"},{"doc":"","ref":"GitHub.Release.NotesContent.html#t:t/0","title":"GitHub.Release.NotesContent.t/0","type":"type"},{"doc":"Provides struct and type for RemovedFromProjectIssueEvent","ref":"GitHub.RemovedFromProjectIssueEvent.html","title":"GitHub.RemovedFromProjectIssueEvent","type":"module"},{"doc":"","ref":"GitHub.RemovedFromProjectIssueEvent.html#t:t/0","title":"GitHub.RemovedFromProjectIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for RenamedIssueEvent","ref":"GitHub.RenamedIssueEvent.html","title":"GitHub.RenamedIssueEvent","type":"module"},{"doc":"","ref":"GitHub.RenamedIssueEvent.html#t:t/0","title":"GitHub.RenamedIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for RepoCodespacesSecret","ref":"GitHub.RepoCodespacesSecret.html","title":"GitHub.RepoCodespacesSecret","type":"module"},{"doc":"","ref":"GitHub.RepoCodespacesSecret.html#t:t/0","title":"GitHub.RepoCodespacesSecret.t/0","type":"type"},{"doc":"Provides struct and type for RepoSearchResultItem","ref":"GitHub.RepoSearchResultItem.html","title":"GitHub.RepoSearchResultItem","type":"module"},{"doc":"","ref":"GitHub.RepoSearchResultItem.html#t:t/0","title":"GitHub.RepoSearchResultItem.t/0","type":"type"},{"doc":"Provides struct and types for FullRepository, MinimalRepository, Repository, SimpleRepository","ref":"GitHub.Repository.html","title":"GitHub.Repository","type":"module"},{"doc":"","ref":"GitHub.Repository.html#t:full/0","title":"GitHub.Repository.full/0","type":"type"},{"doc":"","ref":"GitHub.Repository.html#t:minimal/0","title":"GitHub.Repository.minimal/0","type":"type"},{"doc":"","ref":"GitHub.Repository.html#t:simple/0","title":"GitHub.Repository.simple/0","type":"type"},{"doc":"","ref":"GitHub.Repository.html#t:t/0","title":"GitHub.Repository.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryAdvisory","ref":"GitHub.Repository.Advisory.html","title":"GitHub.Repository.Advisory","type":"module"},{"doc":"","ref":"GitHub.Repository.Advisory.html#t:t/0","title":"GitHub.Repository.Advisory.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryAdvisoryCreate","ref":"GitHub.Repository.Advisory.Create.html","title":"GitHub.Repository.Advisory.Create","type":"module"},{"doc":"","ref":"GitHub.Repository.Advisory.Create.html#t:t/0","title":"GitHub.Repository.Advisory.Create.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryAdvisoryCredit","ref":"GitHub.Repository.Advisory.Credit.html","title":"GitHub.Repository.Advisory.Credit","type":"module"},{"doc":"","ref":"GitHub.Repository.Advisory.Credit.html#t:t/0","title":"GitHub.Repository.Advisory.Credit.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryAdvisoryUpdate","ref":"GitHub.Repository.Advisory.Update.html","title":"GitHub.Repository.Advisory.Update","type":"module"},{"doc":"","ref":"GitHub.Repository.Advisory.Update.html#t:t/0","title":"GitHub.Repository.Advisory.Update.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryAdvisoryVulnerability","ref":"GitHub.Repository.Advisory.Vulnerability.html","title":"GitHub.Repository.Advisory.Vulnerability","type":"module"},{"doc":"","ref":"GitHub.Repository.Advisory.Vulnerability.html#t:t/0","title":"GitHub.Repository.Advisory.Vulnerability.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryCollaboratorPermission","ref":"GitHub.Repository.CollaboratorPermission.html","title":"GitHub.Repository.CollaboratorPermission","type":"module"},{"doc":"","ref":"GitHub.Repository.CollaboratorPermission.html#t:t/0","title":"GitHub.Repository.CollaboratorPermission.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryInvitation","ref":"GitHub.Repository.Invitation.html","title":"GitHub.Repository.Invitation","type":"module"},{"doc":"","ref":"GitHub.Repository.Invitation.html#t:t/0","title":"GitHub.Repository.Invitation.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRule","ref":"GitHub.Repository.Rule.html","title":"GitHub.Repository.Rule","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.html#t:t/0","title":"GitHub.Repository.Rule.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleBranchNamePattern","ref":"GitHub.Repository.Rule.BranchNamePattern.html","title":"GitHub.Repository.Rule.BranchNamePattern","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.BranchNamePattern.html#t:t/0","title":"GitHub.Repository.Rule.BranchNamePattern.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleCommitAuthorEmailPattern","ref":"GitHub.Repository.Rule.CommitAuthorEmailPattern.html","title":"GitHub.Repository.Rule.CommitAuthorEmailPattern","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.CommitAuthorEmailPattern.html#t:t/0","title":"GitHub.Repository.Rule.CommitAuthorEmailPattern.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleCommitMessagePattern","ref":"GitHub.Repository.Rule.CommitMessagePattern.html","title":"GitHub.Repository.Rule.CommitMessagePattern","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.CommitMessagePattern.html#t:t/0","title":"GitHub.Repository.Rule.CommitMessagePattern.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleCommitterEmailPattern","ref":"GitHub.Repository.Rule.CommitterEmailPattern.html","title":"GitHub.Repository.Rule.CommitterEmailPattern","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.CommitterEmailPattern.html#t:t/0","title":"GitHub.Repository.Rule.CommitterEmailPattern.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleCreation","ref":"GitHub.Repository.Rule.Creation.html","title":"GitHub.Repository.Rule.Creation","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.Creation.html#t:t/0","title":"GitHub.Repository.Rule.Creation.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleDeletion","ref":"GitHub.Repository.Rule.Deletion.html","title":"GitHub.Repository.Rule.Deletion","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.Deletion.html#t:t/0","title":"GitHub.Repository.Rule.Deletion.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleDetailed","ref":"GitHub.Repository.Rule.Detailed.html","title":"GitHub.Repository.Rule.Detailed","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.Detailed.html#t:t/0","title":"GitHub.Repository.Rule.Detailed.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleEnforcement","ref":"GitHub.Repository.Rule.Enforcement.html","title":"GitHub.Repository.Rule.Enforcement","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.Enforcement.html#t:t/0","title":"GitHub.Repository.Rule.Enforcement.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleNonFastForward","ref":"GitHub.Repository.Rule.NonFastForward.html","title":"GitHub.Repository.Rule.NonFastForward","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.NonFastForward.html#t:t/0","title":"GitHub.Repository.Rule.NonFastForward.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleParamsStatusCheckConfiguration","ref":"GitHub.Repository.Rule.ParamsStatusCheckConfiguration.html","title":"GitHub.Repository.Rule.ParamsStatusCheckConfiguration","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.ParamsStatusCheckConfiguration.html#t:t/0","title":"GitHub.Repository.Rule.ParamsStatusCheckConfiguration.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRulePullRequest","ref":"GitHub.Repository.Rule.PullRequest.html","title":"GitHub.Repository.Rule.PullRequest","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.PullRequest.html#t:t/0","title":"GitHub.Repository.Rule.PullRequest.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleRequiredDeployments","ref":"GitHub.Repository.Rule.RequiredDeployments.html","title":"GitHub.Repository.Rule.RequiredDeployments","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.RequiredDeployments.html#t:t/0","title":"GitHub.Repository.Rule.RequiredDeployments.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleRequiredLinearHistory","ref":"GitHub.Repository.Rule.RequiredLinearHistory.html","title":"GitHub.Repository.Rule.RequiredLinearHistory","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.RequiredLinearHistory.html#t:t/0","title":"GitHub.Repository.Rule.RequiredLinearHistory.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleRequiredSignatures","ref":"GitHub.Repository.Rule.RequiredSignatures.html","title":"GitHub.Repository.Rule.RequiredSignatures","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.RequiredSignatures.html#t:t/0","title":"GitHub.Repository.Rule.RequiredSignatures.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleRequiredStatusChecks","ref":"GitHub.Repository.Rule.RequiredStatusChecks.html","title":"GitHub.Repository.Rule.RequiredStatusChecks","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.RequiredStatusChecks.html#t:t/0","title":"GitHub.Repository.Rule.RequiredStatusChecks.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleRulesetInfo","ref":"GitHub.Repository.Rule.RulesetInfo.html","title":"GitHub.Repository.Rule.RulesetInfo","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.RulesetInfo.html#t:t/0","title":"GitHub.Repository.Rule.RulesetInfo.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleTagNamePattern","ref":"GitHub.Repository.Rule.TagNamePattern.html","title":"GitHub.Repository.Rule.TagNamePattern","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.TagNamePattern.html#t:t/0","title":"GitHub.Repository.Rule.TagNamePattern.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleUpdate","ref":"GitHub.Repository.Rule.Update.html","title":"GitHub.Repository.Rule.Update","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.Update.html#t:t/0","title":"GitHub.Repository.Rule.Update.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRuleset","ref":"GitHub.Repository.Ruleset.html","title":"GitHub.Repository.Ruleset","type":"module"},{"doc":"","ref":"GitHub.Repository.Ruleset.html#t:t/0","title":"GitHub.Repository.Ruleset.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRulesetBypassActor","ref":"GitHub.Repository.Ruleset.BypassActor.html","title":"GitHub.Repository.Ruleset.BypassActor","type":"module"},{"doc":"","ref":"GitHub.Repository.Ruleset.BypassActor.html#t:t/0","title":"GitHub.Repository.Ruleset.BypassActor.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRulesetConditions","ref":"GitHub.Repository.Ruleset.Conditions.html","title":"GitHub.Repository.Ruleset.Conditions","type":"module"},{"doc":"","ref":"GitHub.Repository.Ruleset.Conditions.html#t:t/0","title":"GitHub.Repository.Ruleset.Conditions.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRulesetConditionsRepositoryIdTarget","ref":"GitHub.Repository.Ruleset.ConditionsRepositoryIdTarget.html","title":"GitHub.Repository.Ruleset.ConditionsRepositoryIdTarget","type":"module"},{"doc":"","ref":"GitHub.Repository.Ruleset.ConditionsRepositoryIdTarget.html#t:t/0","title":"GitHub.Repository.Ruleset.ConditionsRepositoryIdTarget.t/0","type":"type"},{"doc":"Provides struct and type for RepositoryRulesetConditionsRepositoryNameTarget","ref":"GitHub.Repository.Ruleset.ConditionsRepositoryNameTarget.html","title":"GitHub.Repository.Ruleset.ConditionsRepositoryNameTarget","type":"module"},{"doc":"","ref":"GitHub.Repository.Ruleset.ConditionsRepositoryNameTarget.html#t:t/0","title":"GitHub.Repository.Ruleset.ConditionsRepositoryNameTarget.t/0","type":"type"},{"doc":"Provides struct and type for RepositorySubscription","ref":"GitHub.Repository.Subscription.html","title":"GitHub.Repository.Subscription","type":"module"},{"doc":"","ref":"GitHub.Repository.Subscription.html#t:t/0","title":"GitHub.Repository.Subscription.t/0","type":"type"},{"doc":"Provides struct and type for ReviewComment","ref":"GitHub.ReviewComment.html","title":"GitHub.ReviewComment","type":"module"},{"doc":"","ref":"GitHub.ReviewComment.html#t:t/0","title":"GitHub.ReviewComment.t/0","type":"type"},{"doc":"Provides struct and type for ReviewDismissedIssueEvent","ref":"GitHub.ReviewDismissedIssueEvent.html","title":"GitHub.ReviewDismissedIssueEvent","type":"module"},{"doc":"","ref":"GitHub.ReviewDismissedIssueEvent.html#t:t/0","title":"GitHub.ReviewDismissedIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for ReviewRequestRemovedIssueEvent","ref":"GitHub.ReviewRequestRemovedIssueEvent.html","title":"GitHub.ReviewRequestRemovedIssueEvent","type":"module"},{"doc":"","ref":"GitHub.ReviewRequestRemovedIssueEvent.html#t:t/0","title":"GitHub.ReviewRequestRemovedIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for ReviewRequestedIssueEvent","ref":"GitHub.ReviewRequestedIssueEvent.html","title":"GitHub.ReviewRequestedIssueEvent","type":"module"},{"doc":"","ref":"GitHub.ReviewRequestedIssueEvent.html#t:t/0","title":"GitHub.ReviewRequestedIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for Root","ref":"GitHub.Root.html","title":"GitHub.Root","type":"module"},{"doc":"","ref":"GitHub.Root.html#t:t/0","title":"GitHub.Root.t/0","type":"type"},{"doc":"Provides struct and type for ScimError","ref":"GitHub.SCIM.Error.html","title":"GitHub.SCIM.Error","type":"module"},{"doc":"","ref":"GitHub.SCIM.Error.html#t:t/0","title":"GitHub.SCIM.Error.t/0","type":"type"},{"doc":"Provides struct and type for SshSigningKey","ref":"GitHub.SSHSigningKey.html","title":"GitHub.SSHSigningKey","type":"module"},{"doc":"","ref":"GitHub.SSHSigningKey.html#t:t/0","title":"GitHub.SSHSigningKey.t/0","type":"type"},{"doc":"Provides struct and type for ScopedInstallation","ref":"GitHub.ScopedInstallation.html","title":"GitHub.ScopedInstallation","type":"module"},{"doc":"","ref":"GitHub.ScopedInstallation.html#t:t/0","title":"GitHub.ScopedInstallation.t/0","type":"type"},{"doc":"Provides struct and type for SearchResultTextMatches","ref":"GitHub.SearchResultTextMatches.html","title":"GitHub.SearchResultTextMatches","type":"module"},{"doc":"","ref":"GitHub.SearchResultTextMatches.html#t:t/0","title":"GitHub.SearchResultTextMatches.t/0","type":"type"},{"doc":"Provides struct and type for SecretScanningAlert","ref":"GitHub.SecretScanning.Alert.html","title":"GitHub.SecretScanning.Alert","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.Alert.html#t:t/0","title":"GitHub.SecretScanning.Alert.t/0","type":"type"},{"doc":"Provides struct and type for SecretScanningAlertResolution","ref":"GitHub.SecretScanning.AlertResolution.html","title":"GitHub.SecretScanning.AlertResolution","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.AlertResolution.html#t:t/0","title":"GitHub.SecretScanning.AlertResolution.t/0","type":"type"},{"doc":"Provides struct and type for SecretScanningAlertResolutionComment","ref":"GitHub.SecretScanning.AlertResolutionComment.html","title":"GitHub.SecretScanning.AlertResolutionComment","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.AlertResolutionComment.html#t:t/0","title":"GitHub.SecretScanning.AlertResolutionComment.t/0","type":"type"},{"doc":"Provides struct and type for SecretScanningAlertState","ref":"GitHub.SecretScanning.AlertState.html","title":"GitHub.SecretScanning.AlertState","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.AlertState.html#t:t/0","title":"GitHub.SecretScanning.AlertState.t/0","type":"type"},{"doc":"Provides struct and type for SecretScanningLocation","ref":"GitHub.SecretScanning.Location.html","title":"GitHub.SecretScanning.Location","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.Location.html#t:t/0","title":"GitHub.SecretScanning.Location.t/0","type":"type"},{"doc":"Provides struct and type for SecretScanningLocationCommit","ref":"GitHub.SecretScanning.LocationCommit.html","title":"GitHub.SecretScanning.LocationCommit","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.LocationCommit.html#t:t/0","title":"GitHub.SecretScanning.LocationCommit.t/0","type":"type"},{"doc":"Provides struct and type for SecretScanningLocationIssueBody","ref":"GitHub.SecretScanning.LocationIssueBody.html","title":"GitHub.SecretScanning.LocationIssueBody","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.LocationIssueBody.html#t:t/0","title":"GitHub.SecretScanning.LocationIssueBody.t/0","type":"type"},{"doc":"Provides struct and type for SecretScanningLocationIssueComment","ref":"GitHub.SecretScanning.LocationIssueComment.html","title":"GitHub.SecretScanning.LocationIssueComment","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.LocationIssueComment.html#t:t/0","title":"GitHub.SecretScanning.LocationIssueComment.t/0","type":"type"},{"doc":"Provides struct and type for SecretScanningLocationIssueTitle","ref":"GitHub.SecretScanning.LocationIssueTitle.html","title":"GitHub.SecretScanning.LocationIssueTitle","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.LocationIssueTitle.html#t:t/0","title":"GitHub.SecretScanning.LocationIssueTitle.t/0","type":"type"},{"doc":"Provides struct and type for SecurityAdvisoryCreditTypes","ref":"GitHub.SecurityAdvisoryCreditTypes.html","title":"GitHub.SecurityAdvisoryCreditTypes","type":"module"},{"doc":"","ref":"GitHub.SecurityAdvisoryCreditTypes.html#t:t/0","title":"GitHub.SecurityAdvisoryCreditTypes.t/0","type":"type"},{"doc":"Provides struct and type for SecurityAdvisoryEcosystems","ref":"GitHub.SecurityAdvisoryEcosystems.html","title":"GitHub.SecurityAdvisoryEcosystems","type":"module"},{"doc":"","ref":"GitHub.SecurityAdvisoryEcosystems.html#t:t/0","title":"GitHub.SecurityAdvisoryEcosystems.t/0","type":"type"},{"doc":"Provides struct and type for SecurityAndAnalysis","ref":"GitHub.SecurityAndAnalysis.html","title":"GitHub.SecurityAndAnalysis","type":"module"},{"doc":"","ref":"GitHub.SecurityAndAnalysis.html#t:t/0","title":"GitHub.SecurityAndAnalysis.t/0","type":"type"},{"doc":"Provides struct and type for SelectedActions","ref":"GitHub.SelectedActions.html","title":"GitHub.SelectedActions","type":"module"},{"doc":"","ref":"GitHub.SelectedActions.html#t:t/0","title":"GitHub.SelectedActions.t/0","type":"type"},{"doc":"Provides struct and type for SelectedActionsUrl","ref":"GitHub.SelectedActionsUrl.html","title":"GitHub.SelectedActionsUrl","type":"module"},{"doc":"","ref":"GitHub.SelectedActionsUrl.html#t:t/0","title":"GitHub.SelectedActionsUrl.t/0","type":"type"},{"doc":"Provides struct and type for ShortBlob","ref":"GitHub.ShortBlob.html","title":"GitHub.ShortBlob","type":"module"},{"doc":"","ref":"GitHub.ShortBlob.html#t:t/0","title":"GitHub.ShortBlob.t/0","type":"type"},{"doc":"Provides struct and type for ShortBranch","ref":"GitHub.ShortBranch.html","title":"GitHub.ShortBranch","type":"module"},{"doc":"","ref":"GitHub.ShortBranch.html#t:t/0","title":"GitHub.ShortBranch.t/0","type":"type"},{"doc":"Provides struct and type for Snapshot","ref":"GitHub.Snapshot.html","title":"GitHub.Snapshot","type":"module"},{"doc":"","ref":"GitHub.Snapshot.html#t:t/0","title":"GitHub.Snapshot.t/0","type":"type"},{"doc":"Provides struct and type for SocialAccount","ref":"GitHub.SocialAccount.html","title":"GitHub.SocialAccount","type":"module"},{"doc":"","ref":"GitHub.SocialAccount.html#t:t/0","title":"GitHub.SocialAccount.t/0","type":"type"},{"doc":"Provides struct and type for Stargazer","ref":"GitHub.Stargazer.html","title":"GitHub.Stargazer","type":"module"},{"doc":"","ref":"GitHub.Stargazer.html#t:t/0","title":"GitHub.Stargazer.t/0","type":"type"},{"doc":"Provides struct and type for StarredRepository","ref":"GitHub.StarredRepository.html","title":"GitHub.StarredRepository","type":"module"},{"doc":"","ref":"GitHub.StarredRepository.html#t:t/0","title":"GitHub.StarredRepository.t/0","type":"type"},{"doc":"Provides struct and type for StateChangeIssueEvent","ref":"GitHub.StateChangeIssueEvent.html","title":"GitHub.StateChangeIssueEvent","type":"module"},{"doc":"","ref":"GitHub.StateChangeIssueEvent.html#t:t/0","title":"GitHub.StateChangeIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for Status","ref":"GitHub.Status.html","title":"GitHub.Status","type":"module"},{"doc":"","ref":"GitHub.Status.html#t:t/0","title":"GitHub.Status.t/0","type":"type"},{"doc":"Provides struct and type for StatusCheckPolicy","ref":"GitHub.StatusCheckPolicy.html","title":"GitHub.StatusCheckPolicy","type":"module"},{"doc":"","ref":"GitHub.StatusCheckPolicy.html#t:t/0","title":"GitHub.StatusCheckPolicy.t/0","type":"type"},{"doc":"Provides struct and type for Tag","ref":"GitHub.Tag.html","title":"GitHub.Tag","type":"module"},{"doc":"","ref":"GitHub.Tag.html#t:t/0","title":"GitHub.Tag.t/0","type":"type"},{"doc":"Provides struct and type for TagProtection","ref":"GitHub.TagProtection.html","title":"GitHub.TagProtection","type":"module"},{"doc":"","ref":"GitHub.TagProtection.html#t:t/0","title":"GitHub.TagProtection.t/0","type":"type"},{"doc":"Provides struct and types for Team, TeamFull, TeamSimple","ref":"GitHub.Team.html","title":"GitHub.Team","type":"module"},{"doc":"","ref":"GitHub.Team.html#t:full/0","title":"GitHub.Team.full/0","type":"type"},{"doc":"","ref":"GitHub.Team.html#t:simple/0","title":"GitHub.Team.simple/0","type":"type"},{"doc":"","ref":"GitHub.Team.html#t:t/0","title":"GitHub.Team.t/0","type":"type"},{"doc":"Provides struct and type for TeamDiscussion","ref":"GitHub.Team.Discussion.html","title":"GitHub.Team.Discussion","type":"module"},{"doc":"","ref":"GitHub.Team.Discussion.html#t:t/0","title":"GitHub.Team.Discussion.t/0","type":"type"},{"doc":"Provides struct and type for TeamDiscussionComment","ref":"GitHub.Team.DiscussionComment.html","title":"GitHub.Team.DiscussionComment","type":"module"},{"doc":"","ref":"GitHub.Team.DiscussionComment.html#t:t/0","title":"GitHub.Team.DiscussionComment.t/0","type":"type"},{"doc":"Provides struct and type for TeamMembership","ref":"GitHub.Team.Membership.html","title":"GitHub.Team.Membership","type":"module"},{"doc":"","ref":"GitHub.Team.Membership.html#t:t/0","title":"GitHub.Team.Membership.t/0","type":"type"},{"doc":"Provides struct and type for TeamOrganization","ref":"GitHub.Team.Organization.html","title":"GitHub.Team.Organization","type":"module"},{"doc":"","ref":"GitHub.Team.Organization.html#t:t/0","title":"GitHub.Team.Organization.t/0","type":"type"},{"doc":"Provides struct and type for TeamProject","ref":"GitHub.Team.Project.html","title":"GitHub.Team.Project","type":"module"},{"doc":"","ref":"GitHub.Team.Project.html#t:t/0","title":"GitHub.Team.Project.t/0","type":"type"},{"doc":"Provides struct and type for TeamRepository","ref":"GitHub.Team.Repository.html","title":"GitHub.Team.Repository","type":"module"},{"doc":"","ref":"GitHub.Team.Repository.html#t:t/0","title":"GitHub.Team.Repository.t/0","type":"type"},{"doc":"Provides struct and type for Thread","ref":"GitHub.Thread.html","title":"GitHub.Thread","type":"module"},{"doc":"","ref":"GitHub.Thread.html#t:t/0","title":"GitHub.Thread.t/0","type":"type"},{"doc":"Provides struct and type for ThreadSubscription","ref":"GitHub.ThreadSubscription.html","title":"GitHub.ThreadSubscription","type":"module"},{"doc":"","ref":"GitHub.ThreadSubscription.html#t:t/0","title":"GitHub.ThreadSubscription.t/0","type":"type"},{"doc":"Provides struct and type for TimelineAssignedIssueEvent","ref":"GitHub.Timeline.AssignedIssueEvent.html","title":"GitHub.Timeline.AssignedIssueEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.AssignedIssueEvent.html#t:t/0","title":"GitHub.Timeline.AssignedIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for TimelineCommentEvent","ref":"GitHub.Timeline.CommentEvent.html","title":"GitHub.Timeline.CommentEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.CommentEvent.html#t:t/0","title":"GitHub.Timeline.CommentEvent.t/0","type":"type"},{"doc":"Provides struct and type for TimelineCommitCommentedEvent","ref":"GitHub.Timeline.CommitCommentedEvent.html","title":"GitHub.Timeline.CommitCommentedEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.CommitCommentedEvent.html#t:t/0","title":"GitHub.Timeline.CommitCommentedEvent.t/0","type":"type"},{"doc":"Provides struct and type for TimelineCommittedEvent","ref":"GitHub.Timeline.CommittedEvent.html","title":"GitHub.Timeline.CommittedEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.CommittedEvent.html#t:t/0","title":"GitHub.Timeline.CommittedEvent.t/0","type":"type"},{"doc":"Provides struct and type for TimelineCrossReferencedEvent","ref":"GitHub.Timeline.CrossReferencedEvent.html","title":"GitHub.Timeline.CrossReferencedEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.CrossReferencedEvent.html#t:t/0","title":"GitHub.Timeline.CrossReferencedEvent.t/0","type":"type"},{"doc":"Provides struct and type for TimelineIssueEvents","ref":"GitHub.Timeline.IssueEvents.html","title":"GitHub.Timeline.IssueEvents","type":"module"},{"doc":"","ref":"GitHub.Timeline.IssueEvents.html#t:t/0","title":"GitHub.Timeline.IssueEvents.t/0","type":"type"},{"doc":"Provides struct and type for TimelineLineCommentedEvent","ref":"GitHub.Timeline.LineCommentedEvent.html","title":"GitHub.Timeline.LineCommentedEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.LineCommentedEvent.html#t:t/0","title":"GitHub.Timeline.LineCommentedEvent.t/0","type":"type"},{"doc":"Provides struct and type for TimelineReviewedEvent","ref":"GitHub.Timeline.ReviewedEvent.html","title":"GitHub.Timeline.ReviewedEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.ReviewedEvent.html#t:t/0","title":"GitHub.Timeline.ReviewedEvent.t/0","type":"type"},{"doc":"Provides struct and type for TimelineUnassignedIssueEvent","ref":"GitHub.Timeline.UnassignedIssueEvent.html","title":"GitHub.Timeline.UnassignedIssueEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.UnassignedIssueEvent.html#t:t/0","title":"GitHub.Timeline.UnassignedIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for Topic","ref":"GitHub.Topic.html","title":"GitHub.Topic","type":"module"},{"doc":"","ref":"GitHub.Topic.html#t:t/0","title":"GitHub.Topic.t/0","type":"type"},{"doc":"Provides struct and type for TopicSearchResultItem","ref":"GitHub.TopicSearchResultItem.html","title":"GitHub.TopicSearchResultItem","type":"module"},{"doc":"","ref":"GitHub.TopicSearchResultItem.html#t:t/0","title":"GitHub.TopicSearchResultItem.t/0","type":"type"},{"doc":"Provides struct and type for Traffic","ref":"GitHub.Traffic.html","title":"GitHub.Traffic","type":"module"},{"doc":"","ref":"GitHub.Traffic.html#t:t/0","title":"GitHub.Traffic.t/0","type":"type"},{"doc":"Provides struct and type for UnassignedIssueEvent","ref":"GitHub.UnassignedIssueEvent.html","title":"GitHub.UnassignedIssueEvent","type":"module"},{"doc":"","ref":"GitHub.UnassignedIssueEvent.html#t:t/0","title":"GitHub.UnassignedIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for UnlabeledIssueEvent","ref":"GitHub.UnlabeledIssueEvent.html","title":"GitHub.UnlabeledIssueEvent","type":"module"},{"doc":"","ref":"GitHub.UnlabeledIssueEvent.html#t:t/0","title":"GitHub.UnlabeledIssueEvent.t/0","type":"type"},{"doc":"Provides struct and types for PrivateUser, PublicUser, SimpleUser","ref":"GitHub.User.html","title":"GitHub.User","type":"module"},{"doc":"","ref":"GitHub.User.html#t:private/0","title":"GitHub.User.private/0","type":"type"},{"doc":"","ref":"GitHub.User.html#t:public/0","title":"GitHub.User.public/0","type":"type"},{"doc":"","ref":"GitHub.User.html#t:simple/0","title":"GitHub.User.simple/0","type":"type"},{"doc":"Provides struct and type for UserMarketplacePurchase","ref":"GitHub.User.MarketplacePurchase.html","title":"GitHub.User.MarketplacePurchase","type":"module"},{"doc":"","ref":"GitHub.User.MarketplacePurchase.html#t:t/0","title":"GitHub.User.MarketplacePurchase.t/0","type":"type"},{"doc":"Provides struct and type for UserSearchResultItem","ref":"GitHub.User.SearchResultItem.html","title":"GitHub.User.SearchResultItem","type":"module"},{"doc":"","ref":"GitHub.User.SearchResultItem.html#t:t/0","title":"GitHub.User.SearchResultItem.t/0","type":"type"},{"doc":"Provides struct and types for ValidationError, ValidationErrorSimple","ref":"GitHub.ValidationError.html","title":"GitHub.ValidationError","type":"module"},{"doc":"","ref":"GitHub.ValidationError.html#t:simple/0","title":"GitHub.ValidationError.simple/0","type":"type"},{"doc":"","ref":"GitHub.ValidationError.html#t:t/0","title":"GitHub.ValidationError.t/0","type":"type"},{"doc":"Provides struct and type for Verification","ref":"GitHub.Verification.html","title":"GitHub.Verification","type":"module"},{"doc":"","ref":"GitHub.Verification.html#t:t/0","title":"GitHub.Verification.t/0","type":"type"},{"doc":"Provides struct and type for ViewTraffic","ref":"GitHub.ViewTraffic.html","title":"GitHub.ViewTraffic","type":"module"},{"doc":"","ref":"GitHub.ViewTraffic.html#t:t/0","title":"GitHub.ViewTraffic.t/0","type":"type"},{"doc":"Provides struct and type for WaitTimer","ref":"GitHub.WaitTimer.html","title":"GitHub.WaitTimer","type":"module"},{"doc":"","ref":"GitHub.WaitTimer.html#t:t/0","title":"GitHub.WaitTimer.t/0","type":"type"},{"doc":"Provides struct and type for WebhookConfig","ref":"GitHub.Webhook.Config.html","title":"GitHub.Webhook.Config","type":"module"},{"doc":"","ref":"GitHub.Webhook.Config.html#t:t/0","title":"GitHub.Webhook.Config.t/0","type":"type"},{"doc":"Provides struct and type for WebhookConfigContentType","ref":"GitHub.Webhook.Config.ContentType.html","title":"GitHub.Webhook.Config.ContentType","type":"module"},{"doc":"","ref":"GitHub.Webhook.Config.ContentType.html#t:t/0","title":"GitHub.Webhook.Config.ContentType.t/0","type":"type"},{"doc":"Provides struct and type for WebhookConfigInsecureSsl","ref":"GitHub.Webhook.Config.InsecureSsl.html","title":"GitHub.Webhook.Config.InsecureSsl","type":"module"},{"doc":"","ref":"GitHub.Webhook.Config.InsecureSsl.html#t:t/0","title":"GitHub.Webhook.Config.InsecureSsl.t/0","type":"type"},{"doc":"Provides struct and type for WebhookConfigSecret","ref":"GitHub.Webhook.Config.Secret.html","title":"GitHub.Webhook.Config.Secret","type":"module"},{"doc":"","ref":"GitHub.Webhook.Config.Secret.html#t:t/0","title":"GitHub.Webhook.Config.Secret.t/0","type":"type"},{"doc":"Provides struct and type for WebhookConfigUrl","ref":"GitHub.Webhook.Config.Url.html","title":"GitHub.Webhook.Config.Url","type":"module"},{"doc":"","ref":"GitHub.Webhook.Config.Url.html#t:t/0","title":"GitHub.Webhook.Config.Url.t/0","type":"type"},{"doc":"The ergonomics of a hand-crafted client with the API coverage of generated code. This library uses an OpenAPI Code Generator that has the flexibility to wrangle the generated code into an ergonomic client. So instead of dealing with NullableRepository vs. FullRepository and other odd artifacts of GitHub's OpenAPI description, there's a predictable interface. Furthermore, this library has no opinions about what you use for HTTP requests, serialization, etc. Instead it allows users to define their own stack of plugins, many of which are provided here.","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"This library is available on Hex.pm. Add the dependency in mix.exs : def deps do [ { :oapi_github , &quot;~&gt; 0.0.13&quot; } ] end Then install the dependency using mix deps.get .","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"This library comes with a common default set of configuration. To use it successfully, you will need to install HTTPoison and Jason . (Remember, these libraries can easily be switched out by changing the stack configuration. See GitHub.Config for more information.) Some good up-and-running configuration to set: app_name will include the name of your application in the User Agent so GitHub can contact you if they notice any problems. default_auth allows you to provide default Authorization header credentials, such as a client ID and secret to increase your rate limit when no other credentials are available. config :oapi_github , app_name : &quot;MyApp&quot; , default_auth : { &quot;client_id&quot; , &quot;client_secret&quot; } For more information about configuration, see the documentation for GitHub.Config .","ref":"readme.html#configuration","title":"Overview - Configuration","type":"extras"},{"doc":"All of the client operations are generated based on the OpenAPI description provided by GitHub. In general, you can expect to find: GitHub.Resource . operation ( path1 , path2 , ... , body , opts ) Where: Resource is the name of the resource as tagged by GitHub, like Repos . operation is the name of the route, like get or create_commit_comment . The first arguments are path parameters, such as owner and repo in /repos/{owner}/{repo} . If the request accepts a body, then there will be a body parameter. Finally, all operations accept a keyword list of options. The options accepted by operations may differ depending on your chosen stack. However, the following are always available: auth (string, 2-tuple, or struct implementing GitHub.Auth ) Credentials to use for the request. server (URL including scheme) Base API server to use, such as https://api.github.com (useful for interacting with GitHub Enterprise installations). version (string) GitHub API version to use (not recommended to override this, because the generated code may not match the specified version). Whenever GitHub specifies a named schema as the response type for an operation, an Elixir struct will be returned. Note that GitHub often has similarly named schemas (such as SimpleUser , PrivateUser , PublicUser , etc.). Where possible, these have been collapsed into a single struct (like GitHub.User ) where not all of the fields may be filled in. However, responses are still properly typed by their type specifications.","ref":"readme.html#usage","title":"Overview - Usage","type":"extras"},{"doc":"Test helpers are available in GitHub.Testing together with the GitHub.Plugins.TestClient plugin. defmodule MyApp.MyTest do use ExUnit.Case use GitHub.Testing test &quot;calls GitHub API&quot; do mock_gh &amp; GitHub.Repo . get / 2 , fn -&gt; { :ok , 200 , % GitHub.Repository { id : 12345 } } end my_function ( ) assert_called_gh GitHub.Repos . get ( &quot;owner&quot; , :_ ) end end For more information, see the documentation for GitHub.Testing .","ref":"readme.html#testing","title":"Overview - Testing","type":"extras"},{"doc":"Because this library uses a code generator for the majority of its mass, there are two modes of contribution. Please consider these when creating issues or opening pull requests: If the generated code is out of date, the fix may be as simple as running mix gen.api using the latest OpenAPI description. If the client isn't working as expected, the fix may be more involved and require careful thought and versioning. For more on what this means to you as a contributor, please see the contribution guidelines .","ref":"readme.html#contributing","title":"Overview - Contributing","type":"extras"},{"doc":"If you like this library or it makes you money, please consider sponsoring .","ref":"readme.html#sponsorship","title":"Overview - Sponsorship","type":"extras"},{"doc":"","ref":"code_of_conduct.html","title":"Code of Conduct","type":"extras"},{"doc":"We as members, contributors, and leaders pledge to make participation in our community a harassment-free experience for everyone, regardless of age, body size, visible or invisible disability, ethnicity, sex characteristics, gender identity and expression, level of experience, education, socio-economic status, nationality, personal appearance, race, caste, color, religion, or sexual identity and orientation. We pledge to act and interact in ways that contribute to an open, welcoming, diverse, inclusive, and healthy community.","ref":"code_of_conduct.html#our-pledge","title":"Code of Conduct - Our Pledge","type":"extras"},{"doc":"Examples of behavior that contributes to a positive environment for our community include: Demonstrating empathy and kindness toward other people Being respectful of differing opinions, viewpoints, and experiences Giving and gracefully accepting constructive feedback Accepting responsibility and apologizing to those affected by our mistakes, and learning from the experience Focusing on what is best not just for us as individuals, but for the overall community Examples of unacceptable behavior include: The use of sexualized language or imagery, and sexual attention or advances of any kind Trolling, insulting or derogatory comments, and personal or political attacks Public or private harassment Publishing others' private information, such as a physical or email address, without their explicit permission Other conduct which could reasonably be considered inappropriate in a professional setting","ref":"code_of_conduct.html#our-standards","title":"Code of Conduct - Our Standards","type":"extras"},{"doc":"Community leaders are responsible for clarifying and enforcing our standards of acceptable behavior and will take appropriate and fair corrective action in response to any behavior that they deem inappropriate, threatening, offensive, or harmful. Community leaders have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, and will communicate reasons for moderation decisions when appropriate.","ref":"code_of_conduct.html#enforcement-responsibilities","title":"Code of Conduct - Enforcement Responsibilities","type":"extras"},{"doc":"This Code of Conduct applies within all community spaces, and also applies when an individual is officially representing the community in public spaces. Examples of representing our community include using an official e-mail address, posting via an official social media account, or acting as an appointed representative at an online or offline event.","ref":"code_of_conduct.html#scope","title":"Code of Conduct - Scope","type":"extras"},{"doc":"Instances of abusive, harassing, or otherwise unacceptable behavior may be reported to the community leaders responsible for enforcement by email . All complaints will be reviewed and investigated promptly and fairly. All community leaders are obligated to respect the privacy and security of the reporter of any incident.","ref":"code_of_conduct.html#enforcement","title":"Code of Conduct - Enforcement","type":"extras"},{"doc":"Community leaders will follow these Community Impact Guidelines in determining the consequences for any action they deem in violation of this Code of Conduct: 1. Correction Community Impact : Use of inappropriate language or other behavior deemed unprofessional or unwelcome in the community. Consequence : A private, written warning from community leaders, providing clarity around the nature of the violation and an explanation of why the behavior was inappropriate. A public apology may be requested. 2. Warning Community Impact : A violation through a single incident or series of actions. Consequence : A warning with consequences for continued behavior. No interaction with the people involved, including unsolicited interaction with those enforcing the Code of Conduct, for a specified period of time. This includes avoiding interactions in community spaces as well as external channels like social media. Violating these terms may lead to a temporary or permanent ban. 3. Temporary Ban Community Impact : A serious violation of community standards, including sustained inappropriate behavior. Consequence : A temporary ban from any sort of interaction or public communication with the community for a specified period of time. No public or private interaction with the people involved, including unsolicited interaction with those enforcing the Code of Conduct, is allowed during this period. Violating these terms may lead to a permanent ban. 4. Permanent Ban Community Impact : Demonstrating a pattern of violation of community standards, including sustained inappropriate behavior, harassment of an individual, or aggression toward or disparagement of classes of individuals. Consequence : A permanent ban from any sort of public interaction within the community.","ref":"code_of_conduct.html#enforcement-guidelines","title":"Code of Conduct - Enforcement Guidelines","type":"extras"},{"doc":"This Code of Conduct is adapted from the Contributor Covenant , version 2.1, available at https://www.contributor-covenant.org/version/2/1/code_of_conduct.html . Community Impact Guidelines were inspired by Mozilla's code of conduct enforcement ladder . For answers to common questions about this code of conduct, see the FAQ at https://www.contributor-covenant.org/faq . Translations are available at https://www.contributor-covenant.org/translations .","ref":"code_of_conduct.html#attribution","title":"Code of Conduct - Attribution","type":"extras"},{"doc":"Hello there. Thank you for your interest in contributing to this project. GitHub has a large API that would be impossible to maintain a client for without help. Reading and following the guidelines in this document is an act of kindness and respect for other contributors. With your help, we can address issues, make changes, and work together efficiently.","ref":"contributing.html","title":"Contributing","type":"extras"},{"doc":"There are many ways to contribute to this project: Anyone can use the mix api.gen task (see below) to update the library using the latest OpenAPI description. Users of the client can report issues related to the client itself and propose solutions. Users and library authors can contribute plugins (see below) for new integrations. Everyone can help improve documentation and support others in Discussions. Anyone can assist in the triage of bugs, identifying root causes, and proposing solutions. Please keep in mind the intended scope of this package: to provide a GitHub REST API client that balances an ergonomic user experience with the maintainability of code generation. Assume that the GitHub OpenAPI description that serves as input to this library will change often, and manually changing the output is impractical.","ref":"contributing.html#ways-to-contribute","title":"Contributing - Ways to Contribute","type":"extras"},{"doc":"All contributions to this project must align with the code of conduct . Beyond that, we ask: Please be kind. Maintaining this project is not paid work. Please create an issue before embarking on major refactors or new features. Let's make a reasonable effort to support commonly-used 3rd-party integrations.","ref":"contributing.html#ground-rules","title":"Contributing - Ground Rules","type":"extras"},{"doc":"If you're interested in doing something specific, here are some guidelines: Security Issues If you find a security-related issue with this project, please refrain from opening a public issue and instead email the maintainer . Bugs and Blockers Please use GitHub Issues to report reproducible bugs. Feature Requests and Ideas Please use GitHub Discussions to share requests and ideas for improvements to the library. Updating the Generated Code If you intend to open a PR with updates to the generated code based on the latest GitHub OpenAPI description, please read carefully: Please use the latest commit from the official repository at the time of your contribution. Please use descriptions-next/api.github.com/api.github.com.yaml — not descriptions or a GitHub Enterprise release. Use mix api.gen default path/to/descriptions-next/api.github.com/api.github.com.yaml to regenerate the code. Please also change the .api-version file if appropriate. Please include the commit SHA of the official repository in the description of your pull request. Please do not make any other changes in the same PR (for example, changing this library's version). If you run into any unexpected issues while generating the code, please open an issue. Thank you for your help! Implementing Changes If you've decided to take on the implementation of a new feature or fix, please remember to avoid changing files in operations/ and schemas/ . These directories contain generated code, and therefore will be overwritten. If something in there needs to be changed, please start a discussion on the generator repo .","ref":"contributing.html#workflows","title":"Contributing - Workflows","type":"extras"},{"doc":"For maintainers, the process of releasing this package to Hex.pm centers around git tags. To make a new release: Update the Changelog with a new header that has today's date and the new version. Include any missing notes from changes since the last release, and any additional upgrade instructions users may need. Update the @version number in mix.exs . The form should be X.Y.Z , with optional suffixes, but no leading v . Update the Installation instructions in README.md to have the newest non-suffixed version number. Commit the above changes with a generic commit message, such as Release X.Y.Z . Tag the commit as X.Y.Z , with optional suffixes, but no leading v . Push the commits and tag (for example, git push origin main --tags ). Observe the GitHub Action titled Release . This action automatically publishes the package to Hex.pm.","ref":"contributing.html#releases","title":"Contributing - Releases","type":"extras"},{"doc":"MIT License Copyright (c) 2023 AJ Foster Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"}]